// The MIT License (MIT)

// Copyright (c) 2017-2020 Uber Technologies Inc.

// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: uber/cadence/api/v1/tasklist.proto

package apiv1

import (
	encoding_binary "encoding/binary"
	fmt "fmt"
	io "io"
	math "math"
	math_bits "math/bits"

	types "github.com/gogo/protobuf/types"
	proto "github.com/golang/protobuf/proto"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type TaskListKind int32

const (
	TaskListKind_TASK_LIST_KIND_INVALID TaskListKind = 0
	TaskListKind_TASK_LIST_KIND_NORMAL  TaskListKind = 1
	TaskListKind_TASK_LIST_KIND_STICKY  TaskListKind = 2
)

var TaskListKind_name = map[int32]string{
	0: "TASK_LIST_KIND_INVALID",
	1: "TASK_LIST_KIND_NORMAL",
	2: "TASK_LIST_KIND_STICKY",
}

var TaskListKind_value = map[string]int32{
	"TASK_LIST_KIND_INVALID": 0,
	"TASK_LIST_KIND_NORMAL":  1,
	"TASK_LIST_KIND_STICKY":  2,
}

func (x TaskListKind) String() string {
	return proto.EnumName(TaskListKind_name, int32(x))
}

func (TaskListKind) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_216fa006947e00a0, []int{0}
}

type TaskListType int32

const (
	TaskListType_TASK_LIST_TYPE_INVALID  TaskListType = 0
	TaskListType_TASK_LIST_TYPE_DECISION TaskListType = 1
	TaskListType_TASK_LIST_TYPE_ACTIVITY TaskListType = 2
)

var TaskListType_name = map[int32]string{
	0: "TASK_LIST_TYPE_INVALID",
	1: "TASK_LIST_TYPE_DECISION",
	2: "TASK_LIST_TYPE_ACTIVITY",
}

var TaskListType_value = map[string]int32{
	"TASK_LIST_TYPE_INVALID":  0,
	"TASK_LIST_TYPE_DECISION": 1,
	"TASK_LIST_TYPE_ACTIVITY": 2,
}

func (x TaskListType) String() string {
	return proto.EnumName(TaskListType_name, int32(x))
}

func (TaskListType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_216fa006947e00a0, []int{1}
}

type TaskList struct {
	Name                 string       `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Kind                 TaskListKind `protobuf:"varint,2,opt,name=kind,proto3,enum=uber.cadence.api.v1.TaskListKind" json:"kind,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *TaskList) Reset()         { *m = TaskList{} }
func (m *TaskList) String() string { return proto.CompactTextString(m) }
func (*TaskList) ProtoMessage()    {}
func (*TaskList) Descriptor() ([]byte, []int) {
	return fileDescriptor_216fa006947e00a0, []int{0}
}
func (m *TaskList) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *TaskList) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_TaskList.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalToSizedBuffer(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (m *TaskList) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TaskList.Merge(m, src)
}
func (m *TaskList) XXX_Size() int {
	return m.Size()
}
func (m *TaskList) XXX_DiscardUnknown() {
	xxx_messageInfo_TaskList.DiscardUnknown(m)
}

var xxx_messageInfo_TaskList proto.InternalMessageInfo

func (m *TaskList) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *TaskList) GetKind() TaskListKind {
	if m != nil {
		return m.Kind
	}
	return TaskListKind_TASK_LIST_KIND_INVALID
}

type TaskListMetadata struct {
	MaxTasksPerSecond    *types.DoubleValue `protobuf:"bytes,1,opt,name=max_tasks_per_second,json=maxTasksPerSecond,proto3" json:"max_tasks_per_second,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *TaskListMetadata) Reset()         { *m = TaskListMetadata{} }
func (m *TaskListMetadata) String() string { return proto.CompactTextString(m) }
func (*TaskListMetadata) ProtoMessage()    {}
func (*TaskListMetadata) Descriptor() ([]byte, []int) {
	return fileDescriptor_216fa006947e00a0, []int{1}
}
func (m *TaskListMetadata) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *TaskListMetadata) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_TaskListMetadata.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalToSizedBuffer(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (m *TaskListMetadata) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TaskListMetadata.Merge(m, src)
}
func (m *TaskListMetadata) XXX_Size() int {
	return m.Size()
}
func (m *TaskListMetadata) XXX_DiscardUnknown() {
	xxx_messageInfo_TaskListMetadata.DiscardUnknown(m)
}

var xxx_messageInfo_TaskListMetadata proto.InternalMessageInfo

func (m *TaskListMetadata) GetMaxTasksPerSecond() *types.DoubleValue {
	if m != nil {
		return m.MaxTasksPerSecond
	}
	return nil
}

type TaskListPartitionMetadata struct {
	Key                  string   `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	OwnerHostName        string   `protobuf:"bytes,2,opt,name=owner_host_name,json=ownerHostName,proto3" json:"owner_host_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TaskListPartitionMetadata) Reset()         { *m = TaskListPartitionMetadata{} }
func (m *TaskListPartitionMetadata) String() string { return proto.CompactTextString(m) }
func (*TaskListPartitionMetadata) ProtoMessage()    {}
func (*TaskListPartitionMetadata) Descriptor() ([]byte, []int) {
	return fileDescriptor_216fa006947e00a0, []int{2}
}
func (m *TaskListPartitionMetadata) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *TaskListPartitionMetadata) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_TaskListPartitionMetadata.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalToSizedBuffer(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (m *TaskListPartitionMetadata) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TaskListPartitionMetadata.Merge(m, src)
}
func (m *TaskListPartitionMetadata) XXX_Size() int {
	return m.Size()
}
func (m *TaskListPartitionMetadata) XXX_DiscardUnknown() {
	xxx_messageInfo_TaskListPartitionMetadata.DiscardUnknown(m)
}

var xxx_messageInfo_TaskListPartitionMetadata proto.InternalMessageInfo

func (m *TaskListPartitionMetadata) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *TaskListPartitionMetadata) GetOwnerHostName() string {
	if m != nil {
		return m.OwnerHostName
	}
	return ""
}

type TaskListStatus struct {
	BacklogCountHint     int64        `protobuf:"varint,1,opt,name=backlog_count_hint,json=backlogCountHint,proto3" json:"backlog_count_hint,omitempty"`
	ReadLevel            int64        `protobuf:"varint,2,opt,name=read_level,json=readLevel,proto3" json:"read_level,omitempty"`
	AckLevel             int64        `protobuf:"varint,3,opt,name=ack_level,json=ackLevel,proto3" json:"ack_level,omitempty"`
	RatePerSecond        float64      `protobuf:"fixed64,4,opt,name=rate_per_second,json=ratePerSecond,proto3" json:"rate_per_second,omitempty"`
	TaskIdBlock          *TaskIDBlock `protobuf:"bytes,5,opt,name=task_id_block,json=taskIdBlock,proto3" json:"task_id_block,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *TaskListStatus) Reset()         { *m = TaskListStatus{} }
func (m *TaskListStatus) String() string { return proto.CompactTextString(m) }
func (*TaskListStatus) ProtoMessage()    {}
func (*TaskListStatus) Descriptor() ([]byte, []int) {
	return fileDescriptor_216fa006947e00a0, []int{3}
}
func (m *TaskListStatus) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *TaskListStatus) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_TaskListStatus.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalToSizedBuffer(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (m *TaskListStatus) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TaskListStatus.Merge(m, src)
}
func (m *TaskListStatus) XXX_Size() int {
	return m.Size()
}
func (m *TaskListStatus) XXX_DiscardUnknown() {
	xxx_messageInfo_TaskListStatus.DiscardUnknown(m)
}

var xxx_messageInfo_TaskListStatus proto.InternalMessageInfo

func (m *TaskListStatus) GetBacklogCountHint() int64 {
	if m != nil {
		return m.BacklogCountHint
	}
	return 0
}

func (m *TaskListStatus) GetReadLevel() int64 {
	if m != nil {
		return m.ReadLevel
	}
	return 0
}

func (m *TaskListStatus) GetAckLevel() int64 {
	if m != nil {
		return m.AckLevel
	}
	return 0
}

func (m *TaskListStatus) GetRatePerSecond() float64 {
	if m != nil {
		return m.RatePerSecond
	}
	return 0
}

func (m *TaskListStatus) GetTaskIdBlock() *TaskIDBlock {
	if m != nil {
		return m.TaskIdBlock
	}
	return nil
}

type TaskIDBlock struct {
	StartId              int64    `protobuf:"varint,1,opt,name=start_id,json=startId,proto3" json:"start_id,omitempty"`
	EndId                int64    `protobuf:"varint,2,opt,name=end_id,json=endId,proto3" json:"end_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TaskIDBlock) Reset()         { *m = TaskIDBlock{} }
func (m *TaskIDBlock) String() string { return proto.CompactTextString(m) }
func (*TaskIDBlock) ProtoMessage()    {}
func (*TaskIDBlock) Descriptor() ([]byte, []int) {
	return fileDescriptor_216fa006947e00a0, []int{4}
}
func (m *TaskIDBlock) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *TaskIDBlock) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_TaskIDBlock.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalToSizedBuffer(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (m *TaskIDBlock) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TaskIDBlock.Merge(m, src)
}
func (m *TaskIDBlock) XXX_Size() int {
	return m.Size()
}
func (m *TaskIDBlock) XXX_DiscardUnknown() {
	xxx_messageInfo_TaskIDBlock.DiscardUnknown(m)
}

var xxx_messageInfo_TaskIDBlock proto.InternalMessageInfo

func (m *TaskIDBlock) GetStartId() int64 {
	if m != nil {
		return m.StartId
	}
	return 0
}

func (m *TaskIDBlock) GetEndId() int64 {
	if m != nil {
		return m.EndId
	}
	return 0
}

type PollerInfo struct {
	LastAccessTime       *types.Timestamp `protobuf:"bytes,1,opt,name=last_access_time,json=lastAccessTime,proto3" json:"last_access_time,omitempty"`
	Identity             string           `protobuf:"bytes,2,opt,name=identity,proto3" json:"identity,omitempty"`
	RatePerSecond        float64          `protobuf:"fixed64,3,opt,name=rate_per_second,json=ratePerSecond,proto3" json:"rate_per_second,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *PollerInfo) Reset()         { *m = PollerInfo{} }
func (m *PollerInfo) String() string { return proto.CompactTextString(m) }
func (*PollerInfo) ProtoMessage()    {}
func (*PollerInfo) Descriptor() ([]byte, []int) {
	return fileDescriptor_216fa006947e00a0, []int{5}
}
func (m *PollerInfo) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *PollerInfo) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_PollerInfo.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalToSizedBuffer(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (m *PollerInfo) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PollerInfo.Merge(m, src)
}
func (m *PollerInfo) XXX_Size() int {
	return m.Size()
}
func (m *PollerInfo) XXX_DiscardUnknown() {
	xxx_messageInfo_PollerInfo.DiscardUnknown(m)
}

var xxx_messageInfo_PollerInfo proto.InternalMessageInfo

func (m *PollerInfo) GetLastAccessTime() *types.Timestamp {
	if m != nil {
		return m.LastAccessTime
	}
	return nil
}

func (m *PollerInfo) GetIdentity() string {
	if m != nil {
		return m.Identity
	}
	return ""
}

func (m *PollerInfo) GetRatePerSecond() float64 {
	if m != nil {
		return m.RatePerSecond
	}
	return 0
}

type StickyExecutionAttributes struct {
	WorkerTaskList         *TaskList       `protobuf:"bytes,1,opt,name=worker_task_list,json=workerTaskList,proto3" json:"worker_task_list,omitempty"`
	ScheduleToStartTimeout *types.Duration `protobuf:"bytes,2,opt,name=schedule_to_start_timeout,json=scheduleToStartTimeout,proto3" json:"schedule_to_start_timeout,omitempty"`
	XXX_NoUnkeyedLiteral   struct{}        `json:"-"`
	XXX_unrecognized       []byte          `json:"-"`
	XXX_sizecache          int32           `json:"-"`
}

func (m *StickyExecutionAttributes) Reset()         { *m = StickyExecutionAttributes{} }
func (m *StickyExecutionAttributes) String() string { return proto.CompactTextString(m) }
func (*StickyExecutionAttributes) ProtoMessage()    {}
func (*StickyExecutionAttributes) Descriptor() ([]byte, []int) {
	return fileDescriptor_216fa006947e00a0, []int{6}
}
func (m *StickyExecutionAttributes) XXX_Unmarshal(b []byte) error {
	return m.Unmarshal(b)
}
func (m *StickyExecutionAttributes) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	if deterministic {
		return xxx_messageInfo_StickyExecutionAttributes.Marshal(b, m, deterministic)
	} else {
		b = b[:cap(b)]
		n, err := m.MarshalToSizedBuffer(b)
		if err != nil {
			return nil, err
		}
		return b[:n], nil
	}
}
func (m *StickyExecutionAttributes) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StickyExecutionAttributes.Merge(m, src)
}
func (m *StickyExecutionAttributes) XXX_Size() int {
	return m.Size()
}
func (m *StickyExecutionAttributes) XXX_DiscardUnknown() {
	xxx_messageInfo_StickyExecutionAttributes.DiscardUnknown(m)
}

var xxx_messageInfo_StickyExecutionAttributes proto.InternalMessageInfo

func (m *StickyExecutionAttributes) GetWorkerTaskList() *TaskList {
	if m != nil {
		return m.WorkerTaskList
	}
	return nil
}

func (m *StickyExecutionAttributes) GetScheduleToStartTimeout() *types.Duration {
	if m != nil {
		return m.ScheduleToStartTimeout
	}
	return nil
}

func init() {
	proto.RegisterEnum("uber.cadence.api.v1.TaskListKind", TaskListKind_name, TaskListKind_value)
	proto.RegisterEnum("uber.cadence.api.v1.TaskListType", TaskListType_name, TaskListType_value)
	proto.RegisterType((*TaskList)(nil), "uber.cadence.api.v1.TaskList")
	proto.RegisterType((*TaskListMetadata)(nil), "uber.cadence.api.v1.TaskListMetadata")
	proto.RegisterType((*TaskListPartitionMetadata)(nil), "uber.cadence.api.v1.TaskListPartitionMetadata")
	proto.RegisterType((*TaskListStatus)(nil), "uber.cadence.api.v1.TaskListStatus")
	proto.RegisterType((*TaskIDBlock)(nil), "uber.cadence.api.v1.TaskIDBlock")
	proto.RegisterType((*PollerInfo)(nil), "uber.cadence.api.v1.PollerInfo")
	proto.RegisterType((*StickyExecutionAttributes)(nil), "uber.cadence.api.v1.StickyExecutionAttributes")
}

func init() {
	proto.RegisterFile("uber/cadence/api/v1/tasklist.proto", fileDescriptor_216fa006947e00a0)
}

var fileDescriptor_216fa006947e00a0 = []byte{
	// 770 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x7c, 0x54, 0xdd, 0x6e, 0xe4, 0x34,
	0x14, 0xde, 0x74, 0xba, 0xcb, 0xd4, 0xa5, 0xdd, 0x60, 0xd8, 0xdd, 0xce, 0x2c, 0x3b, 0x94, 0xb9,
	0x58, 0x55, 0x2b, 0x94, 0xa8, 0x45, 0x5c, 0x71, 0x81, 0xa6, 0x9d, 0x8a, 0x8d, 0x3a, 0x9d, 0x1d,
	0x25, 0xd9, 0x4a, 0xe5, 0xc6, 0x38, 0xf1, 0xe9, 0xd4, 0xca, 0x8f, 0x23, 0xdb, 0xe9, 0xcf, 0x8b,
	0x20, 0x9e, 0x85, 0x27, 0xe0, 0x92, 0x47, 0x40, 0xe5, 0x86, 0xc7, 0x40, 0x76, 0x32, 0xa5, 0x3f,
	0x03, 0x77, 0xf6, 0xf9, 0xce, 0x77, 0x7e, 0x3e, 0x9f, 0x63, 0x34, 0xac, 0x13, 0x90, 0x7e, 0x4a,
	0x19, 0x94, 0x29, 0xf8, 0xb4, 0xe2, 0xfe, 0xc5, 0xae, 0xaf, 0xa9, 0xca, 0x72, 0xae, 0xb4, 0x57,
	0x49, 0xa1, 0x05, 0xfe, 0xdc, 0xf8, 0x78, 0xad, 0x8f, 0x47, 0x2b, 0xee, 0x5d, 0xec, 0xf6, 0x07,
	0x73, 0x21, 0xe6, 0x39, 0xf8, 0xd6, 0x25, 0xa9, 0xcf, 0x7c, 0x56, 0x4b, 0xaa, 0xb9, 0x28, 0x1b,
	0x52, 0xff, 0xab, 0x87, 0xb8, 0xe6, 0x05, 0x28, 0x4d, 0x8b, 0xaa, 0x75, 0x78, 0x14, 0xe0, 0x52,
	0xd2, 0xaa, 0x02, 0xa9, 0x1a, 0x7c, 0xf8, 0x11, 0x75, 0x63, 0xaa, 0xb2, 0x09, 0x57, 0x1a, 0x63,
	0xb4, 0x5a, 0xd2, 0x02, 0xb6, 0x9c, 0x6d, 0x67, 0x67, 0x2d, 0xb4, 0x67, 0xfc, 0x1d, 0x5a, 0xcd,
	0x78, 0xc9, 0xb6, 0x56, 0xb6, 0x9d, 0x9d, 0xcd, 0xbd, 0xaf, 0xbd, 0x25, 0x45, 0x7a, 0x8b, 0x00,
	0x47, 0xbc, 0x64, 0xa1, 0x75, 0x1f, 0x52, 0xe4, 0x2e, 0xac, 0xc7, 0xa0, 0x29, 0xa3, 0x9a, 0xe2,
	0x63, 0xf4, 0x45, 0x41, 0xaf, 0x88, 0x69, 0x5b, 0x91, 0x0a, 0x24, 0x51, 0x90, 0x8a, 0x92, 0xd9,
	0x74, 0xeb, 0x7b, 0x5f, 0x7a, 0x4d, 0xa5, 0xde, 0xa2, 0x52, 0x6f, 0x2c, 0xea, 0x24, 0x87, 0x13,
	0x9a, 0xd7, 0x10, 0x7e, 0x56, 0xd0, 0x2b, 0x13, 0x50, 0xcd, 0x40, 0x46, 0x96, 0x36, 0xfc, 0x88,
	0x7a, 0x8b, 0x14, 0x33, 0x2a, 0x35, 0x37, 0xaa, 0xdc, 0xe6, 0x72, 0x51, 0x27, 0x83, 0xeb, 0xb6,
	0x13, 0x73, 0xc4, 0x6f, 0xd1, 0x73, 0x71, 0x59, 0x82, 0x24, 0xe7, 0x42, 0x69, 0x62, 0xfb, 0x5c,
	0xb1, 0xe8, 0x86, 0x35, 0xbf, 0x17, 0x4a, 0x4f, 0x69, 0x01, 0xc3, 0xbf, 0x1d, 0xb4, 0xb9, 0x88,
	0x1b, 0x69, 0xaa, 0x6b, 0x85, 0xbf, 0x41, 0x38, 0xa1, 0x69, 0x96, 0x8b, 0x39, 0x49, 0x45, 0x5d,
	0x6a, 0x72, 0xce, 0x4b, 0x6d, 0x63, 0x77, 0x42, 0xb7, 0x45, 0x0e, 0x0c, 0xf0, 0x9e, 0x97, 0x1a,
	0xbf, 0x41, 0x48, 0x02, 0x65, 0x24, 0x87, 0x0b, 0xc8, 0x6d, 0x8e, 0x4e, 0xb8, 0x66, 0x2c, 0x13,
	0x63, 0xc0, 0xaf, 0xd1, 0x1a, 0x4d, 0xb3, 0x16, 0xed, 0x58, 0xb4, 0x4b, 0xd3, 0xac, 0x01, 0xdf,
	0xa2, 0xe7, 0x92, 0x6a, 0xb8, 0xab, 0xce, 0xea, 0xb6, 0xb3, 0xe3, 0x84, 0x1b, 0xc6, 0x7c, 0xdb,
	0x3b, 0x1e, 0xa3, 0x0d, 0x23, 0x23, 0xe1, 0x8c, 0x24, 0xb9, 0x48, 0xb3, 0xad, 0xa7, 0x56, 0xc3,
	0xed, 0xff, 0x7c, 0x9e, 0x60, 0xbc, 0x6f, 0xfc, 0xc2, 0x75, 0x43, 0x0b, 0x98, 0xbd, 0x0c, 0x7f,
	0x40, 0xeb, 0x77, 0x30, 0xdc, 0x43, 0x5d, 0xa5, 0xa9, 0xd4, 0x84, 0xb3, 0xb6, 0xb9, 0x4f, 0xec,
	0x3d, 0x60, 0xf8, 0x05, 0x7a, 0x06, 0x25, 0x33, 0x40, 0xd3, 0xcf, 0x53, 0x28, 0x59, 0xc0, 0x86,
	0xbf, 0x38, 0x08, 0xcd, 0x44, 0x9e, 0x83, 0x0c, 0xca, 0x33, 0x81, 0xc7, 0xc8, 0xcd, 0xa9, 0xd2,
	0x84, 0xa6, 0x29, 0x28, 0x45, 0xcc, 0x28, 0xb6, 0x8f, 0xdb, 0x7f, 0xf4, 0xb8, 0xf1, 0x62, 0x4e,
	0xc3, 0x4d, 0xc3, 0x19, 0x59, 0x8a, 0x31, 0xe2, 0x3e, 0xea, 0x72, 0x06, 0xa5, 0xe6, 0xfa, 0xba,
	0x7d, 0xa1, 0xdb, 0xfb, 0x32, 0x7d, 0x3a, 0x4b, 0xf4, 0x19, 0xfe, 0xe6, 0xa0, 0x5e, 0xa4, 0x79,
	0x9a, 0x5d, 0x1f, 0x5e, 0x41, 0x5a, 0x9b, 0xd1, 0x18, 0x69, 0x2d, 0x79, 0x52, 0x6b, 0x50, 0xf8,
	0x47, 0xe4, 0x5e, 0x0a, 0x99, 0x81, 0xb4, 0xb3, 0x48, 0xcc, 0x0e, 0xb6, 0x75, 0xbe, 0xf9, 0xdf,
	0xf9, 0x0e, 0x37, 0x1b, 0xda, 0xed, 0xc2, 0xc4, 0xa8, 0xa7, 0xd2, 0x73, 0x60, 0x75, 0x0e, 0x44,
	0x0b, 0xd2, 0xa8, 0x67, 0xda, 0x16, 0xb5, 0xb6, 0xb5, 0xaf, 0xef, 0xf5, 0x1e, 0x8f, 0x75, 0xbb,
	0xc1, 0xe1, 0xcb, 0x05, 0x37, 0x16, 0x91, 0x61, 0xc6, 0x0d, 0xf1, 0xdd, 0xcf, 0xe8, 0xd3, 0xbb,
	0x1b, 0x85, 0xfb, 0xe8, 0x65, 0x3c, 0x8a, 0x8e, 0xc8, 0x24, 0x88, 0x62, 0x72, 0x14, 0x4c, 0xc7,
	0x24, 0x98, 0x9e, 0x8c, 0x26, 0xc1, 0xd8, 0x7d, 0x82, 0x7b, 0xe8, 0xc5, 0x03, 0x6c, 0xfa, 0x21,
	0x3c, 0x1e, 0x4d, 0x5c, 0x67, 0x09, 0x14, 0xc5, 0xc1, 0xc1, 0xd1, 0xa9, 0xbb, 0xf2, 0x8e, 0xfd,
	0x9b, 0x21, 0xbe, 0xae, 0xe0, 0x7e, 0x86, 0xf8, 0x74, 0x76, 0x78, 0x27, 0xc3, 0x6b, 0xf4, 0xea,
	0x01, 0x36, 0x3e, 0x3c, 0x08, 0xa2, 0xe0, 0xc3, 0xd4, 0x75, 0x96, 0x80, 0xa3, 0x83, 0x38, 0x38,
	0x09, 0xe2, 0x53, 0x77, 0x65, 0xff, 0xec, 0xf7, 0x9b, 0x81, 0xf3, 0xc7, 0xcd, 0xc0, 0xf9, 0xf3,
	0x66, 0xe0, 0xfc, 0xfa, 0xd7, 0xe0, 0x09, 0x7a, 0x95, 0x8a, 0x62, 0x99, 0xc2, 0xfb, 0xdd, 0x51,
	0xc5, 0x67, 0x46, 0xa0, 0x99, 0xf3, 0x93, 0x3f, 0xe7, 0xfa, 0xbc, 0x4e, 0xbc, 0x54, 0x14, 0xfe,
	0xbd, 0x6f, 0xd3, 0x9b, 0x43, 0xd9, 0xfc, 0x63, 0xed, 0x0f, 0xfa, 0x3d, 0xad, 0xf8, 0xc5, 0x6e,
	0xf2, 0xcc, 0xda, 0xbe, 0xfd, 0x27, 0x00, 0x00, 0xff, 0xff, 0x6f, 0x5e, 0x0f, 0x27, 0x65, 0x05,
	0x00, 0x00,
}

func (m *TaskList) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalToSizedBuffer(dAtA[:size])
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *TaskList) MarshalTo(dAtA []byte) (int, error) {
	size := m.Size()
	return m.MarshalToSizedBuffer(dAtA[:size])
}

func (m *TaskList) MarshalToSizedBuffer(dAtA []byte) (int, error) {
	i := len(dAtA)
	_ = i
	var l int
	_ = l
	if m.XXX_unrecognized != nil {
		i -= len(m.XXX_unrecognized)
		copy(dAtA[i:], m.XXX_unrecognized)
	}
	if m.Kind != 0 {
		i = encodeVarintTasklist(dAtA, i, uint64(m.Kind))
		i--
		dAtA[i] = 0x10
	}
	if len(m.Name) > 0 {
		i -= len(m.Name)
		copy(dAtA[i:], m.Name)
		i = encodeVarintTasklist(dAtA, i, uint64(len(m.Name)))
		i--
		dAtA[i] = 0xa
	}
	return len(dAtA) - i, nil
}

func (m *TaskListMetadata) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalToSizedBuffer(dAtA[:size])
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *TaskListMetadata) MarshalTo(dAtA []byte) (int, error) {
	size := m.Size()
	return m.MarshalToSizedBuffer(dAtA[:size])
}

func (m *TaskListMetadata) MarshalToSizedBuffer(dAtA []byte) (int, error) {
	i := len(dAtA)
	_ = i
	var l int
	_ = l
	if m.XXX_unrecognized != nil {
		i -= len(m.XXX_unrecognized)
		copy(dAtA[i:], m.XXX_unrecognized)
	}
	if m.MaxTasksPerSecond != nil {
		{
			size, err := m.MaxTasksPerSecond.MarshalToSizedBuffer(dAtA[:i])
			if err != nil {
				return 0, err
			}
			i -= size
			i = encodeVarintTasklist(dAtA, i, uint64(size))
		}
		i--
		dAtA[i] = 0xa
	}
	return len(dAtA) - i, nil
}

func (m *TaskListPartitionMetadata) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalToSizedBuffer(dAtA[:size])
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *TaskListPartitionMetadata) MarshalTo(dAtA []byte) (int, error) {
	size := m.Size()
	return m.MarshalToSizedBuffer(dAtA[:size])
}

func (m *TaskListPartitionMetadata) MarshalToSizedBuffer(dAtA []byte) (int, error) {
	i := len(dAtA)
	_ = i
	var l int
	_ = l
	if m.XXX_unrecognized != nil {
		i -= len(m.XXX_unrecognized)
		copy(dAtA[i:], m.XXX_unrecognized)
	}
	if len(m.OwnerHostName) > 0 {
		i -= len(m.OwnerHostName)
		copy(dAtA[i:], m.OwnerHostName)
		i = encodeVarintTasklist(dAtA, i, uint64(len(m.OwnerHostName)))
		i--
		dAtA[i] = 0x12
	}
	if len(m.Key) > 0 {
		i -= len(m.Key)
		copy(dAtA[i:], m.Key)
		i = encodeVarintTasklist(dAtA, i, uint64(len(m.Key)))
		i--
		dAtA[i] = 0xa
	}
	return len(dAtA) - i, nil
}

func (m *TaskListStatus) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalToSizedBuffer(dAtA[:size])
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *TaskListStatus) MarshalTo(dAtA []byte) (int, error) {
	size := m.Size()
	return m.MarshalToSizedBuffer(dAtA[:size])
}

func (m *TaskListStatus) MarshalToSizedBuffer(dAtA []byte) (int, error) {
	i := len(dAtA)
	_ = i
	var l int
	_ = l
	if m.XXX_unrecognized != nil {
		i -= len(m.XXX_unrecognized)
		copy(dAtA[i:], m.XXX_unrecognized)
	}
	if m.TaskIdBlock != nil {
		{
			size, err := m.TaskIdBlock.MarshalToSizedBuffer(dAtA[:i])
			if err != nil {
				return 0, err
			}
			i -= size
			i = encodeVarintTasklist(dAtA, i, uint64(size))
		}
		i--
		dAtA[i] = 0x2a
	}
	if m.RatePerSecond != 0 {
		i -= 8
		encoding_binary.LittleEndian.PutUint64(dAtA[i:], uint64(math.Float64bits(float64(m.RatePerSecond))))
		i--
		dAtA[i] = 0x21
	}
	if m.AckLevel != 0 {
		i = encodeVarintTasklist(dAtA, i, uint64(m.AckLevel))
		i--
		dAtA[i] = 0x18
	}
	if m.ReadLevel != 0 {
		i = encodeVarintTasklist(dAtA, i, uint64(m.ReadLevel))
		i--
		dAtA[i] = 0x10
	}
	if m.BacklogCountHint != 0 {
		i = encodeVarintTasklist(dAtA, i, uint64(m.BacklogCountHint))
		i--
		dAtA[i] = 0x8
	}
	return len(dAtA) - i, nil
}

func (m *TaskIDBlock) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalToSizedBuffer(dAtA[:size])
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *TaskIDBlock) MarshalTo(dAtA []byte) (int, error) {
	size := m.Size()
	return m.MarshalToSizedBuffer(dAtA[:size])
}

func (m *TaskIDBlock) MarshalToSizedBuffer(dAtA []byte) (int, error) {
	i := len(dAtA)
	_ = i
	var l int
	_ = l
	if m.XXX_unrecognized != nil {
		i -= len(m.XXX_unrecognized)
		copy(dAtA[i:], m.XXX_unrecognized)
	}
	if m.EndId != 0 {
		i = encodeVarintTasklist(dAtA, i, uint64(m.EndId))
		i--
		dAtA[i] = 0x10
	}
	if m.StartId != 0 {
		i = encodeVarintTasklist(dAtA, i, uint64(m.StartId))
		i--
		dAtA[i] = 0x8
	}
	return len(dAtA) - i, nil
}

func (m *PollerInfo) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalToSizedBuffer(dAtA[:size])
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *PollerInfo) MarshalTo(dAtA []byte) (int, error) {
	size := m.Size()
	return m.MarshalToSizedBuffer(dAtA[:size])
}

func (m *PollerInfo) MarshalToSizedBuffer(dAtA []byte) (int, error) {
	i := len(dAtA)
	_ = i
	var l int
	_ = l
	if m.XXX_unrecognized != nil {
		i -= len(m.XXX_unrecognized)
		copy(dAtA[i:], m.XXX_unrecognized)
	}
	if m.RatePerSecond != 0 {
		i -= 8
		encoding_binary.LittleEndian.PutUint64(dAtA[i:], uint64(math.Float64bits(float64(m.RatePerSecond))))
		i--
		dAtA[i] = 0x19
	}
	if len(m.Identity) > 0 {
		i -= len(m.Identity)
		copy(dAtA[i:], m.Identity)
		i = encodeVarintTasklist(dAtA, i, uint64(len(m.Identity)))
		i--
		dAtA[i] = 0x12
	}
	if m.LastAccessTime != nil {
		{
			size, err := m.LastAccessTime.MarshalToSizedBuffer(dAtA[:i])
			if err != nil {
				return 0, err
			}
			i -= size
			i = encodeVarintTasklist(dAtA, i, uint64(size))
		}
		i--
		dAtA[i] = 0xa
	}
	return len(dAtA) - i, nil
}

func (m *StickyExecutionAttributes) Marshal() (dAtA []byte, err error) {
	size := m.Size()
	dAtA = make([]byte, size)
	n, err := m.MarshalToSizedBuffer(dAtA[:size])
	if err != nil {
		return nil, err
	}
	return dAtA[:n], nil
}

func (m *StickyExecutionAttributes) MarshalTo(dAtA []byte) (int, error) {
	size := m.Size()
	return m.MarshalToSizedBuffer(dAtA[:size])
}

func (m *StickyExecutionAttributes) MarshalToSizedBuffer(dAtA []byte) (int, error) {
	i := len(dAtA)
	_ = i
	var l int
	_ = l
	if m.XXX_unrecognized != nil {
		i -= len(m.XXX_unrecognized)
		copy(dAtA[i:], m.XXX_unrecognized)
	}
	if m.ScheduleToStartTimeout != nil {
		{
			size, err := m.ScheduleToStartTimeout.MarshalToSizedBuffer(dAtA[:i])
			if err != nil {
				return 0, err
			}
			i -= size
			i = encodeVarintTasklist(dAtA, i, uint64(size))
		}
		i--
		dAtA[i] = 0x12
	}
	if m.WorkerTaskList != nil {
		{
			size, err := m.WorkerTaskList.MarshalToSizedBuffer(dAtA[:i])
			if err != nil {
				return 0, err
			}
			i -= size
			i = encodeVarintTasklist(dAtA, i, uint64(size))
		}
		i--
		dAtA[i] = 0xa
	}
	return len(dAtA) - i, nil
}

func encodeVarintTasklist(dAtA []byte, offset int, v uint64) int {
	offset -= sovTasklist(v)
	base := offset
	for v >= 1<<7 {
		dAtA[offset] = uint8(v&0x7f | 0x80)
		v >>= 7
		offset++
	}
	dAtA[offset] = uint8(v)
	return base
}
func (m *TaskList) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	l = len(m.Name)
	if l > 0 {
		n += 1 + l + sovTasklist(uint64(l))
	}
	if m.Kind != 0 {
		n += 1 + sovTasklist(uint64(m.Kind))
	}
	if m.XXX_unrecognized != nil {
		n += len(m.XXX_unrecognized)
	}
	return n
}

func (m *TaskListMetadata) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if m.MaxTasksPerSecond != nil {
		l = m.MaxTasksPerSecond.Size()
		n += 1 + l + sovTasklist(uint64(l))
	}
	if m.XXX_unrecognized != nil {
		n += len(m.XXX_unrecognized)
	}
	return n
}

func (m *TaskListPartitionMetadata) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	l = len(m.Key)
	if l > 0 {
		n += 1 + l + sovTasklist(uint64(l))
	}
	l = len(m.OwnerHostName)
	if l > 0 {
		n += 1 + l + sovTasklist(uint64(l))
	}
	if m.XXX_unrecognized != nil {
		n += len(m.XXX_unrecognized)
	}
	return n
}

func (m *TaskListStatus) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if m.BacklogCountHint != 0 {
		n += 1 + sovTasklist(uint64(m.BacklogCountHint))
	}
	if m.ReadLevel != 0 {
		n += 1 + sovTasklist(uint64(m.ReadLevel))
	}
	if m.AckLevel != 0 {
		n += 1 + sovTasklist(uint64(m.AckLevel))
	}
	if m.RatePerSecond != 0 {
		n += 9
	}
	if m.TaskIdBlock != nil {
		l = m.TaskIdBlock.Size()
		n += 1 + l + sovTasklist(uint64(l))
	}
	if m.XXX_unrecognized != nil {
		n += len(m.XXX_unrecognized)
	}
	return n
}

func (m *TaskIDBlock) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if m.StartId != 0 {
		n += 1 + sovTasklist(uint64(m.StartId))
	}
	if m.EndId != 0 {
		n += 1 + sovTasklist(uint64(m.EndId))
	}
	if m.XXX_unrecognized != nil {
		n += len(m.XXX_unrecognized)
	}
	return n
}

func (m *PollerInfo) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if m.LastAccessTime != nil {
		l = m.LastAccessTime.Size()
		n += 1 + l + sovTasklist(uint64(l))
	}
	l = len(m.Identity)
	if l > 0 {
		n += 1 + l + sovTasklist(uint64(l))
	}
	if m.RatePerSecond != 0 {
		n += 9
	}
	if m.XXX_unrecognized != nil {
		n += len(m.XXX_unrecognized)
	}
	return n
}

func (m *StickyExecutionAttributes) Size() (n int) {
	if m == nil {
		return 0
	}
	var l int
	_ = l
	if m.WorkerTaskList != nil {
		l = m.WorkerTaskList.Size()
		n += 1 + l + sovTasklist(uint64(l))
	}
	if m.ScheduleToStartTimeout != nil {
		l = m.ScheduleToStartTimeout.Size()
		n += 1 + l + sovTasklist(uint64(l))
	}
	if m.XXX_unrecognized != nil {
		n += len(m.XXX_unrecognized)
	}
	return n
}

func sovTasklist(x uint64) (n int) {
	return (math_bits.Len64(x|1) + 6) / 7
}
func sozTasklist(x uint64) (n int) {
	return sovTasklist(uint64((x << 1) ^ uint64((int64(x) >> 63))))
}
func (m *TaskList) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTasklist
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= uint64(b&0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: TaskList: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: TaskList: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Name", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTasklist
			}
			postIndex := iNdEx + intStringLen
			if postIndex < 0 {
				return ErrInvalidLengthTasklist
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Name = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 2:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field Kind", wireType)
			}
			m.Kind = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.Kind |= TaskListKind(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		default:
			iNdEx = preIndex
			skippy, err := skipTasklist(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			m.XXX_unrecognized = append(m.XXX_unrecognized, dAtA[iNdEx:iNdEx+skippy]...)
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *TaskListMetadata) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTasklist
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= uint64(b&0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: TaskListMetadata: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: TaskListMetadata: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field MaxTasksPerSecond", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= int(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTasklist
			}
			postIndex := iNdEx + msglen
			if postIndex < 0 {
				return ErrInvalidLengthTasklist
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.MaxTasksPerSecond == nil {
				m.MaxTasksPerSecond = &types.DoubleValue{}
			}
			if err := m.MaxTasksPerSecond.Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTasklist(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			m.XXX_unrecognized = append(m.XXX_unrecognized, dAtA[iNdEx:iNdEx+skippy]...)
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *TaskListPartitionMetadata) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTasklist
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= uint64(b&0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: TaskListPartitionMetadata: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: TaskListPartitionMetadata: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Key", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTasklist
			}
			postIndex := iNdEx + intStringLen
			if postIndex < 0 {
				return ErrInvalidLengthTasklist
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Key = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field OwnerHostName", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTasklist
			}
			postIndex := iNdEx + intStringLen
			if postIndex < 0 {
				return ErrInvalidLengthTasklist
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.OwnerHostName = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTasklist(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			m.XXX_unrecognized = append(m.XXX_unrecognized, dAtA[iNdEx:iNdEx+skippy]...)
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *TaskListStatus) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTasklist
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= uint64(b&0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: TaskListStatus: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: TaskListStatus: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field BacklogCountHint", wireType)
			}
			m.BacklogCountHint = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.BacklogCountHint |= int64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 2:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field ReadLevel", wireType)
			}
			m.ReadLevel = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.ReadLevel |= int64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 3:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field AckLevel", wireType)
			}
			m.AckLevel = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.AckLevel |= int64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 4:
			if wireType != 1 {
				return fmt.Errorf("proto: wrong wireType = %d for field RatePerSecond", wireType)
			}
			var v uint64
			if (iNdEx + 8) > l {
				return io.ErrUnexpectedEOF
			}
			v = uint64(encoding_binary.LittleEndian.Uint64(dAtA[iNdEx:]))
			iNdEx += 8
			m.RatePerSecond = float64(math.Float64frombits(v))
		case 5:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field TaskIdBlock", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= int(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTasklist
			}
			postIndex := iNdEx + msglen
			if postIndex < 0 {
				return ErrInvalidLengthTasklist
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.TaskIdBlock == nil {
				m.TaskIdBlock = &TaskIDBlock{}
			}
			if err := m.TaskIdBlock.Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTasklist(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			m.XXX_unrecognized = append(m.XXX_unrecognized, dAtA[iNdEx:iNdEx+skippy]...)
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *TaskIDBlock) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTasklist
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= uint64(b&0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: TaskIDBlock: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: TaskIDBlock: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field StartId", wireType)
			}
			m.StartId = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.StartId |= int64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		case 2:
			if wireType != 0 {
				return fmt.Errorf("proto: wrong wireType = %d for field EndId", wireType)
			}
			m.EndId = 0
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				m.EndId |= int64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
		default:
			iNdEx = preIndex
			skippy, err := skipTasklist(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			m.XXX_unrecognized = append(m.XXX_unrecognized, dAtA[iNdEx:iNdEx+skippy]...)
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *PollerInfo) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTasklist
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= uint64(b&0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: PollerInfo: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: PollerInfo: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field LastAccessTime", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= int(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTasklist
			}
			postIndex := iNdEx + msglen
			if postIndex < 0 {
				return ErrInvalidLengthTasklist
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.LastAccessTime == nil {
				m.LastAccessTime = &types.Timestamp{}
			}
			if err := m.LastAccessTime.Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field Identity", wireType)
			}
			var stringLen uint64
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				stringLen |= uint64(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			intStringLen := int(stringLen)
			if intStringLen < 0 {
				return ErrInvalidLengthTasklist
			}
			postIndex := iNdEx + intStringLen
			if postIndex < 0 {
				return ErrInvalidLengthTasklist
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			m.Identity = string(dAtA[iNdEx:postIndex])
			iNdEx = postIndex
		case 3:
			if wireType != 1 {
				return fmt.Errorf("proto: wrong wireType = %d for field RatePerSecond", wireType)
			}
			var v uint64
			if (iNdEx + 8) > l {
				return io.ErrUnexpectedEOF
			}
			v = uint64(encoding_binary.LittleEndian.Uint64(dAtA[iNdEx:]))
			iNdEx += 8
			m.RatePerSecond = float64(math.Float64frombits(v))
		default:
			iNdEx = preIndex
			skippy, err := skipTasklist(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			m.XXX_unrecognized = append(m.XXX_unrecognized, dAtA[iNdEx:iNdEx+skippy]...)
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func (m *StickyExecutionAttributes) Unmarshal(dAtA []byte) error {
	l := len(dAtA)
	iNdEx := 0
	for iNdEx < l {
		preIndex := iNdEx
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return ErrIntOverflowTasklist
			}
			if iNdEx >= l {
				return io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= uint64(b&0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		fieldNum := int32(wire >> 3)
		wireType := int(wire & 0x7)
		if wireType == 4 {
			return fmt.Errorf("proto: StickyExecutionAttributes: wiretype end group for non-group")
		}
		if fieldNum <= 0 {
			return fmt.Errorf("proto: StickyExecutionAttributes: illegal tag %d (wire type %d)", fieldNum, wire)
		}
		switch fieldNum {
		case 1:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field WorkerTaskList", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= int(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTasklist
			}
			postIndex := iNdEx + msglen
			if postIndex < 0 {
				return ErrInvalidLengthTasklist
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.WorkerTaskList == nil {
				m.WorkerTaskList = &TaskList{}
			}
			if err := m.WorkerTaskList.Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		case 2:
			if wireType != 2 {
				return fmt.Errorf("proto: wrong wireType = %d for field ScheduleToStartTimeout", wireType)
			}
			var msglen int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				msglen |= int(b&0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if msglen < 0 {
				return ErrInvalidLengthTasklist
			}
			postIndex := iNdEx + msglen
			if postIndex < 0 {
				return ErrInvalidLengthTasklist
			}
			if postIndex > l {
				return io.ErrUnexpectedEOF
			}
			if m.ScheduleToStartTimeout == nil {
				m.ScheduleToStartTimeout = &types.Duration{}
			}
			if err := m.ScheduleToStartTimeout.Unmarshal(dAtA[iNdEx:postIndex]); err != nil {
				return err
			}
			iNdEx = postIndex
		default:
			iNdEx = preIndex
			skippy, err := skipTasklist(dAtA[iNdEx:])
			if err != nil {
				return err
			}
			if skippy < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) < 0 {
				return ErrInvalidLengthTasklist
			}
			if (iNdEx + skippy) > l {
				return io.ErrUnexpectedEOF
			}
			m.XXX_unrecognized = append(m.XXX_unrecognized, dAtA[iNdEx:iNdEx+skippy]...)
			iNdEx += skippy
		}
	}

	if iNdEx > l {
		return io.ErrUnexpectedEOF
	}
	return nil
}
func skipTasklist(dAtA []byte) (n int, err error) {
	l := len(dAtA)
	iNdEx := 0
	depth := 0
	for iNdEx < l {
		var wire uint64
		for shift := uint(0); ; shift += 7 {
			if shift >= 64 {
				return 0, ErrIntOverflowTasklist
			}
			if iNdEx >= l {
				return 0, io.ErrUnexpectedEOF
			}
			b := dAtA[iNdEx]
			iNdEx++
			wire |= (uint64(b) & 0x7F) << shift
			if b < 0x80 {
				break
			}
		}
		wireType := int(wire & 0x7)
		switch wireType {
		case 0:
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				iNdEx++
				if dAtA[iNdEx-1] < 0x80 {
					break
				}
			}
		case 1:
			iNdEx += 8
		case 2:
			var length int
			for shift := uint(0); ; shift += 7 {
				if shift >= 64 {
					return 0, ErrIntOverflowTasklist
				}
				if iNdEx >= l {
					return 0, io.ErrUnexpectedEOF
				}
				b := dAtA[iNdEx]
				iNdEx++
				length |= (int(b) & 0x7F) << shift
				if b < 0x80 {
					break
				}
			}
			if length < 0 {
				return 0, ErrInvalidLengthTasklist
			}
			iNdEx += length
		case 3:
			depth++
		case 4:
			if depth == 0 {
				return 0, ErrUnexpectedEndOfGroupTasklist
			}
			depth--
		case 5:
			iNdEx += 4
		default:
			return 0, fmt.Errorf("proto: illegal wireType %d", wireType)
		}
		if iNdEx < 0 {
			return 0, ErrInvalidLengthTasklist
		}
		if depth == 0 {
			return iNdEx, nil
		}
	}
	return 0, io.ErrUnexpectedEOF
}

var (
	ErrInvalidLengthTasklist        = fmt.Errorf("proto: negative length found during unmarshaling")
	ErrIntOverflowTasklist          = fmt.Errorf("proto: integer overflow")
	ErrUnexpectedEndOfGroupTasklist = fmt.Errorf("proto: unexpected end of group")
)
