// The MIT License (MIT)

// Copyright (c) 2017-2020 Uber Technologies Inc.

// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: uber/cadence/shared/v1/workflow.proto

package sharedv1

import (
	fmt "fmt"
	math "math"

	proto "github.com/golang/protobuf/proto"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type WorkflowState int32

const (
	WorkflowState_WORKFLOW_STATE_INVALID   WorkflowState = 0
	WorkflowState_WORKFLOW_STATE_CREATED   WorkflowState = 1
	WorkflowState_WORKFLOW_STATE_RUNNING   WorkflowState = 2
	WorkflowState_WORKFLOW_STATE_COMPLETED WorkflowState = 3
	WorkflowState_WORKFLOW_STATE_ZOMBIE    WorkflowState = 4
	WorkflowState_WORKFLOW_STATE_VOID      WorkflowState = 5
	WorkflowState_WORKFLOW_STATE_CORRUPTED WorkflowState = 6
)

var WorkflowState_name = map[int32]string{
	0: "WORKFLOW_STATE_INVALID",
	1: "WORKFLOW_STATE_CREATED",
	2: "WORKFLOW_STATE_RUNNING",
	3: "WORKFLOW_STATE_COMPLETED",
	4: "WORKFLOW_STATE_ZOMBIE",
	5: "WORKFLOW_STATE_VOID",
	6: "WORKFLOW_STATE_CORRUPTED",
}

var WorkflowState_value = map[string]int32{
	"WORKFLOW_STATE_INVALID":   0,
	"WORKFLOW_STATE_CREATED":   1,
	"WORKFLOW_STATE_RUNNING":   2,
	"WORKFLOW_STATE_COMPLETED": 3,
	"WORKFLOW_STATE_ZOMBIE":    4,
	"WORKFLOW_STATE_VOID":      5,
	"WORKFLOW_STATE_CORRUPTED": 6,
}

func (x WorkflowState) String() string {
	return proto.EnumName(WorkflowState_name, int32(x))
}

func (WorkflowState) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_7ca73ea33aecbb95, []int{0}
}

func init() {
	proto.RegisterEnum("uber.cadence.shared.v1.WorkflowState", WorkflowState_name, WorkflowState_value)
}

func init() {
	proto.RegisterFile("uber/cadence/shared/v1/workflow.proto", fileDescriptor_7ca73ea33aecbb95)
}

var fileDescriptor_7ca73ea33aecbb95 = []byte{
	// 243 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x52, 0x2d, 0x4d, 0x4a, 0x2d,
	0xd2, 0x4f, 0x4e, 0x4c, 0x49, 0xcd, 0x4b, 0x4e, 0xd5, 0x2f, 0xce, 0x48, 0x2c, 0x4a, 0x4d, 0xd1,
	0x2f, 0x33, 0xd4, 0x2f, 0xcf, 0x2f, 0xca, 0x4e, 0xcb, 0xc9, 0x2f, 0xd7, 0x2b, 0x28, 0xca, 0x2f,
	0xc9, 0x17, 0x12, 0x03, 0x29, 0xd3, 0x83, 0x2a, 0xd3, 0x83, 0x28, 0xd3, 0x2b, 0x33, 0xd4, 0xba,
	0xcc, 0xc8, 0xc5, 0x1b, 0x0e, 0x55, 0x1a, 0x5c, 0x92, 0x58, 0x92, 0x2a, 0x24, 0xc5, 0x25, 0x16,
	0xee, 0x1f, 0xe4, 0xed, 0xe6, 0xe3, 0x1f, 0x1e, 0x1f, 0x1c, 0xe2, 0x18, 0xe2, 0x1a, 0xef, 0xe9,
	0x17, 0xe6, 0xe8, 0xe3, 0xe9, 0x22, 0xc0, 0x80, 0x45, 0xce, 0x39, 0xc8, 0xd5, 0x31, 0xc4, 0xd5,
	0x45, 0x80, 0x11, 0x8b, 0x5c, 0x50, 0xa8, 0x9f, 0x9f, 0xa7, 0x9f, 0xbb, 0x00, 0x93, 0x90, 0x0c,
	0x97, 0x04, 0xba, 0x3e, 0x7f, 0xdf, 0x00, 0x1f, 0x57, 0x90, 0x4e, 0x66, 0x21, 0x49, 0x2e, 0x51,
	0x34, 0xd9, 0x28, 0x7f, 0x5f, 0x27, 0x4f, 0x57, 0x01, 0x16, 0x21, 0x71, 0x2e, 0x61, 0x34, 0xa9,
	0x30, 0x7f, 0x4f, 0x17, 0x01, 0x56, 0xac, 0x26, 0x06, 0x05, 0x85, 0x06, 0x80, 0x4c, 0x64, 0x73,
	0x72, 0x3f, 0xf1, 0x48, 0x8e, 0xf1, 0xc2, 0x23, 0x39, 0xc6, 0x07, 0x8f, 0xe4, 0x18, 0x67, 0x3c,
	0x96, 0x63, 0x88, 0x32, 0x4d, 0xcf, 0x2c, 0xc9, 0x28, 0x4d, 0xd2, 0x4b, 0xce, 0xcf, 0xd5, 0x47,
	0x09, 0x31, 0xbd, 0xf4, 0xd4, 0x3c, 0x7d, 0x70, 0x18, 0x21, 0x02, 0xcf, 0x1a, 0xc2, 0x2a, 0x33,
	0x4c, 0x62, 0x03, 0xcb, 0x18, 0x03, 0x02, 0x00, 0x00, 0xff, 0xff, 0xf6, 0x03, 0x72, 0xe6, 0x66,
	0x01, 0x00, 0x00,
}
