// The MIT License (MIT)

// Copyright (c) 2017-2020 Uber Technologies Inc.

// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

// Code generated by protoc-gen-yarpc-go. DO NOT EDIT.
// source: uber/cadence/admin/v1/service.proto

package adminv1

import (
	"context"
	"io/ioutil"
	"reflect"

	"github.com/gogo/protobuf/jsonpb"
	"github.com/gogo/protobuf/proto"
	"go.uber.org/fx"
	"go.uber.org/yarpc"
	"go.uber.org/yarpc/api/transport"
	"go.uber.org/yarpc/api/x/restriction"
	"go.uber.org/yarpc/encoding/protobuf"
	"go.uber.org/yarpc/encoding/protobuf/reflection"
)

var _ = ioutil.NopCloser

// AdminAPIYARPCClient is the YARPC client-side interface for the AdminAPI service.
type AdminAPIYARPCClient interface {
	DescribeWorkflowExecution(context.Context, *DescribeWorkflowExecutionRequest, ...yarpc.CallOption) (*DescribeWorkflowExecutionResponse, error)
	DescribeHistoryHost(context.Context, *DescribeHistoryHostRequest, ...yarpc.CallOption) (*DescribeHistoryHostResponse, error)
	CloseShard(context.Context, *CloseShardRequest, ...yarpc.CallOption) (*CloseShardResponse, error)
	RemoveTask(context.Context, *RemoveTaskRequest, ...yarpc.CallOption) (*RemoveTaskResponse, error)
	ResetQueue(context.Context, *ResetQueueRequest, ...yarpc.CallOption) (*ResetQueueResponse, error)
	DescribeQueue(context.Context, *DescribeQueueRequest, ...yarpc.CallOption) (*DescribeQueueResponse, error)
	GetWorkflowExecutionRawHistoryV2(context.Context, *GetWorkflowExecutionRawHistoryV2Request, ...yarpc.CallOption) (*GetWorkflowExecutionRawHistoryV2Response, error)
	GetReplicationMessages(context.Context, *GetReplicationMessagesRequest, ...yarpc.CallOption) (*GetReplicationMessagesResponse, error)
	GetDLQReplicationMessages(context.Context, *GetDLQReplicationMessagesRequest, ...yarpc.CallOption) (*GetDLQReplicationMessagesResponse, error)
	GetDomainReplicationMessages(context.Context, *GetDomainReplicationMessagesRequest, ...yarpc.CallOption) (*GetDomainReplicationMessagesResponse, error)
	ReapplyEvents(context.Context, *ReapplyEventsRequest, ...yarpc.CallOption) (*ReapplyEventsResponse, error)
	AddSearchAttribute(context.Context, *AddSearchAttributeRequest, ...yarpc.CallOption) (*AddSearchAttributeResponse, error)
	DescribeCluster(context.Context, *DescribeClusterRequest, ...yarpc.CallOption) (*DescribeClusterResponse, error)
	ReadDLQMessages(context.Context, *ReadDLQMessagesRequest, ...yarpc.CallOption) (*ReadDLQMessagesResponse, error)
	PurgeDLQMessages(context.Context, *PurgeDLQMessagesRequest, ...yarpc.CallOption) (*PurgeDLQMessagesResponse, error)
	MergeDLQMessages(context.Context, *MergeDLQMessagesRequest, ...yarpc.CallOption) (*MergeDLQMessagesResponse, error)
	RefreshWorkflowTasks(context.Context, *RefreshWorkflowTasksRequest, ...yarpc.CallOption) (*RefreshWorkflowTasksResponse, error)
	ResendReplicationTasks(context.Context, *ResendReplicationTasksRequest, ...yarpc.CallOption) (*ResendReplicationTasksResponse, error)
}

func newAdminAPIYARPCClient(clientConfig transport.ClientConfig, anyResolver jsonpb.AnyResolver, options ...protobuf.ClientOption) AdminAPIYARPCClient {
	return &_AdminAPIYARPCCaller{protobuf.NewStreamClient(
		protobuf.ClientParams{
			ServiceName:  "uber.cadence.admin.v1.AdminAPI",
			ClientConfig: clientConfig,
			AnyResolver:  anyResolver,
			Options:      options,
		},
	)}
}

// NewAdminAPIYARPCClient builds a new YARPC client for the AdminAPI service.
func NewAdminAPIYARPCClient(clientConfig transport.ClientConfig, options ...protobuf.ClientOption) AdminAPIYARPCClient {
	return newAdminAPIYARPCClient(clientConfig, nil, options...)
}

// AdminAPIYARPCServer is the YARPC server-side interface for the AdminAPI service.
type AdminAPIYARPCServer interface {
	DescribeWorkflowExecution(context.Context, *DescribeWorkflowExecutionRequest) (*DescribeWorkflowExecutionResponse, error)
	DescribeHistoryHost(context.Context, *DescribeHistoryHostRequest) (*DescribeHistoryHostResponse, error)
	CloseShard(context.Context, *CloseShardRequest) (*CloseShardResponse, error)
	RemoveTask(context.Context, *RemoveTaskRequest) (*RemoveTaskResponse, error)
	ResetQueue(context.Context, *ResetQueueRequest) (*ResetQueueResponse, error)
	DescribeQueue(context.Context, *DescribeQueueRequest) (*DescribeQueueResponse, error)
	GetWorkflowExecutionRawHistoryV2(context.Context, *GetWorkflowExecutionRawHistoryV2Request) (*GetWorkflowExecutionRawHistoryV2Response, error)
	GetReplicationMessages(context.Context, *GetReplicationMessagesRequest) (*GetReplicationMessagesResponse, error)
	GetDLQReplicationMessages(context.Context, *GetDLQReplicationMessagesRequest) (*GetDLQReplicationMessagesResponse, error)
	GetDomainReplicationMessages(context.Context, *GetDomainReplicationMessagesRequest) (*GetDomainReplicationMessagesResponse, error)
	ReapplyEvents(context.Context, *ReapplyEventsRequest) (*ReapplyEventsResponse, error)
	AddSearchAttribute(context.Context, *AddSearchAttributeRequest) (*AddSearchAttributeResponse, error)
	DescribeCluster(context.Context, *DescribeClusterRequest) (*DescribeClusterResponse, error)
	ReadDLQMessages(context.Context, *ReadDLQMessagesRequest) (*ReadDLQMessagesResponse, error)
	PurgeDLQMessages(context.Context, *PurgeDLQMessagesRequest) (*PurgeDLQMessagesResponse, error)
	MergeDLQMessages(context.Context, *MergeDLQMessagesRequest) (*MergeDLQMessagesResponse, error)
	RefreshWorkflowTasks(context.Context, *RefreshWorkflowTasksRequest) (*RefreshWorkflowTasksResponse, error)
	ResendReplicationTasks(context.Context, *ResendReplicationTasksRequest) (*ResendReplicationTasksResponse, error)
}

type buildAdminAPIYARPCProceduresParams struct {
	Server      AdminAPIYARPCServer
	AnyResolver jsonpb.AnyResolver
}

func buildAdminAPIYARPCProcedures(params buildAdminAPIYARPCProceduresParams) []transport.Procedure {
	handler := &_AdminAPIYARPCHandler{params.Server}
	return protobuf.BuildProcedures(
		protobuf.BuildProceduresParams{
			ServiceName: "uber.cadence.admin.v1.AdminAPI",
			UnaryHandlerParams: []protobuf.BuildProceduresUnaryHandlerParams{
				{
					MethodName: "DescribeWorkflowExecution",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.DescribeWorkflowExecution,
							NewRequest:  newAdminAPIServiceDescribeWorkflowExecutionYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "DescribeHistoryHost",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.DescribeHistoryHost,
							NewRequest:  newAdminAPIServiceDescribeHistoryHostYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "CloseShard",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.CloseShard,
							NewRequest:  newAdminAPIServiceCloseShardYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RemoveTask",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RemoveTask,
							NewRequest:  newAdminAPIServiceRemoveTaskYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "ResetQueue",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.ResetQueue,
							NewRequest:  newAdminAPIServiceResetQueueYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "DescribeQueue",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.DescribeQueue,
							NewRequest:  newAdminAPIServiceDescribeQueueYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "GetWorkflowExecutionRawHistoryV2",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.GetWorkflowExecutionRawHistoryV2,
							NewRequest:  newAdminAPIServiceGetWorkflowExecutionRawHistoryV2YARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "GetReplicationMessages",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.GetReplicationMessages,
							NewRequest:  newAdminAPIServiceGetReplicationMessagesYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "GetDLQReplicationMessages",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.GetDLQReplicationMessages,
							NewRequest:  newAdminAPIServiceGetDLQReplicationMessagesYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "GetDomainReplicationMessages",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.GetDomainReplicationMessages,
							NewRequest:  newAdminAPIServiceGetDomainReplicationMessagesYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "ReapplyEvents",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.ReapplyEvents,
							NewRequest:  newAdminAPIServiceReapplyEventsYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "AddSearchAttribute",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.AddSearchAttribute,
							NewRequest:  newAdminAPIServiceAddSearchAttributeYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "DescribeCluster",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.DescribeCluster,
							NewRequest:  newAdminAPIServiceDescribeClusterYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "ReadDLQMessages",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.ReadDLQMessages,
							NewRequest:  newAdminAPIServiceReadDLQMessagesYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "PurgeDLQMessages",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.PurgeDLQMessages,
							NewRequest:  newAdminAPIServicePurgeDLQMessagesYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "MergeDLQMessages",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.MergeDLQMessages,
							NewRequest:  newAdminAPIServiceMergeDLQMessagesYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "RefreshWorkflowTasks",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.RefreshWorkflowTasks,
							NewRequest:  newAdminAPIServiceRefreshWorkflowTasksYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
				{
					MethodName: "ResendReplicationTasks",
					Handler: protobuf.NewUnaryHandler(
						protobuf.UnaryHandlerParams{
							Handle:      handler.ResendReplicationTasks,
							NewRequest:  newAdminAPIServiceResendReplicationTasksYARPCRequest,
							AnyResolver: params.AnyResolver,
						},
					),
				},
			},
			OnewayHandlerParams: []protobuf.BuildProceduresOnewayHandlerParams{},
			StreamHandlerParams: []protobuf.BuildProceduresStreamHandlerParams{},
		},
	)
}

// BuildAdminAPIYARPCProcedures prepares an implementation of the AdminAPI service for YARPC registration.
func BuildAdminAPIYARPCProcedures(server AdminAPIYARPCServer) []transport.Procedure {
	return buildAdminAPIYARPCProcedures(buildAdminAPIYARPCProceduresParams{Server: server})
}

// FxAdminAPIYARPCClientParams defines the input
// for NewFxAdminAPIYARPCClient. It provides the
// paramaters to get a AdminAPIYARPCClient in an
// Fx application.
type FxAdminAPIYARPCClientParams struct {
	fx.In

	Provider    yarpc.ClientConfig
	AnyResolver jsonpb.AnyResolver  `name:"yarpcfx" optional:"true"`
	Restriction restriction.Checker `optional:"true"`
}

// FxAdminAPIYARPCClientResult defines the output
// of NewFxAdminAPIYARPCClient. It provides a
// AdminAPIYARPCClient to an Fx application.
type FxAdminAPIYARPCClientResult struct {
	fx.Out

	Client AdminAPIYARPCClient

	// We are using an fx.Out struct here instead of just returning a client
	// so that we can add more values or add named versions of the client in
	// the future without breaking any existing code.
}

// NewFxAdminAPIYARPCClient provides a AdminAPIYARPCClient
// to an Fx application using the given name for routing.
//
//  fx.Provide(
//    adminv1.NewFxAdminAPIYARPCClient("service-name"),
//    ...
//  )
func NewFxAdminAPIYARPCClient(name string, options ...protobuf.ClientOption) interface{} {
	return func(params FxAdminAPIYARPCClientParams) FxAdminAPIYARPCClientResult {
		cc := params.Provider.ClientConfig(name)

		if params.Restriction != nil {
			if namer, ok := cc.GetUnaryOutbound().(transport.Namer); ok {
				if err := params.Restriction.Check(protobuf.Encoding, namer.TransportName()); err != nil {
					panic(err.Error())
				}
			}
		}

		return FxAdminAPIYARPCClientResult{
			Client: newAdminAPIYARPCClient(cc, params.AnyResolver, options...),
		}
	}
}

// FxAdminAPIYARPCProceduresParams defines the input
// for NewFxAdminAPIYARPCProcedures. It provides the
// paramaters to get AdminAPIYARPCServer procedures in an
// Fx application.
type FxAdminAPIYARPCProceduresParams struct {
	fx.In

	Server      AdminAPIYARPCServer
	AnyResolver jsonpb.AnyResolver `name:"yarpcfx" optional:"true"`
}

// FxAdminAPIYARPCProceduresResult defines the output
// of NewFxAdminAPIYARPCProcedures. It provides
// AdminAPIYARPCServer procedures to an Fx application.
//
// The procedures are provided to the "yarpcfx" value group.
// Dig 1.2 or newer must be used for this feature to work.
type FxAdminAPIYARPCProceduresResult struct {
	fx.Out

	Procedures     []transport.Procedure `group:"yarpcfx"`
	ReflectionMeta reflection.ServerMeta `group:"yarpcfx"`
}

// NewFxAdminAPIYARPCProcedures provides AdminAPIYARPCServer procedures to an Fx application.
// It expects a AdminAPIYARPCServer to be present in the container.
//
//  fx.Provide(
//    adminv1.NewFxAdminAPIYARPCProcedures(),
//    ...
//  )
func NewFxAdminAPIYARPCProcedures() interface{} {
	return func(params FxAdminAPIYARPCProceduresParams) FxAdminAPIYARPCProceduresResult {
		return FxAdminAPIYARPCProceduresResult{
			Procedures: buildAdminAPIYARPCProcedures(buildAdminAPIYARPCProceduresParams{
				Server:      params.Server,
				AnyResolver: params.AnyResolver,
			}),
			ReflectionMeta: reflection.ServerMeta{
				ServiceName:     "uber.cadence.admin.v1.AdminAPI",
				FileDescriptors: yarpcFileDescriptorClosurec6fc96d64a8b67fd,
			},
		}
	}
}

type _AdminAPIYARPCCaller struct {
	streamClient protobuf.StreamClient
}

func (c *_AdminAPIYARPCCaller) DescribeWorkflowExecution(ctx context.Context, request *DescribeWorkflowExecutionRequest, options ...yarpc.CallOption) (*DescribeWorkflowExecutionResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "DescribeWorkflowExecution", request, newAdminAPIServiceDescribeWorkflowExecutionYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*DescribeWorkflowExecutionResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceDescribeWorkflowExecutionYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) DescribeHistoryHost(ctx context.Context, request *DescribeHistoryHostRequest, options ...yarpc.CallOption) (*DescribeHistoryHostResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "DescribeHistoryHost", request, newAdminAPIServiceDescribeHistoryHostYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*DescribeHistoryHostResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceDescribeHistoryHostYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) CloseShard(ctx context.Context, request *CloseShardRequest, options ...yarpc.CallOption) (*CloseShardResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "CloseShard", request, newAdminAPIServiceCloseShardYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*CloseShardResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceCloseShardYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) RemoveTask(ctx context.Context, request *RemoveTaskRequest, options ...yarpc.CallOption) (*RemoveTaskResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RemoveTask", request, newAdminAPIServiceRemoveTaskYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RemoveTaskResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceRemoveTaskYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) ResetQueue(ctx context.Context, request *ResetQueueRequest, options ...yarpc.CallOption) (*ResetQueueResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "ResetQueue", request, newAdminAPIServiceResetQueueYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*ResetQueueResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceResetQueueYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) DescribeQueue(ctx context.Context, request *DescribeQueueRequest, options ...yarpc.CallOption) (*DescribeQueueResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "DescribeQueue", request, newAdminAPIServiceDescribeQueueYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*DescribeQueueResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceDescribeQueueYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) GetWorkflowExecutionRawHistoryV2(ctx context.Context, request *GetWorkflowExecutionRawHistoryV2Request, options ...yarpc.CallOption) (*GetWorkflowExecutionRawHistoryV2Response, error) {
	responseMessage, err := c.streamClient.Call(ctx, "GetWorkflowExecutionRawHistoryV2", request, newAdminAPIServiceGetWorkflowExecutionRawHistoryV2YARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*GetWorkflowExecutionRawHistoryV2Response)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceGetWorkflowExecutionRawHistoryV2YARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) GetReplicationMessages(ctx context.Context, request *GetReplicationMessagesRequest, options ...yarpc.CallOption) (*GetReplicationMessagesResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "GetReplicationMessages", request, newAdminAPIServiceGetReplicationMessagesYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*GetReplicationMessagesResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceGetReplicationMessagesYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) GetDLQReplicationMessages(ctx context.Context, request *GetDLQReplicationMessagesRequest, options ...yarpc.CallOption) (*GetDLQReplicationMessagesResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "GetDLQReplicationMessages", request, newAdminAPIServiceGetDLQReplicationMessagesYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*GetDLQReplicationMessagesResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceGetDLQReplicationMessagesYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) GetDomainReplicationMessages(ctx context.Context, request *GetDomainReplicationMessagesRequest, options ...yarpc.CallOption) (*GetDomainReplicationMessagesResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "GetDomainReplicationMessages", request, newAdminAPIServiceGetDomainReplicationMessagesYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*GetDomainReplicationMessagesResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceGetDomainReplicationMessagesYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) ReapplyEvents(ctx context.Context, request *ReapplyEventsRequest, options ...yarpc.CallOption) (*ReapplyEventsResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "ReapplyEvents", request, newAdminAPIServiceReapplyEventsYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*ReapplyEventsResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceReapplyEventsYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) AddSearchAttribute(ctx context.Context, request *AddSearchAttributeRequest, options ...yarpc.CallOption) (*AddSearchAttributeResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "AddSearchAttribute", request, newAdminAPIServiceAddSearchAttributeYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*AddSearchAttributeResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceAddSearchAttributeYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) DescribeCluster(ctx context.Context, request *DescribeClusterRequest, options ...yarpc.CallOption) (*DescribeClusterResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "DescribeCluster", request, newAdminAPIServiceDescribeClusterYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*DescribeClusterResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceDescribeClusterYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) ReadDLQMessages(ctx context.Context, request *ReadDLQMessagesRequest, options ...yarpc.CallOption) (*ReadDLQMessagesResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "ReadDLQMessages", request, newAdminAPIServiceReadDLQMessagesYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*ReadDLQMessagesResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceReadDLQMessagesYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) PurgeDLQMessages(ctx context.Context, request *PurgeDLQMessagesRequest, options ...yarpc.CallOption) (*PurgeDLQMessagesResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "PurgeDLQMessages", request, newAdminAPIServicePurgeDLQMessagesYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*PurgeDLQMessagesResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServicePurgeDLQMessagesYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) MergeDLQMessages(ctx context.Context, request *MergeDLQMessagesRequest, options ...yarpc.CallOption) (*MergeDLQMessagesResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "MergeDLQMessages", request, newAdminAPIServiceMergeDLQMessagesYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*MergeDLQMessagesResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceMergeDLQMessagesYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) RefreshWorkflowTasks(ctx context.Context, request *RefreshWorkflowTasksRequest, options ...yarpc.CallOption) (*RefreshWorkflowTasksResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "RefreshWorkflowTasks", request, newAdminAPIServiceRefreshWorkflowTasksYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*RefreshWorkflowTasksResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceRefreshWorkflowTasksYARPCResponse, responseMessage)
	}
	return response, err
}

func (c *_AdminAPIYARPCCaller) ResendReplicationTasks(ctx context.Context, request *ResendReplicationTasksRequest, options ...yarpc.CallOption) (*ResendReplicationTasksResponse, error) {
	responseMessage, err := c.streamClient.Call(ctx, "ResendReplicationTasks", request, newAdminAPIServiceResendReplicationTasksYARPCResponse, options...)
	if responseMessage == nil {
		return nil, err
	}
	response, ok := responseMessage.(*ResendReplicationTasksResponse)
	if !ok {
		return nil, protobuf.CastError(emptyAdminAPIServiceResendReplicationTasksYARPCResponse, responseMessage)
	}
	return response, err
}

type _AdminAPIYARPCHandler struct {
	server AdminAPIYARPCServer
}

func (h *_AdminAPIYARPCHandler) DescribeWorkflowExecution(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *DescribeWorkflowExecutionRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*DescribeWorkflowExecutionRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceDescribeWorkflowExecutionYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.DescribeWorkflowExecution(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) DescribeHistoryHost(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *DescribeHistoryHostRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*DescribeHistoryHostRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceDescribeHistoryHostYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.DescribeHistoryHost(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) CloseShard(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *CloseShardRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*CloseShardRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceCloseShardYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.CloseShard(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) RemoveTask(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RemoveTaskRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RemoveTaskRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceRemoveTaskYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RemoveTask(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) ResetQueue(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *ResetQueueRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*ResetQueueRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceResetQueueYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.ResetQueue(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) DescribeQueue(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *DescribeQueueRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*DescribeQueueRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceDescribeQueueYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.DescribeQueue(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) GetWorkflowExecutionRawHistoryV2(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *GetWorkflowExecutionRawHistoryV2Request
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*GetWorkflowExecutionRawHistoryV2Request)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceGetWorkflowExecutionRawHistoryV2YARPCRequest, requestMessage)
		}
	}
	response, err := h.server.GetWorkflowExecutionRawHistoryV2(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) GetReplicationMessages(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *GetReplicationMessagesRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*GetReplicationMessagesRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceGetReplicationMessagesYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.GetReplicationMessages(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) GetDLQReplicationMessages(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *GetDLQReplicationMessagesRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*GetDLQReplicationMessagesRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceGetDLQReplicationMessagesYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.GetDLQReplicationMessages(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) GetDomainReplicationMessages(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *GetDomainReplicationMessagesRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*GetDomainReplicationMessagesRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceGetDomainReplicationMessagesYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.GetDomainReplicationMessages(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) ReapplyEvents(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *ReapplyEventsRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*ReapplyEventsRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceReapplyEventsYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.ReapplyEvents(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) AddSearchAttribute(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *AddSearchAttributeRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*AddSearchAttributeRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceAddSearchAttributeYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.AddSearchAttribute(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) DescribeCluster(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *DescribeClusterRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*DescribeClusterRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceDescribeClusterYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.DescribeCluster(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) ReadDLQMessages(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *ReadDLQMessagesRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*ReadDLQMessagesRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceReadDLQMessagesYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.ReadDLQMessages(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) PurgeDLQMessages(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *PurgeDLQMessagesRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*PurgeDLQMessagesRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServicePurgeDLQMessagesYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.PurgeDLQMessages(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) MergeDLQMessages(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *MergeDLQMessagesRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*MergeDLQMessagesRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceMergeDLQMessagesYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.MergeDLQMessages(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) RefreshWorkflowTasks(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *RefreshWorkflowTasksRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*RefreshWorkflowTasksRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceRefreshWorkflowTasksYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.RefreshWorkflowTasks(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func (h *_AdminAPIYARPCHandler) ResendReplicationTasks(ctx context.Context, requestMessage proto.Message) (proto.Message, error) {
	var request *ResendReplicationTasksRequest
	var ok bool
	if requestMessage != nil {
		request, ok = requestMessage.(*ResendReplicationTasksRequest)
		if !ok {
			return nil, protobuf.CastError(emptyAdminAPIServiceResendReplicationTasksYARPCRequest, requestMessage)
		}
	}
	response, err := h.server.ResendReplicationTasks(ctx, request)
	if response == nil {
		return nil, err
	}
	return response, err
}

func newAdminAPIServiceDescribeWorkflowExecutionYARPCRequest() proto.Message {
	return &DescribeWorkflowExecutionRequest{}
}

func newAdminAPIServiceDescribeWorkflowExecutionYARPCResponse() proto.Message {
	return &DescribeWorkflowExecutionResponse{}
}

func newAdminAPIServiceDescribeHistoryHostYARPCRequest() proto.Message {
	return &DescribeHistoryHostRequest{}
}

func newAdminAPIServiceDescribeHistoryHostYARPCResponse() proto.Message {
	return &DescribeHistoryHostResponse{}
}

func newAdminAPIServiceCloseShardYARPCRequest() proto.Message {
	return &CloseShardRequest{}
}

func newAdminAPIServiceCloseShardYARPCResponse() proto.Message {
	return &CloseShardResponse{}
}

func newAdminAPIServiceRemoveTaskYARPCRequest() proto.Message {
	return &RemoveTaskRequest{}
}

func newAdminAPIServiceRemoveTaskYARPCResponse() proto.Message {
	return &RemoveTaskResponse{}
}

func newAdminAPIServiceResetQueueYARPCRequest() proto.Message {
	return &ResetQueueRequest{}
}

func newAdminAPIServiceResetQueueYARPCResponse() proto.Message {
	return &ResetQueueResponse{}
}

func newAdminAPIServiceDescribeQueueYARPCRequest() proto.Message {
	return &DescribeQueueRequest{}
}

func newAdminAPIServiceDescribeQueueYARPCResponse() proto.Message {
	return &DescribeQueueResponse{}
}

func newAdminAPIServiceGetWorkflowExecutionRawHistoryV2YARPCRequest() proto.Message {
	return &GetWorkflowExecutionRawHistoryV2Request{}
}

func newAdminAPIServiceGetWorkflowExecutionRawHistoryV2YARPCResponse() proto.Message {
	return &GetWorkflowExecutionRawHistoryV2Response{}
}

func newAdminAPIServiceGetReplicationMessagesYARPCRequest() proto.Message {
	return &GetReplicationMessagesRequest{}
}

func newAdminAPIServiceGetReplicationMessagesYARPCResponse() proto.Message {
	return &GetReplicationMessagesResponse{}
}

func newAdminAPIServiceGetDLQReplicationMessagesYARPCRequest() proto.Message {
	return &GetDLQReplicationMessagesRequest{}
}

func newAdminAPIServiceGetDLQReplicationMessagesYARPCResponse() proto.Message {
	return &GetDLQReplicationMessagesResponse{}
}

func newAdminAPIServiceGetDomainReplicationMessagesYARPCRequest() proto.Message {
	return &GetDomainReplicationMessagesRequest{}
}

func newAdminAPIServiceGetDomainReplicationMessagesYARPCResponse() proto.Message {
	return &GetDomainReplicationMessagesResponse{}
}

func newAdminAPIServiceReapplyEventsYARPCRequest() proto.Message {
	return &ReapplyEventsRequest{}
}

func newAdminAPIServiceReapplyEventsYARPCResponse() proto.Message {
	return &ReapplyEventsResponse{}
}

func newAdminAPIServiceAddSearchAttributeYARPCRequest() proto.Message {
	return &AddSearchAttributeRequest{}
}

func newAdminAPIServiceAddSearchAttributeYARPCResponse() proto.Message {
	return &AddSearchAttributeResponse{}
}

func newAdminAPIServiceDescribeClusterYARPCRequest() proto.Message {
	return &DescribeClusterRequest{}
}

func newAdminAPIServiceDescribeClusterYARPCResponse() proto.Message {
	return &DescribeClusterResponse{}
}

func newAdminAPIServiceReadDLQMessagesYARPCRequest() proto.Message {
	return &ReadDLQMessagesRequest{}
}

func newAdminAPIServiceReadDLQMessagesYARPCResponse() proto.Message {
	return &ReadDLQMessagesResponse{}
}

func newAdminAPIServicePurgeDLQMessagesYARPCRequest() proto.Message {
	return &PurgeDLQMessagesRequest{}
}

func newAdminAPIServicePurgeDLQMessagesYARPCResponse() proto.Message {
	return &PurgeDLQMessagesResponse{}
}

func newAdminAPIServiceMergeDLQMessagesYARPCRequest() proto.Message {
	return &MergeDLQMessagesRequest{}
}

func newAdminAPIServiceMergeDLQMessagesYARPCResponse() proto.Message {
	return &MergeDLQMessagesResponse{}
}

func newAdminAPIServiceRefreshWorkflowTasksYARPCRequest() proto.Message {
	return &RefreshWorkflowTasksRequest{}
}

func newAdminAPIServiceRefreshWorkflowTasksYARPCResponse() proto.Message {
	return &RefreshWorkflowTasksResponse{}
}

func newAdminAPIServiceResendReplicationTasksYARPCRequest() proto.Message {
	return &ResendReplicationTasksRequest{}
}

func newAdminAPIServiceResendReplicationTasksYARPCResponse() proto.Message {
	return &ResendReplicationTasksResponse{}
}

var (
	emptyAdminAPIServiceDescribeWorkflowExecutionYARPCRequest         = &DescribeWorkflowExecutionRequest{}
	emptyAdminAPIServiceDescribeWorkflowExecutionYARPCResponse        = &DescribeWorkflowExecutionResponse{}
	emptyAdminAPIServiceDescribeHistoryHostYARPCRequest               = &DescribeHistoryHostRequest{}
	emptyAdminAPIServiceDescribeHistoryHostYARPCResponse              = &DescribeHistoryHostResponse{}
	emptyAdminAPIServiceCloseShardYARPCRequest                        = &CloseShardRequest{}
	emptyAdminAPIServiceCloseShardYARPCResponse                       = &CloseShardResponse{}
	emptyAdminAPIServiceRemoveTaskYARPCRequest                        = &RemoveTaskRequest{}
	emptyAdminAPIServiceRemoveTaskYARPCResponse                       = &RemoveTaskResponse{}
	emptyAdminAPIServiceResetQueueYARPCRequest                        = &ResetQueueRequest{}
	emptyAdminAPIServiceResetQueueYARPCResponse                       = &ResetQueueResponse{}
	emptyAdminAPIServiceDescribeQueueYARPCRequest                     = &DescribeQueueRequest{}
	emptyAdminAPIServiceDescribeQueueYARPCResponse                    = &DescribeQueueResponse{}
	emptyAdminAPIServiceGetWorkflowExecutionRawHistoryV2YARPCRequest  = &GetWorkflowExecutionRawHistoryV2Request{}
	emptyAdminAPIServiceGetWorkflowExecutionRawHistoryV2YARPCResponse = &GetWorkflowExecutionRawHistoryV2Response{}
	emptyAdminAPIServiceGetReplicationMessagesYARPCRequest            = &GetReplicationMessagesRequest{}
	emptyAdminAPIServiceGetReplicationMessagesYARPCResponse           = &GetReplicationMessagesResponse{}
	emptyAdminAPIServiceGetDLQReplicationMessagesYARPCRequest         = &GetDLQReplicationMessagesRequest{}
	emptyAdminAPIServiceGetDLQReplicationMessagesYARPCResponse        = &GetDLQReplicationMessagesResponse{}
	emptyAdminAPIServiceGetDomainReplicationMessagesYARPCRequest      = &GetDomainReplicationMessagesRequest{}
	emptyAdminAPIServiceGetDomainReplicationMessagesYARPCResponse     = &GetDomainReplicationMessagesResponse{}
	emptyAdminAPIServiceReapplyEventsYARPCRequest                     = &ReapplyEventsRequest{}
	emptyAdminAPIServiceReapplyEventsYARPCResponse                    = &ReapplyEventsResponse{}
	emptyAdminAPIServiceAddSearchAttributeYARPCRequest                = &AddSearchAttributeRequest{}
	emptyAdminAPIServiceAddSearchAttributeYARPCResponse               = &AddSearchAttributeResponse{}
	emptyAdminAPIServiceDescribeClusterYARPCRequest                   = &DescribeClusterRequest{}
	emptyAdminAPIServiceDescribeClusterYARPCResponse                  = &DescribeClusterResponse{}
	emptyAdminAPIServiceReadDLQMessagesYARPCRequest                   = &ReadDLQMessagesRequest{}
	emptyAdminAPIServiceReadDLQMessagesYARPCResponse                  = &ReadDLQMessagesResponse{}
	emptyAdminAPIServicePurgeDLQMessagesYARPCRequest                  = &PurgeDLQMessagesRequest{}
	emptyAdminAPIServicePurgeDLQMessagesYARPCResponse                 = &PurgeDLQMessagesResponse{}
	emptyAdminAPIServiceMergeDLQMessagesYARPCRequest                  = &MergeDLQMessagesRequest{}
	emptyAdminAPIServiceMergeDLQMessagesYARPCResponse                 = &MergeDLQMessagesResponse{}
	emptyAdminAPIServiceRefreshWorkflowTasksYARPCRequest              = &RefreshWorkflowTasksRequest{}
	emptyAdminAPIServiceRefreshWorkflowTasksYARPCResponse             = &RefreshWorkflowTasksResponse{}
	emptyAdminAPIServiceResendReplicationTasksYARPCRequest            = &ResendReplicationTasksRequest{}
	emptyAdminAPIServiceResendReplicationTasksYARPCResponse           = &ResendReplicationTasksResponse{}
)

var yarpcFileDescriptorClosurec6fc96d64a8b67fd = [][]byte{
	// uber/cadence/admin/v1/service.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xdc, 0x5a, 0x49, 0x73, 0x1c, 0x49,
		0x15, 0x76, 0xb5, 0x16, 0x4b, 0xaf, 0xa5, 0x96, 0x94, 0xa3, 0xa5, 0xd5, 0xb2, 0x3d, 0x72, 0x79,
		0x3c, 0x16, 0xcc, 0x50, 0x42, 0xad, 0xb1, 0x19, 0xc6, 0xc1, 0xa2, 0x0d, 0xa9, 0x07, 0x1b, 0xdb,
		0x25, 0xe1, 0x89, 0xe0, 0x52, 0x51, 0xdd, 0xf5, 0xa4, 0x2e, 0xd4, 0xb5, 0x4c, 0x65, 0x76, 0xcb,
		0x3d, 0x41, 0x04, 0x04, 0x01, 0x37, 0x82, 0x80, 0xe0, 0xc0, 0x91, 0x03, 0x37, 0x38, 0xf0, 0x07,
		0xb8, 0xc2, 0x85, 0x0b, 0x44, 0xf0, 0x1b, 0xb8, 0x70, 0xe4, 0xc2, 0x91, 0xc8, 0xac, 0xac, 0x5e,
		0x2b, 0x7b, 0x11, 0x26, 0x4c, 0xcc, 0xad, 0xeb, 0xe5, 0xdb, 0xf3, 0xe5, 0x97, 0x2f, 0x9f, 0x04,
		0xf7, 0xea, 0x65, 0x8c, 0xb6, 0x2b, 0xb6, 0x83, 0x7e, 0x05, 0xb7, 0x6d, 0xc7, 0x73, 0xfd, 0xed,
		0xc6, 0xce, 0x36, 0xc5, 0xa8, 0xe1, 0x56, 0xd0, 0x08, 0xa3, 0x80, 0x05, 0x64, 0x85, 0x33, 0x19,
		0x92, 0xc9, 0x10, 0x4c, 0x46, 0x63, 0xa7, 0xf0, 0xf6, 0x45, 0x10, 0x5c, 0xd4, 0x70, 0x5b, 0x30,
		0x95, 0xeb, 0xe7, 0xdb, 0xcc, 0xf5, 0x90, 0x32, 0xdb, 0x0b, 0x63, 0xb9, 0xc2, 0x9d, 0x5e, 0x86,
		0xab, 0xc8, 0x0e, 0x43, 0x8c, 0xa8, 0x5c, 0xdf, 0xec, 0x36, 0x1e, 0xba, 0xdc, 0x74, 0x25, 0xf0,
		0xbc, 0xc0, 0x97, 0x1c, 0xef, 0xa4, 0x71, 0x34, 0x5c, 0xea, 0x96, 0xdd, 0x9a, 0xcb, 0x9a, 0xa9,
		0x5c, 0xb4, 0x6a, 0x47, 0xe8, 0x08, 0x55, 0xb5, 0x3a, 0x65, 0x18, 0x0d, 0xe1, 0xaa, 0xba, 0x94,
		0x05, 0x51, 0xa2, 0x4b, 0x57, 0x70, 0x7d, 0x5a, 0xc7, 0xba, 0xcc, 0x47, 0x61, 0x4b, 0xc1, 0x13,
		0x61, 0x58, 0x73, 0x2b, 0x36, 0x73, 0x13, 0xff, 0xf5, 0x5f, 0x6a, 0xb0, 0x79, 0x88, 0xb4, 0x12,
		0xb9, 0x65, 0xfc, 0x24, 0x88, 0x2e, 0xcf, 0x6b, 0xc1, 0xd5, 0xd1, 0x2b, 0xac, 0xd4, 0x39, 0x8f,
		0x89, 0x9f, 0xd6, 0x91, 0x32, 0xb2, 0x0a, 0xd3, 0x4e, 0xe0, 0xd9, 0xae, 0x9f, 0xd7, 0x36, 0xb5,
		0xad, 0x59, 0x53, 0x7e, 0x91, 0xef, 0x02, 0xb9, 0x92, 0x32, 0x16, 0x26, 0x42, 0xf9, 0xcc, 0xa6,
		0xb6, 0x95, 0x2d, 0xbe, 0x6b, 0x74, 0xef, 0x49, 0xe8, 0x1a, 0x8d, 0x1d, 0xa3, 0xdf, 0xc4, 0xd2,
		0x55, 0x2f, 0x49, 0xff, 0x9b, 0x06, 0x77, 0x07, 0xf8, 0x44, 0xc3, 0xc0, 0xa7, 0x48, 0xd6, 0x61,
		0x86, 0x07, 0xe6, 0x58, 0xae, 0x23, 0xdc, 0x9a, 0x32, 0x6f, 0x8a, 0xef, 0x92, 0x43, 0xee, 0xc2,
		0x9c, 0xcc, 0x99, 0x65, 0x3b, 0x4e, 0x24, 0x3c, 0x9a, 0x35, 0xb3, 0x92, 0xb6, 0xe7, 0x38, 0x11,
		0xd9, 0x85, 0x55, 0xaf, 0xce, 0xec, 0x72, 0x0d, 0x2d, 0xca, 0x6c, 0x86, 0x96, 0xeb, 0x5b, 0x15,
		0xbb, 0x52, 0xc5, 0xfc, 0x84, 0x60, 0x7e, 0x4b, 0xae, 0x9e, 0xf2, 0xc5, 0x92, 0x7f, 0xc0, 0x97,
		0xc8, 0x57, 0x61, 0xbd, 0x4f, 0xc8, 0xb1, 0x99, 0x5d, 0xb6, 0x29, 0xe6, 0x27, 0x85, 0xdc, 0x6a,
		0xb7, 0xdc, 0xa1, 0x5c, 0xd5, 0xff, 0xac, 0x41, 0x21, 0x89, 0xe9, 0x24, 0xf6, 0xe3, 0x24, 0xa0,
		0x2c, 0xc9, 0xf0, 0x3d, 0x98, 0xab, 0x06, 0x94, 0x09, 0x77, 0x91, 0xd2, 0x38, 0xcf, 0x27, 0x37,
		0xcc, 0x2c, 0xa7, 0xee, 0xc5, 0x44, 0xb2, 0xd1, 0x11, 0x31, 0x0f, 0x69, 0xea, 0xe4, 0x46, 0x3b,
		0xe6, 0x4f, 0x52, 0xf7, 0x62, 0x62, 0x9c, 0xbd, 0x38, 0xb9, 0x91, 0xb2, 0x1b, 0xfb, 0xf3, 0x90,
		0x75, 0xa4, 0xe3, 0x56, 0xb9, 0xa9, 0xff, 0x38, 0x03, 0x1b, 0xa9, 0x81, 0xc8, 0x6d, 0xd9, 0x82,
		0x45, 0xbf, 0xee, 0x95, 0x31, 0xb2, 0x82, 0x73, 0x4b, 0x38, 0x47, 0xe5, 0xf6, 0xe4, 0x62, 0xfa,
		0xb3, 0xf3, 0x53, 0x41, 0x25, 0x1b, 0x30, 0x9b, 0x84, 0x43, 0xf3, 0x99, 0xcd, 0x89, 0xad, 0x29,
		0x73, 0x46, 0x46, 0x43, 0xc9, 0xc7, 0x30, 0x17, 0x17, 0x59, 0xc7, 0xae, 0x64, 0x8b, 0x0f, 0xba,
		0x03, 0x89, 0x0b, 0x9b, 0xc7, 0x72, 0x28, 0x78, 0xc5, 0x2e, 0x95, 0xfc, 0xf3, 0xc0, 0xcc, 0x3a,
		0x6d, 0x02, 0x79, 0x04, 0x6b, 0xb1, 0xa1, 0x4a, 0xe0, 0xb3, 0x28, 0xa8, 0xd5, 0x30, 0x12, 0xfb,
		0x57, 0xa7, 0x72, 0xd3, 0x56, 0xc4, 0xf2, 0x41, 0x6b, 0xf5, 0x54, 0x2c, 0x92, 0x3c, 0xdc, 0x4c,
		0xf6, 0x63, 0x4a, 0xf0, 0x25, 0x9f, 0xba, 0x01, 0x4b, 0x07, 0xb5, 0x80, 0xa2, 0x88, 0x24, 0xd9,
		0x43, 0x75, 0x41, 0xea, 0xcb, 0x40, 0x3a, 0xf9, 0xe3, 0x54, 0xe9, 0x7f, 0xd1, 0x60, 0xc9, 0x44,
		0x2f, 0x68, 0xe0, 0x99, 0x4d, 0x2f, 0x87, 0xab, 0x21, 0x5f, 0x83, 0x59, 0x66, 0xd3, 0x4b, 0x8b,
		0x35, 0x43, 0x14, 0x15, 0x90, 0x2b, 0x6e, 0xaa, 0x32, 0xc2, 0x55, 0x9e, 0x35, 0x43, 0x34, 0x67,
		0x98, 0xfc, 0x45, 0xd6, 0xe0, 0xa6, 0x10, 0x77, 0x1d, 0x91, 0xce, 0x09, 0x73, 0x9a, 0x7f, 0x96,
		0x1c, 0x72, 0x00, 0x0b, 0x6d, 0xc8, 0xb2, 0x38, 0x48, 0x8a, 0xc4, 0x64, 0x8b, 0x05, 0x23, 0x06,
		0x48, 0x23, 0x01, 0x48, 0xe3, 0x2c, 0x41, 0x50, 0x33, 0xd7, 0x16, 0xe1, 0x44, 0x1e, 0x63, 0x67,
		0x30, 0x32, 0xc6, 0x5f, 0x88, 0x18, 0x29, 0xb2, 0x17, 0x1c, 0x9e, 0x46, 0x88, 0xf1, 0x2e, 0xcc,
		0x49, 0x54, 0xb4, 0x7c, 0xdb, 0xc3, 0xe4, 0xec, 0x4a, 0xda, 0x77, 0x6c, 0x0f, 0xbb, 0xd3, 0x30,
		0x31, 0x6e, 0x1a, 0x62, 0x47, 0xdb, 0x1e, 0x49, 0x47, 0x7f, 0xa5, 0xc1, 0x72, 0x52, 0xd7, 0xff,
		0x3f, 0xbe, 0x3e, 0x83, 0x95, 0x1e, 0xa7, 0xe4, 0x31, 0x7b, 0x04, 0x6b, 0x61, 0x14, 0x54, 0x90,
		0x52, 0xd7, 0xbf, 0xb0, 0x04, 0xf6, 0xc7, 0x98, 0xc4, 0x4f, 0xdb, 0x04, 0xaf, 0xe9, 0xf6, 0xb2,
		0x90, 0x14, 0x80, 0x44, 0xf5, 0x7f, 0x65, 0xe0, 0xc1, 0x31, 0xb2, 0x7e, 0x58, 0xb5, 0xaf, 0xe4,
		0x69, 0x7e, 0x59, 0x7c, 0x33, 0xb0, 0x4f, 0xbe, 0x0d, 0x59, 0xca, 0xec, 0x88, 0x59, 0xd8, 0x40,
		0x9f, 0xc9, 0x13, 0xff, 0x45, 0x55, 0xb2, 0x5e, 0x62, 0x44, 0x39, 0x66, 0xc5, 0x4e, 0x97, 0x18,
		0x7a, 0x26, 0x08, 0xf1, 0x23, 0x2e, 0x4d, 0x8e, 0x61, 0x16, 0x7d, 0x47, 0xaa, 0x9a, 0x1c, 0x5b,
		0xd5, 0x0c, 0xfa, 0x4e, 0xac, 0x68, 0x03, 0x66, 0x43, 0xfb, 0x02, 0x2d, 0xea, 0x7e, 0x86, 0x02,
		0x06, 0xa6, 0xcc, 0x19, 0x4e, 0x38, 0x75, 0x3f, 0x43, 0xf2, 0x2e, 0x2c, 0xf8, 0xf8, 0x8a, 0x59,
		0x82, 0x83, 0x05, 0x97, 0xe8, 0xe7, 0xa7, 0x37, 0xb5, 0xad, 0x39, 0x73, 0x9e, 0x93, 0x9f, 0xdb,
		0x17, 0x78, 0xc6, 0x89, 0xfa, 0x3f, 0x35, 0xd8, 0x1a, 0x9e, 0x75, 0xb9, 0xb5, 0x29, 0x4a, 0xb5,
		0x14, 0xa5, 0xe4, 0x5b, 0xb0, 0x90, 0xdc, 0x72, 0x65, 0x9b, 0x55, 0xaa, 0x18, 0xa3, 0x68, 0xb6,
		0x78, 0x3b, 0x75, 0x0f, 0xf8, 0x55, 0xb4, 0x5f, 0x0b, 0xca, 0x66, 0x4e, 0x4a, 0xed, 0xc7, 0x42,
		0xe4, 0x19, 0x2c, 0x34, 0xe2, 0x0c, 0x58, 0x72, 0x25, 0xfd, 0xda, 0x50, 0x25, 0xcc, 0xcc, 0x35,
		0xba, 0xbe, 0xf5, 0x9f, 0x68, 0x70, 0xfb, 0x18, 0x99, 0xd9, 0x6e, 0x36, 0x9e, 0x22, 0xa5, 0xf6,
		0x05, 0xd2, 0xa4, 0xb2, 0xbe, 0x09, 0xd3, 0x22, 0xb0, 0xb8, 0x58, 0xb3, 0xc5, 0x2d, 0x95, 0xa5,
		0x0e, 0x1d, 0x22, 0x68, 0x53, 0xca, 0x8d, 0x70, 0xf4, 0xf4, 0x1f, 0x65, 0xe0, 0x8e, 0xca, 0x0d,
		0x99, 0xea, 0x00, 0x72, 0xf1, 0xd9, 0xf6, 0xe4, 0x8a, 0xf4, 0xe7, 0xc4, 0x48, 0x6d, 0x28, 0x8d,
		0xc1, 0xea, 0x0c, 0x01, 0xef, 0x09, 0xf5, 0xc8, 0x67, 0x51, 0xd3, 0x9c, 0xa7, 0x9d, 0xb4, 0x82,
		0x07, 0xa4, 0x9f, 0x89, 0x2c, 0xc2, 0xc4, 0x25, 0x36, 0x25, 0xba, 0xf0, 0x9f, 0x64, 0x0f, 0xa6,
		0x1a, 0x76, 0xad, 0x8e, 0xf2, 0x54, 0xbd, 0x37, 0x42, 0x7e, 0x5a, 0xde, 0xc4, 0x92, 0x1f, 0x65,
		0x3e, 0xd4, 0x74, 0x1f, 0x36, 0x8f, 0x91, 0x1d, 0x3e, 0x79, 0x31, 0x60, 0x2f, 0x3e, 0x06, 0x88,
		0x6f, 0x05, 0xff, 0x3c, 0x48, 0xe2, 0x1f, 0xc5, 0x1e, 0x47, 0x2b, 0x71, 0xd7, 0x0a, 0x80, 0xe3,
		0xbf, 0xa8, 0xde, 0x84, 0xbb, 0x03, 0xec, 0xc9, 0xa4, 0x9f, 0xc1, 0x52, 0x47, 0x1f, 0x6a, 0x71,
		0xe9, 0xc4, 0xee, 0x83, 0x11, 0xed, 0x9a, 0x8b, 0x51, 0x37, 0x81, 0xea, 0xff, 0xd6, 0xe0, 0x1e,
		0xb7, 0x2d, 0x20, 0x6a, 0x40, 0xb8, 0x2f, 0x61, 0xbd, 0x66, 0x53, 0x66, 0x45, 0xc8, 0x22, 0x17,
		0x1b, 0xd8, 0xda, 0xfb, 0x04, 0xdf, 0xb3, 0xc5, 0x8d, 0xbe, 0x5b, 0xaf, 0xe4, 0xb3, 0x47, 0x1f,
		0xbc, 0xe4, 0x69, 0x35, 0x57, 0xb9, 0xb4, 0x99, 0x08, 0x4b, 0xed, 0x25, 0xa7, 0xa5, 0x57, 0xc2,
		0x6e, 0xb7, 0xde, 0xcc, 0x88, 0x7a, 0x9f, 0x27, 0xc2, 0x6d, 0xbd, 0xbd, 0x85, 0x3e, 0xd1, 0x5f,
		0xe8, 0x01, 0xbc, 0x33, 0x38, 0x72, 0x99, 0xf8, 0x63, 0x98, 0xe9, 0xa8, 0xf3, 0xb1, 0xeb, 0xaa,
		0x25, 0xac, 0xff, 0x51, 0x83, 0x65, 0x13, 0xed, 0x30, 0xac, 0x35, 0x05, 0x48, 0xd2, 0x37, 0x74,
		0x63, 0x3c, 0x84, 0x69, 0x01, 0xf0, 0x54, 0x02, 0xd6, 0x10, 0xe0, 0x93, 0xcc, 0xfa, 0x1a, 0xac,
		0xf4, 0x78, 0x2f, 0x7b, 0x80, 0xdf, 0x64, 0x60, 0x7d, 0xcf, 0x71, 0x4e, 0xd1, 0x8e, 0x2a, 0xd5,
		0x3d, 0xc6, 0x22, 0xb7, 0x5c, 0x67, 0xad, 0x46, 0x20, 0x84, 0x45, 0x2a, 0x56, 0x2c, 0x3b, 0x59,
		0x92, 0x65, 0x7b, 0xa4, 0x80, 0x0b, 0xa5, 0x2e, 0xa3, 0x87, 0x1c, 0x63, 0xc5, 0x02, 0xed, 0xa6,
		0x92, 0xfb, 0x90, 0xa3, 0x58, 0xa9, 0x47, 0xa2, 0x2b, 0x13, 0x17, 0x41, 0x0c, 0x73, 0xf3, 0x09,
		0x55, 0x60, 0x62, 0xc1, 0x85, 0xe5, 0x34, 0x7d, 0x9d, 0xb0, 0x32, 0x1b, 0xc3, 0xca, 0xe3, 0x4e,
		0x58, 0xc9, 0x15, 0xef, 0xa7, 0xe6, 0xab, 0xe4, 0x3b, 0xf8, 0x0a, 0x1d, 0x51, 0x96, 0xa2, 0x1d,
		0xe9, 0x00, 0x94, 0x5b, 0x50, 0x48, 0x0b, 0x4a, 0xe6, 0x2f, 0x0f, 0xab, 0x49, 0xb7, 0x72, 0x10,
		0xd7, 0xa7, 0x8c, 0x57, 0xff, 0xbb, 0x06, 0x6b, 0x7d, 0x4b, 0xb2, 0x2c, 0xab, 0xb0, 0x4e, 0xeb,
		0x61, 0x18, 0x44, 0x0c, 0x1d, 0xab, 0x52, 0x73, 0xd1, 0x67, 0x96, 0xbc, 0x51, 0x92, 0x3a, 0x7d,
		0x3f, 0xd5, 0xd1, 0xd3, 0x44, 0xea, 0x40, 0x08, 0xc9, 0x5b, 0x89, 0x9a, 0x6b, 0x34, 0x7d, 0x81,
		0xdf, 0x74, 0x1e, 0xf2, 0x37, 0x08, 0xad, 0xba, 0xa1, 0x00, 0xbc, 0xf4, 0x1a, 0x6c, 0x9f, 0x83,
		0xa7, 0x2d, 0x76, 0x01, 0x75, 0x39, 0xaf, 0xeb, 0x5b, 0xff, 0x5d, 0x06, 0x56, 0x4d, 0xb4, 0x9d,
		0xc3, 0x27, 0x2f, 0x7a, 0x71, 0x66, 0x17, 0x26, 0x45, 0xcf, 0xa7, 0x89, 0x4c, 0xbf, 0xad, 0x7c,
		0xb8, 0x3c, 0x79, 0x21, 0x72, 0x2c, 0x98, 0xbb, 0x7a, 0xcd, 0x4c, 0x77, 0xaf, 0xc9, 0x6b, 0x21,
		0xa8, 0x47, 0x15, 0xb4, 0xe4, 0xd1, 0x97, 0x48, 0x30, 0x1f, 0x53, 0x65, 0x52, 0xc9, 0x19, 0xe4,
		0x5d, 0x9f, 0x73, 0xb8, 0x0d, 0xb4, 0x78, 0x07, 0xd4, 0x81, 0x42, 0x93, 0xc3, 0x51, 0x68, 0xa5,
		0x25, 0x7c, 0xe4, 0x77, 0x80, 0xd0, 0x6b, 0x69, 0x82, 0xfe, 0x90, 0x81, 0xb5, 0xbe, 0x64, 0xc9,
		0x1a, 0xb8, 0x56, 0xb6, 0x52, 0x2f, 0x92, 0xcc, 0x7f, 0x79, 0x91, 0x10, 0x1b, 0x56, 0xfb, 0xb4,
		0xc6, 0xb5, 0x32, 0x31, 0xfe, 0xdd, 0xb8, 0xdc, 0xab, 0x9e, 0x53, 0xd3, 0x32, 0x36, 0x99, 0x96,
		0xb1, 0x7f, 0x68, 0xb0, 0xf6, 0xbc, 0x1e, 0x5d, 0xe0, 0xe7, 0xbc, 0xbe, 0xf4, 0x02, 0xe4, 0xfb,
		0xe3, 0x94, 0xa0, 0xf2, 0xfb, 0x0c, 0xac, 0x3d, 0xc5, 0xcf, 0x7f, 0x12, 0x5e, 0xcf, 0x21, 0xdb,
		0x87, 0x7c, 0x7f, 0xb2, 0xc6, 0x7b, 0x58, 0xe8, 0x3f, 0xd3, 0x60, 0xc3, 0xc4, 0xf3, 0x08, 0x69,
		0x35, 0xb9, 0x86, 0x45, 0xed, 0xbe, 0xa1, 0x71, 0xe0, 0x1d, 0xb8, 0x95, 0xee, 0x8d, 0x2c, 0x90,
		0xbf, 0x66, 0xe0, 0x36, 0x7f, 0xd0, 0xfb, 0x4e, 0xcf, 0x09, 0x6c, 0x39, 0xbc, 0x01, 0xb3, 0x72,
		0x98, 0x24, 0x7b, 0xbc, 0x59, 0x73, 0x26, 0x26, 0x94, 0x9c, 0xff, 0x55, 0x6f, 0x72, 0x1f, 0x72,
		0x11, 0x7a, 0x01, 0xeb, 0x2b, 0xa5, 0x98, 0x9a, 0x94, 0x52, 0xcf, 0xa3, 0x77, 0xf2, 0xf5, 0x3d,
		0x7a, 0xa7, 0xae, 0xff, 0xe8, 0xd5, 0x37, 0xe1, 0x8e, 0x2a, 0xa3, 0x71, 0xd2, 0x8b, 0x7f, 0x5a,
		0x82, 0x99, 0x3d, 0xde, 0xe7, 0xec, 0x3d, 0x2f, 0x91, 0x9f, 0x6b, 0xb0, 0xae, 0x1c, 0xd8, 0x92,
		0xaf, 0x28, 0xba, 0xa3, 0x61, 0x63, 0xe7, 0xc2, 0x87, 0xe3, 0x0b, 0xca, 0x4a, 0xff, 0x01, 0xbc,
		0x95, 0x32, 0xa3, 0x24, 0x3b, 0x43, 0x14, 0xf6, 0x0f, 0x66, 0x0b, 0xc5, 0x71, 0x44, 0xa4, 0x75,
		0x1b, 0xa0, 0x3d, 0xed, 0x23, 0x5b, 0x0a, 0x0d, 0x7d, 0x03, 0xc4, 0xc2, 0x17, 0x46, 0xe0, 0x6c,
		0x9b, 0x68, 0x0f, 0xdb, 0x94, 0x26, 0xfa, 0x86, 0x8b, 0x4a, 0x13, 0xfd, 0x93, 0xbb, 0xd8, 0x44,
		0x32, 0x26, 0x1b, 0x60, 0xa2, 0x67, 0xb6, 0x37, 0xc0, 0x44, 0xef, 0xcc, 0x8d, 0x7c, 0x1f, 0xe6,
		0xbb, 0xa6, 0x5b, 0xe4, 0xbd, 0x21, 0xd9, 0xee, 0x32, 0xf4, 0xfe, 0x68, 0xcc, 0xd2, 0xd6, 0x6f,
		0x35, 0xf1, 0x16, 0x1e, 0x38, 0x82, 0x21, 0x5f, 0x57, 0xbf, 0xfb, 0x47, 0x99, 0x98, 0x15, 0xbe,
		0x71, 0x6d, 0x79, 0xe9, 0xe5, 0x4f, 0x35, 0x58, 0x4d, 0x1f, 0x32, 0x90, 0x0f, 0xc6, 0x9c, 0x49,
		0xc4, 0x1e, 0x3d, 0xbc, 0xd6, 0x24, 0x43, 0x9c, 0x68, 0xe5, 0x4b, 0x5e, 0x79, 0xa2, 0x87, 0xcd,
		0x1a, 0x94, 0x27, 0x7a, 0xf8, 0xd0, 0xe0, 0xd7, 0x1a, 0xdc, 0x1a, 0xf4, 0xc8, 0x25, 0x1f, 0x0d,
		0x50, 0x3d, 0x64, 0x26, 0x50, 0x78, 0x7c, 0x2d, 0xd9, 0x76, 0x11, 0x77, 0xbd, 0x26, 0x95, 0x45,
		0x9c, 0xf6, 0x62, 0x56, 0x16, 0x71, 0xea, 0x03, 0x95, 0x34, 0x81, 0xf4, 0x3f, 0xbf, 0xc8, 0x97,
		0xc7, 0x7d, 0x7e, 0x16, 0x76, 0xc6, 0x90, 0x90, 0xa6, 0x43, 0x58, 0xe8, 0x79, 0xc0, 0x91, 0x2f,
		0x0d, 0x39, 0x80, 0xdd, 0x6f, 0xc0, 0x82, 0x31, 0x2a, 0x7b, 0xdb, 0x62, 0xcf, 0x73, 0x41, 0x69,
		0x31, 0xfd, 0x0d, 0xa6, 0xb4, 0xa8, 0x7a, 0x85, 0x50, 0x58, 0xec, 0x6d, 0x43, 0x89, 0x4a, 0x87,
		0xa2, 0x2f, 0x2f, 0x6c, 0x8f, 0xcc, 0xdf, 0x36, 0xda, 0xdb, 0xb1, 0x29, 0x8d, 0x2a, 0xfa, 0x60,
		0xa5, 0x51, 0x65, 0x2b, 0xf8, 0x43, 0x58, 0x4e, 0xeb, 0xa9, 0x48, 0x51, 0x99, 0x31, 0x65, 0x3b,
		0x58, 0xd8, 0x1d, 0x4b, 0xa6, 0x03, 0xe8, 0xd2, 0x5b, 0x0c, 0x25, 0xd0, 0x0d, 0xec, 0xf1, 0x94,
		0x40, 0x37, 0xb8, 0x8f, 0xd9, 0x7f, 0xf8, 0xbd, 0xdd, 0x0b, 0x97, 0x55, 0xeb, 0x65, 0xa3, 0x12,
		0x78, 0xdb, 0x5d, 0x7f, 0x36, 0x37, 0x2e, 0xd0, 0x8f, 0xff, 0x33, 0xa0, 0xf5, 0x6f, 0x07, 0x8f,
		0xc5, 0x8f, 0xc6, 0x4e, 0x79, 0x5a, 0xd0, 0x77, 0xff, 0x13, 0x00, 0x00, 0xff, 0xff, 0x18, 0xce,
		0xf1, 0xb9, 0x9e, 0x20, 0x00, 0x00,
	},
	// google/protobuf/timestamp.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x92, 0x4f, 0xcf, 0xcf, 0x4f,
		0xcf, 0x49, 0xd5, 0x2f, 0x28, 0xca, 0x2f, 0xc9, 0x4f, 0x2a, 0x4d, 0xd3, 0x2f, 0xc9, 0xcc, 0x4d,
		0x2d, 0x2e, 0x49, 0xcc, 0x2d, 0xd0, 0x03, 0x0b, 0x09, 0xf1, 0x43, 0x14, 0xe8, 0xc1, 0x14, 0x28,
		0x59, 0x73, 0x71, 0x86, 0xc0, 0xd4, 0x08, 0x49, 0x70, 0xb1, 0x17, 0xa7, 0x26, 0xe7, 0xe7, 0xa5,
		0x14, 0x4b, 0x30, 0x2a, 0x30, 0x6a, 0x30, 0x07, 0xc1, 0xb8, 0x42, 0x22, 0x5c, 0xac, 0x79, 0x89,
		0x79, 0xf9, 0xc5, 0x12, 0x4c, 0x0a, 0x8c, 0x1a, 0xac, 0x41, 0x10, 0x8e, 0x53, 0x2b, 0x23, 0x97,
		0x70, 0x72, 0x7e, 0xae, 0x1e, 0x9a, 0xa1, 0x4e, 0x7c, 0x70, 0x23, 0x03, 0x40, 0x42, 0x01, 0x8c,
		0x51, 0x46, 0x50, 0x25, 0xe9, 0xf9, 0x39, 0x89, 0x79, 0xe9, 0x7a, 0xf9, 0x45, 0xe9, 0x48, 0x6e,
		0xac, 0x2c, 0x48, 0x2d, 0xd6, 0xcf, 0xce, 0xcb, 0x2f, 0xcf, 0x43, 0xb8, 0xb7, 0x20, 0xe9, 0x07,
		0x23, 0xe3, 0x22, 0x26, 0x66, 0xf7, 0x00, 0xa7, 0x55, 0x4c, 0x72, 0xee, 0x10, 0xdd, 0x01, 0x50,
		0x2d, 0x7a, 0xe1, 0xa9, 0x39, 0x39, 0xde, 0x20, 0x0d, 0x21, 0x20, 0xbd, 0x49, 0x6c, 0x60, 0xb3,
		0x8c, 0x01, 0x01, 0x00, 0x00, 0xff, 0xff, 0xae, 0x65, 0xce, 0x7d, 0xff, 0x00, 0x00, 0x00,
	},
	// google/protobuf/wrappers.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x92, 0x4b, 0xcf, 0xcf, 0x4f,
		0xcf, 0x49, 0xd5, 0x2f, 0x28, 0xca, 0x2f, 0xc9, 0x4f, 0x2a, 0x4d, 0xd3, 0x2f, 0x2f, 0x4a, 0x2c,
		0x28, 0x48, 0x2d, 0x2a, 0xd6, 0x03, 0x8b, 0x08, 0xf1, 0x43, 0xe4, 0xf5, 0x60, 0xf2, 0x4a, 0xca,
		0x5c, 0xdc, 0x2e, 0xf9, 0xa5, 0x49, 0x39, 0xa9, 0x61, 0x89, 0x39, 0xa5, 0xa9, 0x42, 0x22, 0x5c,
		0xac, 0x65, 0x20, 0x86, 0x04, 0xa3, 0x02, 0xa3, 0x06, 0x63, 0x10, 0x84, 0xa3, 0xa4, 0xc4, 0xc5,
		0xe5, 0x96, 0x93, 0x9f, 0x58, 0x82, 0x45, 0x0d, 0x13, 0x92, 0x1a, 0xcf, 0xbc, 0x12, 0x33, 0x13,
		0x2c, 0x6a, 0x98, 0x61, 0x6a, 0x94, 0xb9, 0xb8, 0x43, 0x71, 0x29, 0x62, 0x41, 0x35, 0xc8, 0xd8,
		0x08, 0x8b, 0x1a, 0x56, 0x34, 0x83, 0xb0, 0x2a, 0xe2, 0x85, 0x29, 0x52, 0xe4, 0xe2, 0x74, 0xca,
		0xcf, 0xcf, 0xc1, 0xa2, 0x84, 0x03, 0xc9, 0x9c, 0xe0, 0x92, 0xa2, 0xcc, 0xbc, 0x74, 0x2c, 0x8a,
		0x38, 0x91, 0x1c, 0xe4, 0x54, 0x59, 0x92, 0x5a, 0x8c, 0x45, 0x0d, 0x0f, 0x54, 0x8d, 0x53, 0x33,
		0x23, 0x97, 0x70, 0x72, 0x7e, 0xae, 0x1e, 0x5a, 0xf0, 0x3a, 0xf1, 0x86, 0x43, 0xc3, 0x3f, 0x00,
		0x24, 0x12, 0xc0, 0x18, 0x65, 0x08, 0x55, 0x91, 0x9e, 0x9f, 0x93, 0x98, 0x97, 0xae, 0x97, 0x5f,
		0x94, 0x8e, 0x88, 0xab, 0x92, 0xca, 0x82, 0xd4, 0x62, 0xfd, 0xec, 0xbc, 0xfc, 0xf2, 0x3c, 0x78,
		0xbc, 0x15, 0x24, 0xfd, 0x60, 0x64, 0x5c, 0xc4, 0xc4, 0xec, 0x1e, 0xe0, 0xb4, 0x8a, 0x49, 0xce,
		0x1d, 0xa2, 0x39, 0x00, 0xaa, 0x43, 0x2f, 0x3c, 0x35, 0x27, 0xc7, 0x1b, 0xa4, 0x3e, 0x04, 0xa4,
		0x35, 0x89, 0x0d, 0x6c, 0x94, 0x31, 0x20, 0x00, 0x00, 0xff, 0xff, 0x3c, 0x92, 0x48, 0x30, 0x06,
		0x02, 0x00, 0x00,
	},
	// uber/cadence/api/v1/common.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xbc, 0x55, 0x4f, 0x6f, 0xdb, 0x36,
		0x14, 0x9f, 0xe2, 0xda, 0x49, 0x9f, 0xdd, 0xd4, 0x63, 0xd6, 0xd4, 0xc9, 0xfe, 0x79, 0x06, 0x86,
		0x66, 0x3b, 0x48, 0x88, 0x7b, 0x29, 0x56, 0x14, 0x83, 0x13, 0x3b, 0xab, 0xda, 0x2d, 0x31, 0x64,
		0x23, 0xc1, 0x76, 0x98, 0x40, 0x4b, 0x4f, 0x2e, 0x67, 0x89, 0x14, 0x28, 0xca, 0x89, 0x6f, 0xfb,
		0x24, 0x3b, 0xec, 0x2b, 0xed, 0x0b, 0x0d, 0x94, 0xe8, 0xd8, 0xee, 0x3c, 0xf4, 0x32, 0xec, 0x46,
		0xbe, 0xdf, 0x9f, 0xf7, 0xa3, 0xf0, 0x48, 0x41, 0x3b, 0x9f, 0xa0, 0x74, 0x02, 0x1a, 0x22, 0x0f,
		0xd0, 0xa1, 0x29, 0x73, 0xe6, 0xa7, 0x4e, 0x20, 0x92, 0x44, 0x70, 0x3b, 0x95, 0x42, 0x09, 0x72,
		0xa0, 0x19, 0xb6, 0x61, 0xd8, 0x34, 0x65, 0xf6, 0xfc, 0xf4, 0xf8, 0x8b, 0xa9, 0x10, 0xd3, 0x18,
		0x9d, 0x82, 0x32, 0xc9, 0x23, 0x27, 0xcc, 0x25, 0x55, 0x6c, 0x29, 0xea, 0xbc, 0x85, 0x8f, 0x6f,
		0x84, 0x9c, 0x45, 0xb1, 0xb8, 0x1d, 0xdc, 0x61, 0x90, 0x6b, 0x88, 0x7c, 0x09, 0xf5, 0x5b, 0x53,
		0xf4, 0x59, 0xd8, 0xb2, 0xda, 0xd6, 0xc9, 0x43, 0x0f, 0x96, 0x25, 0x37, 0x24, 0x4f, 0xa0, 0x26,
		0x73, 0xae, 0xb1, 0x9d, 0x02, 0xab, 0xca, 0x9c, 0xbb, 0x61, 0xa7, 0x03, 0x8d, 0xa5, 0xd9, 0x78,
		0x91, 0x22, 0x21, 0xf0, 0x80, 0xd3, 0x04, 0x8d, 0x41, 0xb1, 0xd6, 0x9c, 0x5e, 0xa0, 0xd8, 0x9c,
		0xa9, 0xc5, 0xbf, 0x72, 0x3e, 0x87, 0xdd, 0x21, 0x5d, 0xc4, 0x82, 0x86, 0x1a, 0x0e, 0xa9, 0xa2,
		0x05, 0xdc, 0xf0, 0x8a, 0x75, 0xe7, 0x25, 0xec, 0x5e, 0x50, 0x16, 0xe7, 0x12, 0xc9, 0x21, 0xd4,
		0x24, 0xd2, 0x4c, 0x70, 0xa3, 0x37, 0x3b, 0xd2, 0x82, 0xdd, 0x10, 0x15, 0x65, 0x71, 0x56, 0x24,
		0x6c, 0x78, 0xcb, 0x6d, 0xe7, 0x0f, 0x0b, 0x1e, 0xfc, 0x84, 0x89, 0x20, 0xaf, 0xa0, 0x16, 0x31,
		0x8c, 0xc3, 0xac, 0x65, 0xb5, 0x2b, 0x27, 0xf5, 0xee, 0xd7, 0xf6, 0x96, 0xef, 0x67, 0x6b, 0xaa,
		0x7d, 0x51, 0xf0, 0x06, 0x5c, 0xc9, 0x85, 0x67, 0x44, 0xc7, 0x37, 0x50, 0x5f, 0x2b, 0x93, 0x26,
		0x54, 0x66, 0xb8, 0x30, 0x29, 0xf4, 0x92, 0x74, 0xa1, 0x3a, 0xa7, 0x71, 0x8e, 0x45, 0x80, 0x7a,
		0xf7, 0xb3, 0xad, 0xf6, 0xe6, 0x98, 0x5e, 0x49, 0xfd, 0x6e, 0xe7, 0x85, 0xd5, 0xf9, 0xd3, 0x82,
		0xda, 0x6b, 0xa4, 0x21, 0x4a, 0xf2, 0xfd, 0x7b, 0x11, 0x9f, 0x6d, 0xf5, 0x28, 0xc9, 0xff, 0x6f,
		0xc8, 0xbf, 0x2c, 0x68, 0x8e, 0x90, 0xca, 0xe0, 0x5d, 0x4f, 0x29, 0xc9, 0x26, 0xb9, 0xc2, 0x8c,
		0xf8, 0xb0, 0xcf, 0x78, 0x88, 0x77, 0x18, 0xfa, 0x1b, 0xb1, 0x5f, 0x6c, 0x75, 0x7d, 0x5f, 0x6e,
		0xbb, 0xa5, 0x76, 0xfd, 0x1c, 0x8f, 0xd8, 0x7a, 0xed, 0xf8, 0x57, 0x20, 0xff, 0x24, 0xfd, 0x87,
		0xa7, 0x8a, 0x60, 0xaf, 0x4f, 0x15, 0x3d, 0x8b, 0xc5, 0x84, 0x5c, 0xc0, 0x23, 0xe4, 0x81, 0x08,
		0x19, 0x9f, 0xfa, 0x6a, 0x91, 0x96, 0x03, 0xba, 0xdf, 0xfd, 0x6a, 0xab, 0xd7, 0xc0, 0x30, 0xf5,
		0x44, 0x7b, 0x0d, 0x5c, 0xdb, 0xdd, 0x0f, 0xf0, 0xce, 0xda, 0x00, 0x0f, 0xcb, 0x4b, 0x87, 0xf2,
		0x1a, 0x65, 0xc6, 0x04, 0x77, 0x79, 0x24, 0x34, 0x91, 0x25, 0x69, 0xbc, 0xbc, 0x08, 0x7a, 0x4d,
		0x9e, 0xc1, 0xe3, 0x08, 0xa9, 0xca, 0x25, 0xfa, 0xf3, 0x92, 0x6a, 0x2e, 0xdc, 0xbe, 0x29, 0x1b,
		0x83, 0xce, 0x5b, 0x78, 0x3a, 0xca, 0xd3, 0x54, 0x48, 0x85, 0xe1, 0x79, 0xcc, 0x90, 0x2b, 0x83,
		0x64, 0xfa, 0xae, 0x4e, 0x85, 0x9f, 0x85, 0x33, 0xe3, 0x5c, 0x9d, 0x8a, 0x51, 0x38, 0x23, 0x47,
		0xb0, 0xf7, 0x1b, 0x9d, 0xd3, 0x02, 0x28, 0x3d, 0x77, 0xf5, 0x7e, 0x14, 0xce, 0x3a, 0xbf, 0x57,
		0xa0, 0xee, 0xa1, 0x92, 0x8b, 0xa1, 0x88, 0x59, 0xb0, 0x20, 0x7d, 0x68, 0x32, 0xce, 0x14, 0xa3,
		0xb1, 0xcf, 0xb8, 0x42, 0x39, 0xa7, 0x65, 0xca, 0x7a, 0xf7, 0xc8, 0x2e, 0x9f, 0x17, 0x7b, 0xf9,
		0xbc, 0xd8, 0x7d, 0xf3, 0xbc, 0x78, 0x8f, 0x8d, 0xc4, 0x35, 0x0a, 0xe2, 0xc0, 0xc1, 0x84, 0x06,
		0x33, 0x11, 0x45, 0x7e, 0x20, 0x30, 0x8a, 0x58, 0xa0, 0x63, 0x16, 0xbd, 0x2d, 0x8f, 0x18, 0xe8,
		0x7c, 0x85, 0xe8, 0xb6, 0x09, 0xbd, 0x63, 0x49, 0x9e, 0xac, 0xda, 0x56, 0x3e, 0xd8, 0xd6, 0x48,
		0xee, 0xdb, 0x7e, 0xb3, 0x72, 0xa1, 0x4a, 0x61, 0x92, 0xaa, 0xac, 0xf5, 0xa0, 0x6d, 0x9d, 0x54,
		0xef, 0xa9, 0x3d, 0x53, 0x26, 0xaf, 0xe0, 0x53, 0x2e, 0xb8, 0x2f, 0xf5, 0xd1, 0xe9, 0x24, 0x46,
		0x1f, 0xa5, 0x14, 0xd2, 0x2f, 0x9f, 0x94, 0xac, 0x55, 0x6d, 0x57, 0x4e, 0x1e, 0x7a, 0x2d, 0x2e,
		0xb8, 0xb7, 0x64, 0x0c, 0x34, 0xc1, 0x2b, 0x71, 0xf2, 0x06, 0x0e, 0xf0, 0x2e, 0x65, 0x65, 0x90,
		0x55, 0xe4, 0xda, 0x87, 0x22, 0x93, 0x95, 0x6a, 0x99, 0xfa, 0xdb, 0x5b, 0x68, 0xac, 0xcf, 0x14,
		0x39, 0x82, 0x27, 0x83, 0xcb, 0xf3, 0xab, 0xbe, 0x7b, 0xf9, 0x83, 0x3f, 0xfe, 0x79, 0x38, 0xf0,
		0xdd, 0xcb, 0xeb, 0xde, 0x8f, 0x6e, 0xbf, 0xf9, 0x11, 0x39, 0x86, 0xc3, 0x4d, 0x68, 0xfc, 0xda,
		0x73, 0x2f, 0xc6, 0xde, 0x4d, 0xd3, 0x22, 0x87, 0x40, 0x36, 0xb1, 0x37, 0xa3, 0xab, 0xcb, 0xe6,
		0x0e, 0x69, 0xc1, 0x27, 0x9b, 0xf5, 0xa1, 0x77, 0x35, 0xbe, 0x7a, 0xde, 0xac, 0x9c, 0x5d, 0xc3,
		0xd3, 0x40, 0x24, 0xdb, 0x86, 0xfc, 0x6c, 0xaf, 0x97, 0xb2, 0xa1, 0x4e, 0x3f, 0xb4, 0x7e, 0x71,
		0xa6, 0x4c, 0xbd, 0xcb, 0x27, 0x76, 0x20, 0x12, 0x67, 0xe3, 0xc7, 0x64, 0x4f, 0x91, 0x97, 0x3f,
		0x1b, 0xf3, 0x8f, 0x7a, 0x49, 0x53, 0x36, 0x3f, 0x9d, 0xd4, 0x8a, 0xda, 0xf3, 0xbf, 0x03, 0x00,
		0x00, 0xff, 0xff, 0xdc, 0x8c, 0x77, 0x9a, 0xc7, 0x06, 0x00, 0x00,
	},
	// google/protobuf/duration.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x92, 0x4b, 0xcf, 0xcf, 0x4f,
		0xcf, 0x49, 0xd5, 0x2f, 0x28, 0xca, 0x2f, 0xc9, 0x4f, 0x2a, 0x4d, 0xd3, 0x4f, 0x29, 0x2d, 0x4a,
		0x2c, 0xc9, 0xcc, 0xcf, 0xd3, 0x03, 0x8b, 0x08, 0xf1, 0x43, 0xe4, 0xf5, 0x60, 0xf2, 0x4a, 0x56,
		0x5c, 0x1c, 0x2e, 0x50, 0x25, 0x42, 0x12, 0x5c, 0xec, 0xc5, 0xa9, 0xc9, 0xf9, 0x79, 0x29, 0xc5,
		0x12, 0x8c, 0x0a, 0x8c, 0x1a, 0xcc, 0x41, 0x30, 0xae, 0x90, 0x08, 0x17, 0x6b, 0x5e, 0x62, 0x5e,
		0x7e, 0xb1, 0x04, 0x93, 0x02, 0xa3, 0x06, 0x6b, 0x10, 0x84, 0xe3, 0xd4, 0xcc, 0xc8, 0x25, 0x9c,
		0x9c, 0x9f, 0xab, 0x87, 0x66, 0xa6, 0x13, 0x2f, 0xcc, 0xc4, 0x00, 0x90, 0x48, 0x00, 0x63, 0x94,
		0x21, 0x54, 0x45, 0x7a, 0x7e, 0x4e, 0x62, 0x5e, 0xba, 0x5e, 0x7e, 0x51, 0x3a, 0xc2, 0x81, 0x25,
		0x95, 0x05, 0xa9, 0xc5, 0xfa, 0xd9, 0x79, 0xf9, 0xe5, 0x79, 0x70, 0xc7, 0x16, 0x24, 0xfd, 0x60,
		0x64, 0x5c, 0xc4, 0xc4, 0xec, 0x1e, 0xe0, 0xb4, 0x8a, 0x49, 0xce, 0x1d, 0xa2, 0x39, 0x00, 0xaa,
		0x43, 0x2f, 0x3c, 0x35, 0x27, 0xc7, 0x1b, 0xa4, 0x3e, 0x04, 0xa4, 0x35, 0x89, 0x0d, 0x6c, 0x94,
		0x31, 0x20, 0x00, 0x00, 0xff, 0xff, 0xef, 0x8a, 0xb4, 0xc3, 0xfb, 0x00, 0x00, 0x00,
	},
	// uber/cadence/api/v1/visibility.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x84, 0x92, 0xcd, 0x6e, 0xd3, 0x40,
		0x14, 0x85, 0x71, 0x68, 0x23, 0xb8, 0x29, 0x60, 0x0d, 0x82, 0x80, 0x2b, 0x08, 0xb2, 0x58, 0x54,
		0x2c, 0xc6, 0x4a, 0x59, 0x76, 0x81, 0x12, 0x3c, 0xa0, 0x11, 0x21, 0x09, 0x8e, 0x9b, 0x12, 0x36,
		0xd6, 0xd8, 0x9e, 0x86, 0x11, 0xb6, 0xc7, 0xb2, 0xc7, 0x6e, 0xfb, 0x14, 0xbc, 0x27, 0x4f, 0x81,
		0xfc, 0x87, 0x84, 0x70, 0xc5, 0xce, 0x3e, 0xf7, 0x9c, 0x4f, 0x73, 0x7f, 0xe0, 0x75, 0xe1, 0xf3,
		0xcc, 0x0a, 0x58, 0xc8, 0x93, 0x80, 0x5b, 0x2c, 0x15, 0x56, 0x39, 0xb5, 0x4a, 0x91, 0x0b, 0x5f,
		0x44, 0x42, 0xdd, 0xe0, 0x34, 0x93, 0x4a, 0xa2, 0xc7, 0x95, 0x0b, 0xb7, 0x2e, 0xcc, 0x52, 0x81,
		0xcb, 0xa9, 0x31, 0xd9, 0x4b, 0xb9, 0x8f, 0xb8, 0x55, 0x5b, 0xfc, 0xe2, 0xd2, 0x52, 0x22, 0xe6,
		0xb9, 0x62, 0x71, 0xda, 0xa4, 0x0c, 0xb3, 0x8f, 0x7d, 0x25, 0xb3, 0x1f, 0x97, 0x91, 0xbc, 0x6a,
		0x3c, 0xe6, 0x17, 0x18, 0x5f, 0xb4, 0x0a, 0xb9, 0xe6, 0x41, 0xa1, 0x84, 0x4c, 0x3e, 0x88, 0x48,
		0xf1, 0x0c, 0x4d, 0x60, 0xd4, 0x99, 0x3d, 0x11, 0x3e, 0xd3, 0x5e, 0x69, 0x27, 0xf7, 0x1d, 0xe8,
		0x24, 0x1a, 0xa2, 0x27, 0x30, 0xcc, 0x8a, 0xa4, 0xaa, 0x0d, 0xea, 0xda, 0x61, 0x56, 0x24, 0x34,
		0x34, 0x4f, 0x00, 0x75, 0x48, 0xf7, 0x26, 0xe5, 0x2d, 0x0d, 0xc1, 0x41, 0xc2, 0x62, 0xde, 0x62,
		0xea, 0x6f, 0xf3, 0xa7, 0x06, 0x8f, 0x36, 0x8a, 0x65, 0xca, 0x15, 0x71, 0xe7, 0x7b, 0x07, 0x0f,
		0x38, 0xcb, 0x22, 0xc1, 0x73, 0xe5, 0x55, 0x0d, 0xd5, 0x81, 0xd1, 0xa9, 0x81, 0x9b, 0x6e, 0x71,
		0xd7, 0x2d, 0x76, 0xbb, 0x6e, 0x9d, 0xa3, 0x2e, 0x50, 0x49, 0xe8, 0x0c, 0x46, 0x11, 0x53, 0x7f,
		0xe2, 0x83, 0xff, 0xc6, 0xa1, 0xb1, 0x57, 0x82, 0xb9, 0x83, 0xa3, 0x8d, 0x62, 0xaa, 0xc8, 0xdb,
		0xd7, 0x50, 0x18, 0xe6, 0xf5, 0x7f, 0xfd, 0x8c, 0x87, 0xa7, 0x53, 0xdc, 0xb3, 0x09, 0xfc, 0xcf,
		0x04, 0xdf, 0x47, 0x32, 0xe7, 0x0d, 0xc8, 0x69, 0x01, 0x6f, 0x7e, 0x69, 0xa0, 0xd3, 0x24, 0xe4,
		0xd7, 0x3c, 0xdc, 0xb2, 0xa8, 0xe0, 0xd5, 0x6c, 0xd0, 0x4b, 0x30, 0xe8, 0xd2, 0x26, 0x5f, 0x89,
		0xed, 0x6d, 0x67, 0x8b, 0x73, 0xe2, 0xb9, 0xbb, 0x35, 0xf1, 0xe8, 0x72, 0x3b, 0x5b, 0x50, 0x5b,
		0xbf, 0x83, 0x5e, 0xc0, 0xf3, 0x9e, 0xfa, 0xc6, 0x75, 0xe8, 0xf2, 0xa3, 0xae, 0xdd, 0x12, 0xff,
		0x44, 0x76, 0x17, 0x2b, 0xc7, 0xd6, 0x07, 0xc8, 0x80, 0xa7, 0xbd, 0x78, 0x57, 0xbf, 0x7b, 0x0b,
		0xda, 0x5e, 0x9d, 0xcf, 0x17, 0x44, 0x3f, 0x40, 0xc7, 0x30, 0xee, 0x29, 0xcf, 0x57, 0xab, 0x85,
		0x7e, 0x88, 0x26, 0x70, 0xdc, 0x97, 0x9d, 0xb9, 0xc4, 0xa5, 0x9f, 0x89, 0x3e, 0x9c, 0x6f, 0x61,
		0x1c, 0xc8, 0xb8, 0x6f, 0x58, 0xf3, 0x7b, 0xb3, 0x54, 0xac, 0xab, 0x2d, 0xac, 0xb5, 0x6f, 0xd6,
		0x5e, 0xa8, 0xef, 0x85, 0x8f, 0x03, 0x19, 0x5b, 0x7f, 0x1d, 0x2b, 0xde, 0xf3, 0xa4, 0x39, 0xec,
		0xf6, 0x6e, 0xcf, 0x58, 0x2a, 0xca, 0xa9, 0x3f, 0xac, 0xb5, 0xb7, 0xbf, 0x03, 0x00, 0x00, 0xff,
		0xff, 0xd7, 0x22, 0x00, 0x73, 0x37, 0x03, 0x00, 0x00,
	},
	// uber/cadence/api/v1/workflow.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xc4, 0x59, 0x4f, 0x6f, 0xdb, 0xca,
		0xf5, 0xfd, 0x49, 0xb2, 0x1d, 0xfb, 0xca, 0xb1, 0xe9, 0x71, 0x9c, 0x28, 0xff, 0x1d, 0xbd, 0x5f,
		0x12, 0x47, 0x7d, 0x91, 0x9f, 0x93, 0x97, 0x97, 0xe6, 0xa5, 0x69, 0x4a, 0x93, 0x74, 0xcc, 0x44,
		0xa6, 0xd4, 0x21, 0x15, 0xc7, 0x0f, 0x45, 0x09, 0x5a, 0x1a, 0xdb, 0x44, 0x24, 0x52, 0x10, 0x47,
		0x49, 0xbc, 0x2f, 0xd0, 0x75, 0x77, 0x45, 0xbb, 0xe9, 0xae, 0x9b, 0x02, 0x45, 0x3f, 0x40, 0x51,
		0xa0, 0x8b, 0xee, 0xba, 0xed, 0xb2, 0xfb, 0x7e, 0x8b, 0x62, 0x86, 0x43, 0x89, 0x92, 0x28, 0x51,
		0x69, 0x81, 0xd7, 0x9d, 0x79, 0x79, 0xce, 0xe1, 0x9d, 0x3b, 0xf7, 0x1e, 0x0e, 0x2d, 0x28, 0xf6,
		0x8e, 0x49, 0x77, 0xbb, 0xe1, 0x34, 0x89, 0xd7, 0x20, 0xdb, 0x4e, 0xc7, 0xdd, 0xfe, 0xb0, 0xb3,
		0xfd, 0xd1, 0xef, 0xbe, 0x3f, 0x69, 0xf9, 0x1f, 0xcb, 0x9d, 0xae, 0x4f, 0x7d, 0xb4, 0xce, 0x30,
		0x65, 0x81, 0x29, 0x3b, 0x1d, 0xb7, 0xfc, 0x61, 0xe7, 0xda, 0xad, 0x53, 0xdf, 0x3f, 0x6d, 0x91,
		0x6d, 0x0e, 0x39, 0xee, 0x9d, 0x6c, 0x37, 0x7b, 0x5d, 0x87, 0xba, 0xbe, 0x17, 0x92, 0xae, 0xdd,
		0x1e, 0xbd, 0x4f, 0xdd, 0x36, 0x09, 0xa8, 0xd3, 0xee, 0x08, 0xc0, 0x66, 0xd2, 0x93, 0x1b, 0x7e,
		0xbb, 0xdd, 0x97, 0x48, 0xcc, 0x8d, 0x3a, 0xc1, 0xfb, 0x96, 0x1b, 0xd0, 0x10, 0x53, 0xfc, 0xfd,
		0x02, 0x6c, 0x1c, 0x8a, 0x74, 0xb5, 0x4f, 0xa4, 0xd1, 0x63, 0x29, 0xe8, 0xde, 0x89, 0x8f, 0xea,
		0x80, 0xa2, 0x75, 0xd8, 0x24, 0xba, 0x53, 0xc8, 0x6c, 0x66, 0xb6, 0xf2, 0x8f, 0xee, 0x95, 0x13,
		0x96, 0x54, 0x1e, 0xd3, 0xc1, 0x6b, 0x1f, 0x47, 0x43, 0xe8, 0x09, 0xcc, 0xd1, 0xf3, 0x0e, 0x29,
		0x64, 0xb9, 0xd0, 0x9d, 0xa9, 0x42, 0xd6, 0x79, 0x87, 0x60, 0x0e, 0x47, 0xcf, 0x00, 0x02, 0xea,
		0x74, 0xa9, 0xcd, 0xca, 0x50, 0xc8, 0x71, 0xf2, 0xb5, 0x72, 0x58, 0xa3, 0x72, 0x54, 0xa3, 0xb2,
		0x15, 0xd5, 0x08, 0x2f, 0x71, 0x34, 0xbb, 0x66, 0xd4, 0x46, 0xcb, 0x0f, 0x48, 0x48, 0x9d, 0x4b,
		0xa7, 0x72, 0x34, 0xa7, 0x5a, 0xb0, 0x1c, 0x52, 0x03, 0xea, 0xd0, 0x5e, 0x50, 0x98, 0xdf, 0xcc,
		0x6c, 0xad, 0x3c, 0xda, 0x99, 0x6d, 0xf5, 0x0a, 0x63, 0x9a, 0x9c, 0x88, 0xf3, 0x8d, 0xc1, 0x05,
		0xba, 0x0b, 0x2b, 0x67, 0x6e, 0x40, 0xfd, 0xee, 0xb9, 0xdd, 0x22, 0xde, 0x29, 0x3d, 0x2b, 0x2c,
		0x6c, 0x66, 0xb6, 0x72, 0xf8, 0xa2, 0x88, 0x56, 0x78, 0x10, 0xfd, 0x0c, 0x36, 0x3a, 0x4e, 0x97,
		0x78, 0x74, 0x50, 0x7e, 0xdb, 0xf5, 0x4e, 0xfc, 0xc2, 0x05, 0xbe, 0x84, 0xad, 0xc4, 0x2c, 0x6a,
		0x9c, 0x31, 0xb4, 0x93, 0x78, 0xbd, 0x33, 0x1e, 0x44, 0x32, 0xac, 0x0c, 0x64, 0x79, 0x65, 0x16,
		0x53, 0x2b, 0x73, 0xb1, 0xcf, 0xe0, 0xd5, 0x79, 0x08, 0x73, 0x6d, 0xd2, 0xf6, 0x0b, 0x4b, 0x9c,
		0x78, 0x35, 0x31, 0x9f, 0x03, 0xd2, 0xf6, 0x31, 0x87, 0x21, 0x0c, 0x6b, 0x01, 0x71, 0xba, 0x8d,
		0x33, 0xdb, 0xa1, 0xb4, 0xeb, 0x1e, 0xf7, 0x28, 0x09, 0x0a, 0xc0, 0xb9, 0x77, 0x13, 0xb9, 0x26,
		0x47, 0xcb, 0x7d, 0x30, 0x96, 0x82, 0x91, 0x08, 0xaa, 0xc0, 0x9a, 0xd3, 0xa3, 0xbe, 0xdd, 0x25,
		0x01, 0xa1, 0x76, 0xc7, 0x77, 0x3d, 0x1a, 0x14, 0xf2, 0x5c, 0x73, 0x33, 0x51, 0x13, 0x33, 0x60,
		0x8d, 0xe3, 0xf0, 0x2a, 0xa3, 0xc6, 0x02, 0xe8, 0x3a, 0x2c, 0xb1, 0xf1, 0xb0, 0xd9, 0x7c, 0x14,
		0x96, 0x37, 0x33, 0x5b, 0x4b, 0x78, 0x91, 0x05, 0x2a, 0x6e, 0x40, 0x8b, 0xbf, 0xce, 0xc2, 0xad,
		0xf1, 0x3d, 0xf6, 0xbd, 0x13, 0xf7, 0x54, 0x4c, 0x2e, 0xfa, 0x36, 0xce, 0x0f, 0x27, 0xe5, 0x66,
		0x62, 0x16, 0x96, 0x10, 0x1d, 0xc8, 0x23, 0x07, 0x36, 0x07, 0xfb, 0x21, 0x5a, 0xdd, 0xb7, 0x07,
		0x8d, 0xeb, 0xf7, 0xa8, 0x98, 0x99, 0xab, 0x63, 0x3b, 0xa4, 0x8a, 0x04, 0xf0, 0x8d, 0xbe, 0x84,
		0xc9, 0xdb, 0xdf, 0x57, 0xa2, 0x56, 0xf6, 0x7b, 0x14, 0x1d, 0xc2, 0x75, 0x9e, 0xde, 0x04, 0xf5,
		0x5c, 0x9a, 0xfa, 0x15, 0xc6, 0x4e, 0x10, 0x2e, 0xfe, 0x3d, 0x03, 0xeb, 0x09, 0x8d, 0xc7, 0xea,
		0xd9, 0xf4, 0xdb, 0x8e, 0xeb, 0xd9, 0x6e, 0x93, 0xd7, 0x63, 0x09, 0x2f, 0x86, 0x01, 0xbd, 0x89,
		0x6e, 0x43, 0x5e, 0xdc, 0xf4, 0x9c, 0x76, 0xe8, 0x07, 0x4b, 0x18, 0xc2, 0x90, 0xe1, 0xb4, 0xc9,
		0x04, 0x03, 0xca, 0xfd, 0xb7, 0x06, 0x74, 0x07, 0x96, 0x5d, 0xcf, 0xa5, 0xae, 0x43, 0x49, 0x93,
		0xe5, 0x35, 0xc7, 0x67, 0x2f, 0xdf, 0x8f, 0xe9, 0xcd, 0xe2, 0xaf, 0x32, 0xb0, 0xa1, 0x7d, 0xa2,
		0xa4, 0xeb, 0x39, 0xad, 0xef, 0xc5, 0x14, 0x47, 0x73, 0xca, 0x8e, 0xe7, 0xf4, 0xcf, 0x79, 0x58,
		0xaf, 0x11, 0xaf, 0xe9, 0x7a, 0xa7, 0x72, 0x83, 0xba, 0x1f, 0x5c, 0x7a, 0xce, 0x33, 0xba, 0x0d,
		0x79, 0x47, 0x5c, 0x0f, 0xaa, 0x0c, 0x51, 0x48, 0x6f, 0xa2, 0x3d, 0xb8, 0xd8, 0x07, 0xa4, 0x3a,
		0x6f, 0x24, 0xcd, 0x9d, 0x77, 0xd9, 0x89, 0x5d, 0xa1, 0x97, 0x30, 0xcf, 0x5c, 0x30, 0x34, 0xdf,
		0x95, 0x47, 0x0f, 0x92, 0xed, 0x67, 0x38, 0x43, 0x66, 0x78, 0x04, 0x87, 0x3c, 0xa4, 0xc3, 0xda,
		0x19, 0x71, 0xba, 0xf4, 0x98, 0x38, 0xd4, 0x6e, 0x12, 0xea, 0xb8, 0xad, 0x40, 0xd8, 0xf1, 0x8d,
		0x09, 0x5e, 0x76, 0xde, 0xf2, 0x9d, 0x26, 0x96, 0xfa, 0x34, 0x35, 0x64, 0xa1, 0xd7, 0xb0, 0xde,
		0x72, 0x02, 0x6a, 0x0f, 0xf4, 0xb8, 0x83, 0xcd, 0xa7, 0x3a, 0xd8, 0x1a, 0xa3, 0xed, 0x47, 0x2c,
		0xee, 0x62, 0x7b, 0xc0, 0x83, 0xe1, 0x54, 0x90, 0x66, 0xa8, 0xb4, 0x90, 0xaa, 0xb4, 0xca, 0x48,
		0x66, 0xc8, 0xe1, 0x3a, 0x05, 0xb8, 0xe0, 0x50, 0x4a, 0xda, 0x1d, 0xca, 0x0d, 0x7a, 0x1e, 0x47,
		0x97, 0xe8, 0x01, 0x48, 0x6d, 0xe7, 0x93, 0xdb, 0xee, 0xb5, 0x6d, 0x11, 0x0a, 0xb8, 0xd9, 0xce,
		0xe3, 0x55, 0x11, 0x97, 0x45, 0x98, 0xb9, 0x72, 0xd0, 0x38, 0x23, 0xcd, 0x5e, 0x2b, 0xca, 0x64,
		0x29, 0xdd, 0x95, 0xfb, 0x0c, 0x9e, 0x87, 0x02, 0xab, 0xe4, 0x53, 0xc7, 0x0d, 0x67, 0x36, 0xd4,
		0x80, 0x54, 0x8d, 0x95, 0x01, 0x85, 0x8b, 0xbc, 0x84, 0x65, 0x5e, 0x94, 0x13, 0xc7, 0x6d, 0xf5,
		0xba, 0x44, 0x58, 0x6a, 0xf2, 0x36, 0xed, 0x85, 0x18, 0x9c, 0x67, 0x0c, 0x71, 0x81, 0xbe, 0x82,
		0x4b, 0x5c, 0x80, 0xf5, 0x3a, 0xe9, 0xda, 0x6e, 0x93, 0x78, 0xd4, 0xa5, 0xe7, 0xc2, 0x55, 0x11,
		0xbb, 0x77, 0xc8, 0x6f, 0xe9, 0xe2, 0x4e, 0xf1, 0xb7, 0x59, 0xb8, 0x2a, 0xda, 0x47, 0x39, 0x73,
		0x5b, 0xcd, 0xef, 0x65, 0xf0, 0xbe, 0x8c, 0xc9, 0xb2, 0xe1, 0x88, 0x7b, 0x91, 0xf4, 0x31, 0x76,
		0x0c, 0xe1, 0x8e, 0x34, 0x3a, 0xa6, 0xb9, 0xb1, 0x31, 0x45, 0x6f, 0x41, 0xbc, 0x6d, 0x85, 0xb9,
		0x76, 0xfc, 0x96, 0xdb, 0x38, 0xe7, 0x6d, 0xbe, 0x32, 0x21, 0xd1, 0xd0, 0x39, 0xb9, 0xa1, 0xd6,
		0x38, 0x1a, 0xaf, 0x75, 0x46, 0x43, 0xc5, 0xbf, 0x65, 0xfb, 0xe3, 0xaf, 0x92, 0x86, 0x1b, 0x44,
		0x75, 0xe9, 0x4f, 0x65, 0x26, 0x7d, 0x2a, 0x23, 0xe2, 0xd0, 0x54, 0x8e, 0x77, 0x5c, 0xf6, 0x73,
		0x3b, 0xee, 0x05, 0x2c, 0x0f, 0x0d, 0x4f, 0xfa, 0xe9, 0x2c, 0x1f, 0x24, 0x0f, 0xce, 0xdc, 0xf0,
		0xe0, 0x60, 0xb8, 0xe2, 0x77, 0xdd, 0x53, 0xd7, 0x73, 0x5a, 0xf6, 0x48, 0x92, 0xe9, 0xa3, 0xbe,
		0x11, 0x51, 0xcd, 0x78, 0xb2, 0xc5, 0x3f, 0x67, 0xe1, 0x6a, 0x64, 0x4f, 0x15, 0xbf, 0xe1, 0xb4,
		0x54, 0x37, 0xe8, 0x38, 0xb4, 0x71, 0x36, 0x9b, 0x9b, 0xfe, 0xef, 0xcb, 0xf5, 0x73, 0xb8, 0x35,
		0x9c, 0x81, 0xed, 0x9f, 0xd8, 0xf4, 0xcc, 0x0d, 0xec, 0x78, 0x15, 0xa7, 0x0b, 0x5e, 0x1b, 0xca,
		0xa8, 0x7a, 0x62, 0x9d, 0xb9, 0x81, 0xf0, 0x20, 0x74, 0x13, 0x80, 0x9f, 0x12, 0xa8, 0xff, 0x9e,
		0x78, 0xbc, 0xce, 0xcb, 0x98, 0x1f, 0x6b, 0x2c, 0x16, 0x28, 0xbe, 0x86, 0x7c, 0xfc, 0xc8, 0xf4,
		0x1c, 0x16, 0xc4, 0xa9, 0x2b, 0xb3, 0x99, 0xdb, 0xca, 0x3f, 0xfa, 0x22, 0xe5, 0xd4, 0xc5, 0x0f,
		0xa4, 0x82, 0x52, 0xfc, 0x63, 0x16, 0x56, 0x86, 0x6f, 0xa1, 0xfb, 0xb0, 0x7a, 0xec, 0x7a, 0x4e,
		0xf7, 0xdc, 0x6e, 0x9c, 0x91, 0xc6, 0xfb, 0xa0, 0xd7, 0x16, 0x9b, 0xb0, 0x12, 0x86, 0x15, 0x11,
		0x45, 0x1b, 0xb0, 0xd0, 0xed, 0x79, 0xd1, 0xcb, 0x72, 0x09, 0xcf, 0x77, 0x7b, 0xec, 0x54, 0xf1,
		0x02, 0xae, 0x9f, 0xb8, 0xdd, 0x80, 0xbd, 0x60, 0xc2, 0x66, 0xb7, 0x1b, 0x7e, 0xbb, 0xd3, 0x22,
		0x43, 0x13, 0x5b, 0xe0, 0x90, 0x68, 0x1c, 0x94, 0x08, 0xc0, 0xe9, 0xcb, 0x8d, 0x2e, 0x71, 0xfa,
		0x7b, 0x93, 0x5e, 0xca, 0xbc, 0xc0, 0x0b, 0xdb, 0xbc, 0xc8, 0x8d, 0xd4, 0xf5, 0x4e, 0x67, 0x6d,
		0xd3, 0xe5, 0x88, 0xc0, 0x05, 0x6e, 0x01, 0xf0, 0xa3, 0x2c, 0x75, 0x8e, 0x5b, 0xe1, 0x5b, 0x68,
		0x11, 0xc7, 0x22, 0xa5, 0x3f, 0x65, 0xe0, 0x52, 0xd2, 0x3b, 0x16, 0x15, 0xe1, 0x56, 0x4d, 0x33,
		0x54, 0xdd, 0x78, 0x65, 0xcb, 0x8a, 0xa5, 0xbf, 0xd5, 0xad, 0x23, 0xdb, 0xb4, 0x64, 0x4b, 0xb3,
		0x75, 0xe3, 0xad, 0x5c, 0xd1, 0x55, 0xe9, 0xff, 0xd0, 0xff, 0xc3, 0xe6, 0x04, 0x8c, 0xa9, 0xec,
		0x6b, 0x6a, 0xbd, 0xa2, 0xa9, 0x52, 0x66, 0x8a, 0x92, 0x69, 0xc9, 0xd8, 0xd2, 0x54, 0x29, 0x8b,
		0x7e, 0x00, 0xf7, 0x27, 0x60, 0x14, 0xd9, 0x50, 0xb4, 0x8a, 0x8d, 0xb5, 0x9f, 0xd6, 0x35, 0x93,
		0x81, 0x73, 0xa5, 0x5f, 0x0c, 0x72, 0x1e, 0x72, 0xa0, 0xf8, 0x93, 0x54, 0x4d, 0xd1, 0x4d, 0xbd,
		0x6a, 0x4c, 0xcb, 0x79, 0x04, 0x33, 0x21, 0xe7, 0x51, 0x54, 0x94, 0x73, 0xe9, 0x97, 0xd9, 0xc1,
		0x97, 0xae, 0xde, 0xc4, 0xa4, 0x17, 0x79, 0x2b, 0x7b, 0xc6, 0x61, 0x15, 0xbf, 0xd9, 0xab, 0x54,
		0x0f, 0x6d, 0x5d, 0xb5, 0xb1, 0x56, 0x37, 0x35, 0xbb, 0x56, 0xad, 0xe8, 0xca, 0x51, 0x2c, 0x93,
		0x1f, 0xc2, 0xd7, 0x13, 0x51, 0x72, 0x85, 0x45, 0xd5, 0x7a, 0xad, 0xa2, 0x2b, 0xec, 0xa9, 0x7b,
		0xb2, 0x5e, 0xd1, 0x54, 0xbb, 0x6a, 0x54, 0x8e, 0xa4, 0x0c, 0xfa, 0x12, 0xb6, 0x66, 0x65, 0x4a,
		0x59, 0xf4, 0x10, 0x1e, 0x4c, 0x44, 0x63, 0xed, 0xb5, 0xa6, 0x58, 0x31, 0x78, 0x0e, 0xed, 0xc0,
		0xc3, 0x89, 0x70, 0x4b, 0xc3, 0x07, 0xba, 0xc1, 0x0b, 0xba, 0x67, 0xe3, 0xba, 0x61, 0xe8, 0xc6,
		0x2b, 0x69, 0xae, 0xf4, 0xbb, 0x0c, 0xac, 0x8d, 0xbd, 0x74, 0xd0, 0x6d, 0xb8, 0x5e, 0x93, 0xb1,
		0x66, 0x58, 0xb6, 0x52, 0xa9, 0x26, 0x15, 0x60, 0x02, 0x40, 0xde, 0x95, 0x0d, 0xb5, 0x6a, 0x48,
		0x19, 0x74, 0x0f, 0x8a, 0x49, 0x00, 0xd1, 0x0b, 0xa2, 0x35, 0xa4, 0x2c, 0xba, 0x03, 0x37, 0x93,
		0x70, 0xfd, 0x6c, 0xa5, 0x5c, 0xe9, 0x5f, 0x59, 0xb8, 0x31, 0xed, 0x83, 0x9a, 0x75, 0x60, 0x7f,
		0xd9, 0xda, 0x3b, 0x4d, 0xa9, 0x5b, 0x6c, 0xcf, 0x43, 0x3d, 0xb6, 0xf3, 0x75, 0x33, 0x96, 0x79,
		0xbc, 0xa4, 0x13, 0xc0, 0x4a, 0xf5, 0xa0, 0x56, 0xd1, 0x2c, 0xde, 0x4d, 0x25, 0xb8, 0x97, 0x06,
		0x0f, 0x37, 0x58, 0xca, 0x0e, 0xed, 0xed, 0x24, 0x69, 0xbe, 0x6e, 0x36, 0x0a, 0xa8, 0x0c, 0xa5,
		0x34, 0x74, 0xbf, 0x0a, 0xaa, 0x34, 0x87, 0xbe, 0x86, 0xaf, 0xd2, 0x13, 0x37, 0x2c, 0xdd, 0xa8,
		0x6b, 0xaa, 0x2d, 0x9b, 0xb6, 0xa1, 0x1d, 0x4a, 0xf3, 0xb3, 0x2c, 0xd7, 0xd2, 0x0f, 0x58, 0x7f,
		0xd6, 0x2d, 0x69, 0xa1, 0xf4, 0x97, 0x0c, 0x5c, 0x56, 0x7c, 0x8f, 0xba, 0x5e, 0x8f, 0xc8, 0x81,
		0x41, 0x3e, 0xea, 0xe1, 0x79, 0xc6, 0xef, 0xa2, 0xbb, 0x70, 0x27, 0xd2, 0x17, 0xf2, 0xb6, 0x6e,
		0xe8, 0x96, 0x2e, 0x5b, 0x55, 0x1c, 0xab, 0xef, 0x54, 0x18, 0x1b, 0x48, 0x55, 0xc3, 0x61, 0x5d,
		0x27, 0xc3, 0xb0, 0x66, 0xe1, 0x23, 0xd1, 0x0a, 0xa1, 0xc3, 0x4c, 0xc6, 0x2a, 0x98, 0xcd, 0xb7,
		0x98, 0x7f, 0x29, 0x57, 0xfa, 0x43, 0x06, 0xf2, 0xe2, 0x5b, 0x94, 0x7f, 0xaa, 0x14, 0xe0, 0x12,
		0x5b, 0x60, 0xb5, 0x6e, 0xd9, 0xd6, 0x51, 0x4d, 0x1b, 0xee, 0xe1, 0xa1, 0x3b, 0xdc, 0x1e, 0x6c,
		0xab, 0x1a, 0x56, 0x27, 0x74, 0x92, 0x61, 0x80, 0x78, 0x0a, 0xc3, 0x70, 0xb0, 0x94, 0x9d, 0x8a,
		0x09, 0x75, 0x72, 0xe8, 0x1a, 0x5c, 0x1e, 0xc2, 0xec, 0x6b, 0x32, 0xb6, 0x76, 0x35, 0xd9, 0x92,
		0xe6, 0x4a, 0xbf, 0xc9, 0xc0, 0xd5, 0xc8, 0x09, 0x2d, 0xf6, 0x62, 0x75, 0xdb, 0xa4, 0x59, 0xed,
		0x51, 0xc5, 0xe9, 0x05, 0x04, 0x3d, 0x80, 0xbb, 0x7d, 0x0f, 0xb3, 0x64, 0xf3, 0xcd, 0x60, 0xaf,
		0x6c, 0x45, 0x66, 0xc3, 0x3d, 0x58, 0x4d, 0x2a, 0x54, 0xa4, 0x20, 0x65, 0xd0, 0x7d, 0xf8, 0x62,
		0x3a, 0x14, 0x6b, 0xa6, 0x66, 0x49, 0xd9, 0xd2, 0x3f, 0xf2, 0x70, 0x25, 0x9e, 0x1c, 0x3b, 0xd0,
		0x93, 0x66, 0x98, 0xda, 0x3d, 0x28, 0x0e, 0x8b, 0x08, 0x9f, 0x1b, 0xcd, 0x6b, 0x07, 0x1e, 0x4e,
		0xc1, 0xd5, 0x8d, 0x7d, 0xd9, 0x50, 0xd9, 0x75, 0x04, 0x92, 0x32, 0xe8, 0x25, 0x3c, 0x9f, 0x42,
		0xd9, 0x95, 0xd5, 0x41, 0x95, 0xfb, 0x6f, 0x1c, 0xd9, 0xb2, 0xb0, 0xbe, 0x5b, 0xb7, 0x34, 0x53,
		0xca, 0x22, 0x0d, 0xe4, 0x14, 0x81, 0x61, 0x1f, 0x4a, 0x94, 0xc9, 0xa1, 0x67, 0xf0, 0x24, 0x2d,
		0x8f, 0xb0, 0x65, 0xf4, 0x03, 0x0d, 0xc7, 0xa9, 0x73, 0xe8, 0x5b, 0xf8, 0x26, 0x85, 0x2a, 0x9e,
		0x3c, 0xc6, 0x9d, 0x47, 0xcf, 0xe1, 0x69, 0x6a, 0xf6, 0x4a, 0x15, 0xab, 0xf6, 0x81, 0x8c, 0xdf,
		0x0c, 0x93, 0x17, 0x90, 0x0e, 0x5a, 0xda, 0x83, 0x85, 0xbb, 0xd9, 0x09, 0xbe, 0x10, 0x93, 0xba,
		0x30, 0x43, 0x15, 0x59, 0x20, 0x45, 0x66, 0x11, 0xbd, 0x02, 0x65, 0xb6, 0x52, 0x4c, 0x17, 0x5a,
		0x42, 0xef, 0xc0, 0xfa, 0xbc, 0x5d, 0xd5, 0xde, 0x59, 0x1a, 0x36, 0xe4, 0x34, 0x65, 0x40, 0x2f,
		0xe0, 0x59, 0x6a, 0xd1, 0x86, 0xfd, 0x27, 0x46, 0xcf, 0xa3, 0xa7, 0xf0, 0x78, 0x0a, 0x3d, 0xde,
		0x23, 0x83, 0x53, 0x81, 0xae, 0x4a, 0xcb, 0xe8, 0x09, 0xec, 0x4c, 0x21, 0xf2, 0x29, 0xb4, 0x4d,
		0x4b, 0x57, 0xde, 0x1c, 0x85, 0xb7, 0x2b, 0xba, 0x69, 0x49, 0x17, 0xd1, 0x4f, 0xe0, 0x47, 0x53,
		0x68, 0xfd, 0xc5, 0xb2, 0x3f, 0x34, 0x1c, 0x1b, 0x31, 0x06, 0xab, 0x63, 0x4d, 0x5a, 0x99, 0x61,
		0x4f, 0x4c, 0xfd, 0x55, 0x7a, 0xe5, 0x56, 0x91, 0x02, 0x2f, 0x67, 0x1a, 0x11, 0x65, 0x5f, 0xaf,
		0xa8, 0xc9, 0x22, 0x12, 0x7a, 0x0c, 0xdb, 0x53, 0x44, 0xf6, 0xaa, 0x58, 0xd1, 0xc4, 0x1b, 0xab,
		0x6f, 0x12, 0x6b, 0xe8, 0x1b, 0x78, 0x34, 0x8d, 0x24, 0xeb, 0x95, 0xea, 0x5b, 0x0d, 0x8f, 0xf2,
		0x10, 0x7b, 0x8d, 0xce, 0xb6, 0x74, 0xdd, 0xa8, 0xd5, 0x2d, 0xdb, 0xd4, 0xbf, 0xd3, 0xa4, 0x75,
		0xf6, 0x1a, 0x4d, 0xdd, 0xa9, 0xa8, 0x56, 0xd2, 0xa5, 0x71, 0x33, 0x1e, 0x7b, 0xc8, 0xae, 0x6e,
		0xc8, 0xf8, 0x48, 0xda, 0x48, 0xe9, 0xbd, 0x71, 0xa3, 0x1b, 0x6a, 0xa1, 0xcb, 0xb3, 0x2c, 0x47,
		0x93, 0xb1, 0xb2, 0x1f, 0xaf, 0xf8, 0x15, 0xf6, 0xd6, 0xb9, 0xc3, 0xff, 0xb1, 0x32, 0x76, 0xae,
		0x8a, 0x5b, 0xfc, 0x0e, 0x3c, 0x0c, 0xf7, 0x2d, 0xa1, 0x0b, 0x26, 0xb8, 0xfd, 0x2e, 0xfc, 0x78,
		0x36, 0x4a, 0xff, 0xbe, 0x5c, 0xc1, 0x9a, 0xac, 0x1e, 0xf5, 0x8f, 0xa4, 0x99, 0xd2, 0x5f, 0x33,
		0x50, 0x52, 0x1c, 0xaf, 0x41, 0x5a, 0xd1, 0xff, 0x5d, 0xa7, 0x66, 0xf9, 0x1c, 0x9e, 0xce, 0x30,
		0xef, 0x13, 0xf2, 0x3d, 0x04, 0xf3, 0x73, 0xc9, 0x75, 0xe3, 0x8d, 0x51, 0x3d, 0x34, 0xa6, 0x11,
		0xc4, 0x22, 0x4c, 0xf7, 0x94, 0xff, 0xd3, 0x78, 0xb6, 0x45, 0x88, 0xb6, 0xfb, 0xcf, 0x16, 0xf1,
		0xb9, 0xe4, 0x99, 0x16, 0xb1, 0xfb, 0x16, 0xae, 0x34, 0xfc, 0x76, 0xd2, 0x57, 0xfc, 0xee, 0xa2,
		0xdc, 0x71, 0x6b, 0xec, 0x0b, 0xb6, 0x96, 0xf9, 0x6e, 0xfb, 0xd4, 0xa5, 0x67, 0xbd, 0xe3, 0x72,
		0xc3, 0x6f, 0x6f, 0x0f, 0xfd, 0xcc, 0x58, 0x3e, 0x25, 0x5e, 0xf8, 0xa3, 0xa5, 0xf8, 0xc5, 0xf1,
		0xb9, 0xd3, 0x71, 0x3f, 0xec, 0x1c, 0x2f, 0xf0, 0xd8, 0xe3, 0x7f, 0x07, 0x00, 0x00, 0xff, 0xff,
		0x05, 0xd4, 0x20, 0x14, 0x31, 0x1d, 0x00, 0x00,
	},
	// uber/cadence/api/v1/tasklist.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x7c, 0x54, 0xdd, 0x6e, 0xdb, 0x36,
		0x14, 0x9e, 0xe2, 0xb4, 0x73, 0x98, 0x25, 0xd5, 0xb8, 0xb5, 0x8d, 0xdd, 0x75, 0xcb, 0x74, 0x51,
		0x04, 0xc5, 0x20, 0x21, 0x19, 0x76, 0xb5, 0x8b, 0xc1, 0x89, 0x83, 0x55, 0x88, 0xe3, 0x1a, 0x92,
		0x1a, 0x20, 0xbb, 0xe1, 0x28, 0xf1, 0xd4, 0x21, 0xf4, 0x43, 0x81, 0xa4, 0x92, 0xf8, 0x45, 0xf6,
		0x30, 0x7b, 0xa2, 0x3d, 0xc6, 0x40, 0x4a, 0xf6, 0xdc, 0xc4, 0xeb, 0x1d, 0x79, 0xbe, 0xf3, 0x9d,
		0x9f, 0x8f, 0xe7, 0x10, 0x79, 0x4d, 0x0a, 0x32, 0xc8, 0x28, 0x83, 0x2a, 0x83, 0x80, 0xd6, 0x3c,
		0xb8, 0x3d, 0x0e, 0x34, 0x55, 0x79, 0xc1, 0x95, 0xf6, 0x6b, 0x29, 0xb4, 0xc0, 0xdf, 0x18, 0x1f,
		0xbf, 0xf3, 0xf1, 0x69, 0xcd, 0xfd, 0xdb, 0xe3, 0xe1, 0xf7, 0x73, 0x21, 0xe6, 0x05, 0x04, 0xd6,
		0x25, 0x6d, 0x3e, 0x06, 0xac, 0x91, 0x54, 0x73, 0x51, 0xb5, 0xa4, 0xe1, 0x0f, 0x0f, 0x71, 0xcd,
		0x4b, 0x50, 0x9a, 0x96, 0x75, 0xe7, 0xf0, 0x28, 0xc0, 0x9d, 0xa4, 0x75, 0x0d, 0x52, 0xb5, 0xb8,
		0xf7, 0x01, 0xf5, 0x13, 0xaa, 0xf2, 0x09, 0x57, 0x1a, 0x63, 0xb4, 0x5d, 0xd1, 0x12, 0x0e, 0x9c,
		0x43, 0xe7, 0x68, 0x27, 0xb2, 0x67, 0xfc, 0x0b, 0xda, 0xce, 0x79, 0xc5, 0x0e, 0xb6, 0x0e, 0x9d,
		0xa3, 0xfd, 0x93, 0x1f, 0xfd, 0x0d, 0x45, 0xfa, 0xcb, 0x00, 0x17, 0xbc, 0x62, 0x91, 0x75, 0xf7,
		0x28, 0x72, 0x97, 0xd6, 0x4b, 0xd0, 0x94, 0x51, 0x4d, 0xf1, 0x25, 0xfa, 0xb6, 0xa4, 0xf7, 0xc4,
		0xb4, 0xad, 0x48, 0x0d, 0x92, 0x28, 0xc8, 0x44, 0xc5, 0x6c, 0xba, 0xdd, 0x93, 0xef, 0xfc, 0xb6,
		0x52, 0x7f, 0x59, 0xa9, 0x3f, 0x16, 0x4d, 0x5a, 0xc0, 0x15, 0x2d, 0x1a, 0x88, 0xbe, 0x2e, 0xe9,
		0xbd, 0x09, 0xa8, 0x66, 0x20, 0x63, 0x4b, 0xf3, 0x3e, 0xa0, 0xc1, 0x32, 0xc5, 0x8c, 0x4a, 0xcd,
		0x8d, 0x2a, 0xab, 0x5c, 0x2e, 0xea, 0xe5, 0xb0, 0xe8, 0x3a, 0x31, 0x47, 0xfc, 0x06, 0x3d, 0x13,
		0x77, 0x15, 0x48, 0x72, 0x23, 0x94, 0x26, 0xb6, 0xcf, 0x2d, 0x8b, 0xee, 0x59, 0xf3, 0x3b, 0xa1,
		0xf4, 0x94, 0x96, 0xe0, 0xfd, 0xe3, 0xa0, 0xfd, 0x65, 0xdc, 0x58, 0x53, 0xdd, 0x28, 0xfc, 0x13,
		0xc2, 0x29, 0xcd, 0xf2, 0x42, 0xcc, 0x49, 0x26, 0x9a, 0x4a, 0x93, 0x1b, 0x5e, 0x69, 0x1b, 0xbb,
		0x17, 0xb9, 0x1d, 0x72, 0x66, 0x80, 0x77, 0xbc, 0xd2, 0xf8, 0x35, 0x42, 0x12, 0x28, 0x23, 0x05,
		0xdc, 0x42, 0x61, 0x73, 0xf4, 0xa2, 0x1d, 0x63, 0x99, 0x18, 0x03, 0x7e, 0x85, 0x76, 0x68, 0x96,
		0x77, 0x68, 0xcf, 0xa2, 0x7d, 0x9a, 0xe5, 0x2d, 0xf8, 0x06, 0x3d, 0x93, 0x54, 0xc3, 0xba, 0x3a,
		0xdb, 0x87, 0xce, 0x91, 0x13, 0xed, 0x19, 0xf3, 0xaa, 0x77, 0x3c, 0x46, 0x7b, 0x46, 0x46, 0xc2,
		0x19, 0x49, 0x0b, 0x91, 0xe5, 0x07, 0x4f, 0xac, 0x86, 0x87, 0xff, 0xfb, 0x3c, 0xe1, 0xf8, 0xd4,
		0xf8, 0x45, 0xbb, 0x86, 0x16, 0x32, 0x7b, 0xf1, 0x7e, 0x43, 0xbb, 0x6b, 0x18, 0x1e, 0xa0, 0xbe,
		0xd2, 0x54, 0x6a, 0xc2, 0x59, 0xd7, 0xdc, 0x97, 0xf6, 0x1e, 0x32, 0xfc, 0x1c, 0x3d, 0x85, 0x8a,
		0x19, 0xa0, 0xed, 0xe7, 0x09, 0x54, 0x2c, 0x64, 0xde, 0x5f, 0x0e, 0x42, 0x33, 0x51, 0x14, 0x20,
		0xc3, 0xea, 0xa3, 0xc0, 0x63, 0xe4, 0x16, 0x54, 0x69, 0x42, 0xb3, 0x0c, 0x94, 0x22, 0x66, 0x14,
		0xbb, 0xc7, 0x1d, 0x3e, 0x7a, 0xdc, 0x64, 0x39, 0xa7, 0xd1, 0xbe, 0xe1, 0x8c, 0x2c, 0xc5, 0x18,
		0xf1, 0x10, 0xf5, 0x39, 0x83, 0x4a, 0x73, 0xbd, 0xe8, 0x5e, 0x68, 0x75, 0xdf, 0xa4, 0x4f, 0x6f,
		0x83, 0x3e, 0xde, 0xdf, 0x0e, 0x1a, 0xc4, 0x9a, 0x67, 0xf9, 0xe2, 0xfc, 0x1e, 0xb2, 0xc6, 0x8c,
		0xc6, 0x48, 0x6b, 0xc9, 0xd3, 0x46, 0x83, 0xc2, 0xbf, 0x23, 0xf7, 0x4e, 0xc8, 0x1c, 0xa4, 0x9d,
		0x45, 0x62, 0x76, 0xb0, 0xab, 0xf3, 0xf5, 0x67, 0xe7, 0x3b, 0xda, 0x6f, 0x69, 0xab, 0x85, 0x49,
		0xd0, 0x40, 0x65, 0x37, 0xc0, 0x9a, 0x02, 0x88, 0x16, 0xa4, 0x55, 0xcf, 0xb4, 0x2d, 0x1a, 0x6d,
		0x6b, 0xdf, 0x3d, 0x19, 0x3c, 0x1e, 0xeb, 0x6e, 0x83, 0xa3, 0x17, 0x4b, 0x6e, 0x22, 0x62, 0xc3,
		0x4c, 0x5a, 0xe2, 0xdb, 0x3f, 0xd1, 0x57, 0xeb, 0x1b, 0x85, 0x87, 0xe8, 0x45, 0x32, 0x8a, 0x2f,
		0xc8, 0x24, 0x8c, 0x13, 0x72, 0x11, 0x4e, 0xc7, 0x24, 0x9c, 0x5e, 0x8d, 0x26, 0xe1, 0xd8, 0xfd,
		0x02, 0x0f, 0xd0, 0xf3, 0x07, 0xd8, 0xf4, 0x7d, 0x74, 0x39, 0x9a, 0xb8, 0xce, 0x06, 0x28, 0x4e,
		0xc2, 0xb3, 0x8b, 0x6b, 0x77, 0xeb, 0x2d, 0xfb, 0x2f, 0x43, 0xb2, 0xa8, 0xe1, 0xd3, 0x0c, 0xc9,
		0xf5, 0xec, 0x7c, 0x2d, 0xc3, 0x2b, 0xf4, 0xf2, 0x01, 0x36, 0x3e, 0x3f, 0x0b, 0xe3, 0xf0, 0xfd,
		0xd4, 0x75, 0x36, 0x80, 0xa3, 0xb3, 0x24, 0xbc, 0x0a, 0x93, 0x6b, 0x77, 0xeb, 0xf4, 0x0a, 0xbd,
		0xcc, 0x44, 0xb9, 0x49, 0xd1, 0xd3, 0xfe, 0xa8, 0xe6, 0x33, 0x23, 0xc8, 0xcc, 0xf9, 0x23, 0x98,
		0x73, 0x7d, 0xd3, 0xa4, 0x7e, 0x26, 0xca, 0xe0, 0x93, 0x6f, 0xd2, 0x9f, 0x43, 0xd5, 0xfe, 0x5b,
		0xdd, 0x8f, 0xf9, 0x2b, 0xad, 0xf9, 0xed, 0x71, 0xfa, 0xd4, 0xda, 0x7e, 0xfe, 0x37, 0x00, 0x00,
		0xff, 0xff, 0x58, 0x62, 0x2b, 0xbf, 0x55, 0x05, 0x00, 0x00,
	},
	// uber/cadence/shared/v1/cluster.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x92, 0xcf, 0x8a, 0xdb, 0x30,
		0x10, 0x87, 0x71, 0xdc, 0xb4, 0x89, 0x12, 0xfa, 0x47, 0xd0, 0x36, 0xb4, 0x14, 0x5c, 0x53, 0x8a,
		0xa1, 0x20, 0x93, 0x96, 0xb6, 0x90, 0x42, 0x0f, 0x49, 0x0f, 0xf5, 0xa1, 0x2d, 0xe8, 0xd8, 0x8b,
		0x90, 0xe5, 0x89, 0x2d, 0x88, 0xa4, 0x20, 0xcb, 0x81, 0x1c, 0xf6, 0x11, 0xf6, 0x85, 0xf6, 0xe9,
		0x16, 0xcb, 0x76, 0x96, 0x85, 0x2c, 0xbb, 0xb7, 0xd1, 0xcc, 0xf7, 0xb3, 0x3f, 0x89, 0x41, 0x1f,
		0x9a, 0x1c, 0x6c, 0x2a, 0x78, 0x01, 0x5a, 0x40, 0x5a, 0x57, 0xdc, 0x42, 0x91, 0x1e, 0x96, 0xa9,
		0xd8, 0x35, 0xb5, 0x03, 0x4b, 0xf6, 0xd6, 0x38, 0x83, 0x5f, 0xb5, 0x14, 0xe9, 0x29, 0xd2, 0x51,
		0xe4, 0xb0, 0x8c, 0x3f, 0xa2, 0xc9, 0x6f, 0x53, 0xbb, 0x4c, 0x6f, 0x0d, 0x7e, 0x83, 0x26, 0xb2,
		0x00, 0xed, 0xa4, 0x3b, 0x2e, 0x82, 0x28, 0x48, 0xa6, 0xf4, 0x74, 0x8e, 0x2f, 0xd0, 0x84, 0x4a,
		0x5d, 0x7a, 0x0e, 0xa3, 0x47, 0xd6, 0xec, 0xa0, 0x67, 0x7c, 0x8d, 0xdf, 0xa3, 0xb9, 0x02, 0x95,
		0x83, 0x65, 0xc2, 0x34, 0xda, 0x2d, 0x46, 0x51, 0x90, 0x8c, 0xe9, 0xac, 0xeb, 0x6d, 0xda, 0x16,
		0x5e, 0xa1, 0x27, 0xdd, 0xb1, 0x5e, 0x84, 0x51, 0x98, 0xcc, 0x3e, 0x47, 0xe4, 0xbc, 0x14, 0x19,
		0x8c, 0xe8, 0x10, 0x88, 0xaf, 0x02, 0xf4, 0xf4, 0x4f, 0x57, 0x57, 0x72, 0xef, 0x2d, 0x36, 0x68,
		0x2e, 0x1a, 0x6b, 0x41, 0x3b, 0x56, 0x99, 0xda, 0x79, 0x9b, 0x87, 0x7c, 0x73, 0xd6, 0xa7, 0xda,
		0x06, 0xfe, 0x84, 0x5e, 0x58, 0xe0, 0xa2, 0xe2, 0xf9, 0x0e, 0xd8, 0x60, 0x37, 0x8a, 0xc2, 0x64,
		0x4a, 0x9f, 0x9f, 0x06, 0xfd, 0x8f, 0xf1, 0x37, 0x34, 0xb6, 0x52, 0x97, 0xf7, 0xea, 0x0f, 0x0f,
		0x45, 0x3b, 0x3c, 0xbe, 0x0c, 0xd0, 0xb3, 0x5f, 0x46, 0x71, 0xa9, 0x37, 0x5c, 0x54, 0xe0, 0xed,
		0x57, 0xe8, 0xad, 0x6e, 0x14, 0x33, 0x5b, 0x26, 0x1d, 0xa8, 0x9a, 0x49, 0xcd, 0x44, 0x3b, 0x64,
		0xf9, 0x91, 0xc9, 0xc2, 0x5f, 0x26, 0xa4, 0x2f, 0x75, 0xa3, 0xfe, 0x6d, 0xb3, 0x16, 0xc8, 0xba,
		0xec, 0xfa, 0x98, 0x15, 0xf8, 0x27, 0x7a, 0x77, 0x67, 0x56, 0x73, 0x05, 0xfe, 0xf1, 0x43, 0xfa,
		0xfa, 0x4c, 0xfa, 0x2f, 0x57, 0xb0, 0xfe, 0xfe, 0xff, 0x6b, 0x29, 0x5d, 0xd5, 0xe4, 0x44, 0x18,
		0x95, 0xde, 0x5a, 0x1f, 0x52, 0x82, 0x4e, 0xfd, 0xc6, 0xdc, 0x6c, 0xd2, 0x8f, 0xae, 0x3a, 0x2c,
		0xf3, 0xc7, 0x7e, 0xf2, 0xe5, 0x3a, 0x00, 0x00, 0xff, 0xff, 0xb9, 0x39, 0xca, 0xc6, 0x73, 0x02,
		0x00, 0x00,
	},
	// uber/cadence/shared/v1/history.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x92, 0xc1, 0x4a, 0xeb, 0x40,
		0x18, 0x85, 0x49, 0x4b, 0x6f, 0xef, 0x9d, 0xf6, 0x56, 0x19, 0x50, 0x6a, 0x41, 0x68, 0x83, 0x48,
		0x71, 0x31, 0x21, 0x15, 0x71, 0xe1, 0x46, 0xa5, 0x8a, 0x71, 0x19, 0x8a, 0x0b, 0x37, 0x21, 0xc9,
		0xfc, 0x36, 0x83, 0x76, 0xa6, 0xcc, 0x4c, 0x82, 0x3e, 0x8b, 0x8f, 0xe0, 0x4b, 0x4a, 0x26, 0xd3,
		0x96, 0x58, 0x17, 0xdd, 0xe5, 0xcc, 0x9c, 0xf3, 0xfd, 0x27, 0xc9, 0x8f, 0x4e, 0xf2, 0x04, 0xa4,
		0x97, 0xc6, 0x14, 0x78, 0x0a, 0x9e, 0xca, 0x62, 0x09, 0xd4, 0x2b, 0x7c, 0x2f, 0x63, 0x4a, 0x0b,
		0xf9, 0x41, 0x96, 0x52, 0x68, 0x81, 0x0f, 0x4b, 0x17, 0xb1, 0x2e, 0x52, 0xb9, 0x48, 0xe1, 0x0f,
		0x46, 0xb5, 0x74, 0xbc, 0x64, 0x5b, 0x51, 0xf7, 0xcb, 0x41, 0x07, 0x33, 0x19, 0x73, 0xc5, 0x80,
		0xeb, 0x29, 0xa4, 0x4c, 0x31, 0xc1, 0x03, 0xfe, 0x22, 0xf0, 0x23, 0xda, 0x53, 0x69, 0x06, 0x34,
		0x7f, 0x03, 0x1a, 0x41, 0x01, 0x5c, 0xf7, 0x9d, 0xa1, 0x33, 0xee, 0x4c, 0x46, 0xa4, 0x36, 0x2e,
		0x5e, 0x32, 0x52, 0xf8, 0xe4, 0xa1, 0xc2, 0xde, 0x95, 0xc6, 0xb0, 0xb7, 0x4e, 0x1a, 0x8d, 0xef,
		0xd1, 0x7f, 0xa5, 0x63, 0xa9, 0xd7, 0xa4, 0xc6, 0xae, 0xa4, 0xae, 0xcd, 0x19, 0xe5, 0x06, 0x08,
		0x3f, 0x81, 0x2c, 0x2b, 0x5a, 0x53, 0xa0, 0x61, 0x81, 0x8f, 0xd0, 0x5f, 0x43, 0x8d, 0x18, 0x35,
		0x15, 0x9b, 0x61, 0xdb, 0xe8, 0x80, 0xe2, 0x3e, 0x6a, 0x17, 0x55, 0xc0, 0x8c, 0x6c, 0x86, 0x2b,
		0xe9, 0xe6, 0xa8, 0x57, 0x47, 0xe1, 0x11, 0xea, 0x26, 0x32, 0xe6, 0x69, 0x16, 0x69, 0xf1, 0x0a,
		0xdc, 0xa0, 0xba, 0x61, 0xa7, 0x3a, 0x9b, 0x95, 0x47, 0xf8, 0x1a, 0xb5, 0x98, 0x86, 0x85, 0xea,
		0x37, 0x86, 0xcd, 0x71, 0x67, 0x72, 0x46, 0x7e, 0xff, 0xf0, 0x64, 0xbb, 0x64, 0x58, 0x05, 0xdd,
		0x4f, 0x07, 0xed, 0xd7, 0x6e, 0x19, 0x28, 0x7c, 0x83, 0x8e, 0xd3, 0x5c, 0xca, 0xf2, 0x15, 0x6c,
		0xbd, 0xc8, 0xfe, 0xa5, 0x88, 0x71, 0x0a, 0xef, 0xa6, 0x4a, 0x2b, 0x1c, 0x58, 0xd3, 0x0f, 0x7a,
		0xe9, 0xc0, 0x53, 0xf4, 0x2f, 0x5b, 0xf1, 0x6c, 0xbb, 0xd3, 0xdd, 0xda, 0x85, 0x9b, 0xe0, 0xed,
		0xe5, 0xf3, 0xc5, 0x9c, 0xe9, 0x2c, 0x4f, 0x48, 0x2a, 0x16, 0x5e, 0x6d, 0x7b, 0xc8, 0x1c, 0xb8,
		0x67, 0x76, 0x66, 0xb3, 0x86, 0x57, 0xd5, 0x53, 0xe1, 0x27, 0x7f, 0xcc, 0xcd, 0xf9, 0x77, 0x00,
		0x00, 0x00, 0xff, 0xff, 0x84, 0xb4, 0x3e, 0x6c, 0xb0, 0x02, 0x00, 0x00,
	},
	// uber/cadence/api/v1/history.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xec, 0x5c, 0x5f, 0x6c, 0x1c, 0x57,
		0xd5, 0xef, 0xec, 0xda, 0xbb, 0xde, 0xb3, 0x8e, 0x63, 0xdf, 0x24, 0x8e, 0x9d, 0xbf, 0xce, 0x24,
		0x4d, 0x5c, 0xc7, 0x59, 0x27, 0x4e, 0x9a, 0x7c, 0x69, 0xbe, 0xb6, 0x38, 0x8e, 0xad, 0xae, 0x64,
		0x92, 0x68, 0xe2, 0xa4, 0x80, 0x90, 0x96, 0xf1, 0xcc, 0x75, 0x3c, 0xf2, 0xee, 0xcc, 0x76, 0x66,
		0xd6, 0x1b, 0x23, 0xf1, 0xc4, 0x03, 0x12, 0x6a, 0x05, 0x55, 0x85, 0x44, 0x05, 0x08, 0x04, 0x02,
		0xb5, 0x08, 0xa9, 0x08, 0x84, 0x00, 0xf1, 0x02, 0x48, 0x08, 0x24, 0x50, 0xe1, 0x89, 0x17, 0x5e,
		0x78, 0xe0, 0x81, 0xbe, 0xf1, 0x40, 0x79, 0x43, 0x42, 0x73, 0xe7, 0xce, 0xee, 0xce, 0xcc, 0xbd,
		0x33, 0x77, 0xd6, 0x9b, 0x16, 0xd4, 0xbc, 0x79, 0xee, 0x9c, 0x7b, 0xe6, 0x77, 0xcf, 0x3d, 0xe7,
		0xdc, 0x73, 0xcf, 0x39, 0x6b, 0x38, 0xd5, 0xda, 0xc0, 0xf6, 0x82, 0xa6, 0xea, 0xd8, 0xd4, 0xf0,
		0x82, 0xda, 0x34, 0x16, 0x76, 0x2e, 0x2d, 0x6c, 0x19, 0x8e, 0x6b, 0xd9, 0xbb, 0x95, 0xa6, 0x6d,
		0xb9, 0x16, 0x3a, 0xe0, 0x91, 0x54, 0x28, 0x49, 0x45, 0x6d, 0x1a, 0x95, 0x9d, 0x4b, 0x47, 0x4e,
		0x3c, 0xb4, 0xac, 0x87, 0x75, 0xbc, 0x40, 0x48, 0x36, 0x5a, 0x9b, 0x0b, 0x7a, 0xcb, 0x56, 0x5d,
		0xc3, 0x32, 0xfd, 0x49, 0x47, 0x4e, 0x46, 0xdf, 0xbb, 0x46, 0x03, 0x3b, 0xae, 0xda, 0x68, 0x52,
		0x82, 0x19, 0xd6, 0x87, 0x35, 0xab, 0xd1, 0xe8, 0xb0, 0x90, 0x59, 0x14, 0xae, 0xea, 0x6c, 0xd7,
		0x0d, 0xc7, 0x4d, 0xa2, 0x69, 0x5b, 0xf6, 0xf6, 0x66, 0xdd, 0x6a, 0xfb, 0x34, 0xf2, 0x2d, 0x28,
		0xbe, 0xe4, 0x2f, 0x08, 0x5d, 0x87, 0x02, 0xde, 0xc1, 0xa6, 0xeb, 0x4c, 0x49, 0x33, 0xf9, 0xd9,
		0xf2, 0xe2, 0xa9, 0x0a, 0x63, 0x6d, 0x15, 0x4a, 0xbd, 0xe2, 0x51, 0x2a, 0x74, 0x82, 0xfc, 0xde,
		0x35, 0x18, 0xed, 0x7d, 0x81, 0xa6, 0x61, 0x84, 0xbc, 0xaa, 0x19, 0xfa, 0x94, 0x34, 0x23, 0xcd,
		0xe6, 0x95, 0x22, 0x79, 0xae, 0xea, 0xe8, 0x3a, 0x80, 0xff, 0xca, 0x5b, 0xf4, 0x54, 0x6e, 0x46,
		0x9a, 0x2d, 0x2f, 0x1e, 0xa9, 0xf8, 0x12, 0xa9, 0x04, 0x12, 0xa9, 0xac, 0x07, 0x12, 0x51, 0x4a,
		0x84, 0xda, 0x7b, 0x46, 0x53, 0x50, 0xdc, 0xc1, 0xb6, 0x63, 0x58, 0xe6, 0x54, 0xde, 0x67, 0x4a,
		0x1f, 0xd1, 0x61, 0x28, 0x7a, 0x8b, 0xf7, 0x3e, 0x37, 0x44, 0xde, 0x14, 0xbc, 0xc7, 0xaa, 0x8e,
		0xbe, 0x2e, 0xc1, 0xf9, 0x60, 0xc9, 0x35, 0xfc, 0x08, 0x6b, 0x2d, 0x6f, 0x1f, 0x6a, 0x8e, 0xab,
		0xda, 0x2e, 0xd6, 0x6b, 0x3e, 0x12, 0xd5, 0x75, 0x6d, 0x63, 0xa3, 0xe5, 0x62, 0x67, 0x6a, 0x98,
		0xe0, 0xf9, 0x7f, 0xe6, 0xd2, 0x5f, 0xa6, 0x7c, 0x56, 0x02, 0x36, 0xf7, 0x7c, 0x2e, 0x64, 0xc9,
		0x4b, 0x1d, 0x1e, 0x2f, 0x3d, 0xa5, 0x9c, 0x6b, 0x8b, 0x91, 0xa2, 0x6f, 0x4b, 0x70, 0x81, 0x01,
		0x4f, 0xb3, 0x1a, 0xcd, 0x3a, 0x66, 0x02, 0x2c, 0x10, 0x80, 0x2f, 0x88, 0x01, 0x5c, 0x0e, 0xf8,
		0xc4, 0x21, 0x3e, 0xd3, 0x16, 0x25, 0x46, 0x6f, 0x4a, 0x30, 0xc7, 0x00, 0xb9, 0xa9, 0x1a, 0x75,
		0x16, 0xc2, 0x22, 0x41, 0x78, 0x43, 0x0c, 0xe1, 0x2a, 0x61, 0x12, 0x87, 0x77, 0xb6, 0x2d, 0x44,
		0x89, 0xbe, 0xc5, 0x16, 0xa0, 0xa7, 0x5b, 0x7a, 0xcd, 0x6a, 0xb9, 0x71, 0x78, 0x23, 0x04, 0xde,
		0xf3, 0x62, 0xf0, 0x3c, 0xb5, 0xd3, 0xef, 0xb4, 0xdc, 0x38, 0xc0, 0xd9, 0xb6, 0x20, 0x2d, 0x7a,
		0x43, 0x82, 0x59, 0x1d, 0x6b, 0x86, 0x43, 0x80, 0x79, 0x5a, 0xea, 0x68, 0x5b, 0x58, 0x6f, 0x31,
		0x85, 0x57, 0x22, 0xe8, 0xae, 0x33, 0xd1, 0xdd, 0xa2, 0x4c, 0xd6, 0x55, 0x67, 0xfb, 0x5e, 0xc0,
		0x22, 0x8e, 0xec, 0x8c, 0x2e, 0x40, 0x87, 0x5e, 0x93, 0xe0, 0x6c, 0x04, 0x15, 0xcf, 0x26, 0x80,
		0x60, 0xba, 0x96, 0x8e, 0x89, 0x67, 0x0e, 0xb2, 0x9e, 0x4a, 0xc5, 0x90, 0x52, 0x82, 0x11, 0x94,
		0x05, 0xa5, 0x94, 0xa0, 0xff, 0x21, 0x29, 0x71, 0x55, 0xff, 0xf5, 0x18, 0xaa, 0x04, 0xcd, 0x1a,
		0x25, 0xa8, 0xfe, 0x2f, 0x15, 0x15, 0x5f, 0xa9, 0x4e, 0xeb, 0xe9, 0x64, 0xe8, 0x8b, 0x12, 0x3c,
		0x1d, 0xc6, 0xc4, 0xb3, 0xc4, 0x7d, 0x04, 0xd0, 0xd5, 0x54, 0x40, 0x3c, 0x23, 0x3c, 0xa5, 0xa7,
		0x11, 0x91, 0x6d, 0x53, 0x35, 0xd7, 0xd8, 0x31, 0xdc, 0xdd, 0x54, 0xe5, 0x1e, 0x4b, 0xd8, 0xb6,
		0x25, 0xca, 0x24, 0x4d, 0xb9, 0x55, 0x01, 0x3a, 0xa2, 0xdc, 0x11, 0x54, 0x3c, 0xe5, 0xde, 0x9f,
		0xa0, 0xdc, 0x21, 0x4c, 0x5c, 0xe5, 0x56, 0x53, 0xa9, 0x18, 0x52, 0x4a, 0x50, 0xee, 0x71, 0x41,
		0x29, 0x25, 0x29, 0xb7, 0x2a, 0x40, 0x47, 0x14, 0x29, 0x8c, 0x8a, 0xa7, 0x48, 0x13, 0x09, 0x8a,
		0xd4, 0x0b, 0x89, 0xab, 0x48, 0x6a, 0x1a, 0x11, 0xb1, 0xb4, 0x30, 0x98, 0x04, 0x4b, 0x43, 0x09,
		0x96, 0xd6, 0x8b, 0x27, 0xc1, 0xd2, 0xd4, 0x74, 0x32, 0xd4, 0x86, 0x13, 0x1e, 0x08, 0x9b, 0xaf,
		0x3d, 0x07, 0x08, 0x90, 0x8b, 0x4c, 0x20, 0x1e, 0x57, 0x9b, 0xab, 0x36, 0x47, 0x5d, 0xfe, 0x6b,
		0xf4, 0x0a, 0x1c, 0xf3, 0x3f, 0xbc, 0x69, 0xd8, 0xac, 0xcf, 0x1e, 0x24, 0x9f, 0xad, 0xf0, 0x3f,
		0xbb, 0xea, 0xcd, 0x8b, 0x7f, 0x74, 0xda, 0xe5, 0xbd, 0x44, 0xdf, 0x93, 0x60, 0x21, 0xa2, 0xa2,
		0xaa, 0xa9, 0xe1, 0x7a, 0xcd, 0xc6, 0xaf, 0xb4, 0xb0, 0xc3, 0x5c, 0xfd, 0x21, 0x02, 0xe3, 0xc5,
		0x74, 0x4d, 0x25, 0x9c, 0x94, 0x80, 0x51, 0x1c, 0xd7, 0x9c, 0x2a, 0x4c, 0x8d, 0x7e, 0x2c, 0xc1,
		0x15, 0x8a, 0x29, 0x80, 0x28, 0xa6, 0xc4, 0x93, 0x04, 0xed, 0x32, 0x13, 0x2d, 0xfd, 0x9a, 0xff,
		0x69, 0x11, 0x8d, 0xae, 0xd8, 0x99, 0x66, 0xa0, 0x2f, 0x4b, 0x70, 0x8e, 0x25, 0x5e, 0x16, 0xd0,
		0xc3, 0x82, 0xda, 0xbd, 0x4c, 0x39, 0xa4, 0x68, 0x37, 0x87, 0x0c, 0x7d, 0x16, 0x4e, 0xfa, 0x4a,
		0xc6, 0x47, 0x32, 0x45, 0x90, 0x5c, 0xe2, 0xeb, 0x19, 0x1f, 0x82, 0xaf, 0xc0, 0xbc, 0x6f, 0x7f,
		0x41, 0x82, 0x33, 0x74, 0xf3, 0xa8, 0xa2, 0x73, 0x36, 0x6d, 0x9a, 0x20, 0x78, 0x96, 0x89, 0xc0,
		0x67, 0xee, 0xeb, 0x3b, 0x67, 0x9b, 0x66, 0xb4, 0x14, 0x1a, 0xf4, 0x39, 0x98, 0x69, 0xa8, 0xf6,
		0x36, 0xb6, 0x6b, 0x36, 0xd6, 0x2c, 0x5b, 0x67, 0x81, 0x38, 0x42, 0x40, 0x2c, 0x32, 0x41, 0x7c,
		0x9c, 0x4c, 0x56, 0xe8, 0xdc, 0x38, 0x82, 0xe3, 0x8d, 0x24, 0x02, 0xf4, 0x4d, 0x09, 0xe6, 0x59,
		0xf7, 0x13, 0xe3, 0xa1, 0xa9, 0x32, 0x05, 0x72, 0x34, 0x4b, 0xf8, 0x7a, 0x8f, 0xb2, 0x11, 0x09,
		0x5f, 0x39, 0xb4, 0xe8, 0xbb, 0x12, 0x54, 0x58, 0x11, 0x36, 0xb6, 0x1b, 0x86, 0xa9, 0x32, 0xfd,
		0xc2, 0xb1, 0x04, 0xbf, 0x10, 0x0f, 0xb1, 0x3b, 0x8c, 0x18, 0x7e, 0xa1, 0x2d, 0x4c, 0x8d, 0x7e,
		0x22, 0xc1, 0x15, 0xd6, 0x55, 0x2a, 0xd5, 0x8b, 0x1d, 0x27, 0x68, 0x6f, 0x09, 0xde, 0xa8, 0xd2,
		0x5c, 0xd9, 0x42, 0x3b, 0xdb, 0x14, 0x9e, 0x06, 0xf0, 0x8d, 0xf2, 0x44, 0x16, 0x0d, 0xe0, 0x1b,
		0xe8, 0x6c, 0x5b, 0x90, 0x16, 0xfd, 0x4d, 0x82, 0x95, 0x88, 0xc7, 0xc5, 0x8f, 0x5c, 0x6c, 0x9b,
		0x6a, 0xbd, 0xc6, 0x40, 0x6e, 0x98, 0x86, 0x6b, 0xb0, 0x15, 0xe3, 0x24, 0x81, 0x7e, 0x2f, 0xdd,
		0x05, 0xaf, 0x50, 0xfe, 0xb1, 0xf5, 0x54, 0x03, 0xe6, 0xf1, 0x05, 0xbd, 0x60, 0xef, 0x89, 0x03,
		0xfa, 0x8b, 0x04, 0x37, 0x33, 0x2c, 0x93, 0xe7, 0xb1, 0x66, 0xc8, 0x1a, 0xef, 0xee, 0x61, 0x8d,
		0x3c, 0x67, 0x76, 0xc3, 0xee, 0x7f, 0x3a, 0x7a, 0x57, 0x82, 0xe7, 0x93, 0x96, 0x93, 0x6e, 0x27,
		0xa7, 0xc8, 0xc2, 0xd6, 0x98, 0x0b, 0xe3, 0x82, 0x49, 0xb5, 0x97, 0x6b, 0xb8, 0xbf, 0xa9, 0x24,
		0x0e, 0x60, 0xa6, 0x4e, 0x4c, 0xd7, 0x30, 0x5b, 0x58, 0xaf, 0xa9, 0x4e, 0xcd, 0xc4, 0xed, 0xf8,
		0x3a, 0xe4, 0x84, 0x38, 0x80, 0x91, 0x41, 0xa1, 0xec, 0x96, 0x9c, 0xdb, 0xb8, 0xcd, 0x88, 0x03,
		0xda, 0x99, 0x66, 0xa0, 0x5f, 0x4b, 0x70, 0x9d, 0x44, 0x93, 0x35, 0x6d, 0xcb, 0xa8, 0xeb, 0x19,
		0xed, 0xe7, 0x34, 0x81, 0xfe, 0x12, 0x13, 0x3a, 0x09, 0x25, 0x97, 0x3d, 0xa6, 0x59, 0x8c, 0xe6,
		0xb2, 0x93, 0x7d, 0x1a, 0xfa, 0xb9, 0x04, 0x57, 0x53, 0x16, 0xc1, 0xb3, 0x8e, 0x33, 0x64, 0x05,
		0x2b, 0x59, 0x57, 0xc0, 0x33, 0x89, 0x8b, 0x4e, 0xc6, 0x39, 0xe8, 0x07, 0x12, 0x5c, 0xe2, 0xa2,
		0xe6, 0xc6, 0xf9, 0x4f, 0x13, 0xd8, 0x4b, 0xec, 0x30, 0x84, 0xf9, 0x75, 0x6e, 0xe0, 0x3f, 0xaf,
		0x65, 0xa0, 0x47, 0x3f, 0x92, 0xe0, 0x32, 0x17, 0x6e, 0xc2, 0x25, 0xf2, 0x6c, 0x82, 0x92, 0xb3,
		0x01, 0x27, 0x5c, 0x27, 0x2b, 0x5a, 0xa6, 0x19, 0xe8, 0x6d, 0x09, 0x2e, 0x66, 0xd6, 0x8c, 0x73,
		0x04, 0xf1, 0xc7, 0x32, 0x20, 0xe6, 0x29, 0xc5, 0x79, 0x2d, 0x83, 0x3e, 0xbc, 0x23, 0xc1, 0x22,
		0x5f, 0xc0, 0xdc, 0x43, 0x78, 0x96, 0xa0, 0xbd, 0x99, 0x45, 0xbe, 0xdc, 0x93, 0xf8, 0x82, 0x96,
		0x65, 0x02, 0xfa, 0x61, 0x92, 0x4a, 0x24, 0x5c, 0x9a, 0x9f, 0xc9, 0x0c, 0x99, 0x7f, 0x7d, 0xe6,
		0x40, 0xe6, 0x5d, 0xa4, 0xbd, 0xd8, 0x8c, 0x0f, 0x39, 0x21, 0x92, 0x9c, 0x4b, 0x88, 0xcd, 0x38,
		0x98, 0x13, 0xc2, 0xc9, 0x05, 0x2d, 0xdb, 0x14, 0x72, 0x68, 0xfa, 0xa1, 0x78, 0xbf, 0x11, 0xcf,
		0xf9, 0x84, 0x43, 0xd3, 0x8f, 0xb8, 0xfb, 0x09, 0x75, 0xae, 0x39, 0xfd, 0x4d, 0x45, 0xbf, 0x91,
		0xe0, 0x39, 0x81, 0x05, 0xf1, 0x6c, 0x74, 0x9e, 0xac, 0xa6, 0xda, 0xcf, 0x6a, 0x78, 0xc6, 0x7a,
		0xc5, 0xe9, 0x63, 0x1e, 0xfa, 0x99, 0x04, 0xcf, 0x26, 0x2d, 0x80, 0x7f, 0x7f, 0xba, 0x90, 0x70,
		0x00, 0x71, 0x41, 0xf0, 0xef, 0x51, 0x17, 0x71, 0xc6, 0x39, 0xc4, 0xe1, 0xb4, 0x9a, 0x0e, 0xb6,
		0xdd, 0x2e, 0x70, 0x07, 0xab, 0xb6, 0xb6, 0xd5, 0x03, 0x33, 0x8e, 0xbb, 0x92, 0x60, 0xbd, 0xf7,
		0x09, 0xbb, 0x00, 0xc1, 0x3d, 0xc2, 0xac, 0xfb, 0x45, 0x86, 0xf5, 0xb6, 0xb2, 0x4c, 0xb8, 0x39,
		0x0a, 0xd0, 0x05, 0x22, 0xff, 0xb5, 0x0c, 0xe7, 0x44, 0x4f, 0xaf, 0x55, 0xd8, 0xd7, 0x59, 0xa3,
		0xbb, 0xdb, 0xc4, 0xa4, 0x16, 0xc8, 0xab, 0x2c, 0x06, 0x4c, 0xd7, 0x77, 0x9b, 0x58, 0x19, 0x6d,
		0xf7, 0x3c, 0xa1, 0x4f, 0xc3, 0xa1, 0xa6, 0x6a, 0x7b, 0x12, 0xe9, 0x35, 0xba, 0x4d, 0x8b, 0x96,
		0x0f, 0x67, 0x99, 0xfc, 0xee, 0x92, 0x19, 0x3d, 0x36, 0xb1, 0x69, 0x29, 0x07, 0x9a, 0xf1, 0x41,
		0xf4, 0x1c, 0x94, 0x48, 0x46, 0xa6, 0x6e, 0x38, 0x2e, 0x29, 0x2c, 0x96, 0x17, 0x8f, 0xb3, 0x53,
		0x1e, 0xaa, 0xb3, 0xbd, 0x66, 0x38, 0xae, 0x32, 0xe2, 0xd2, 0xbf, 0xd0, 0x22, 0x0c, 0x1b, 0x66,
		0xb3, 0xe5, 0x92, 0xb2, 0x63, 0x79, 0xf1, 0x18, 0x07, 0xc9, 0x6e, 0xdd, 0x52, 0x75, 0xc5, 0x27,
		0x45, 0x2a, 0xcc, 0x44, 0x42, 0x8e, 0x9a, 0x6b, 0xd5, 0xb4, 0xba, 0xe5, 0x60, 0xe2, 0xbf, 0xad,
		0x96, 0x4b, 0xeb, 0x90, 0xd3, 0xb1, 0xba, 0xe8, 0x2d, 0x5a, 0x49, 0x56, 0x8e, 0xe1, 0x90, 0xec,
		0xd7, 0xad, 0x65, 0x6f, 0xfe, 0xba, 0x3f, 0x1d, 0xbd, 0x0c, 0x47, 0xbb, 0x69, 0xef, 0x38, 0xf7,
		0x42, 0x1a, 0xf7, 0xc3, 0x6e, 0x90, 0xcc, 0x8e, 0x30, 0xbe, 0x01, 0x47, 0xba, 0x11, 0x76, 0x77,
		0x15, 0x76, 0xcb, 0xac, 0x19, 0x3a, 0x29, 0xfd, 0x95, 0x94, 0xc3, 0x1d, 0x8a, 0x8e, 0x9c, 0x95,
		0x96, 0x59, 0xd5, 0x51, 0x15, 0x4a, 0xd4, 0x55, 0x5a, 0x36, 0xa9, 0xc3, 0x8d, 0x2d, 0x9e, 0x67,
		0xbb, 0x76, 0xca, 0x80, 0x84, 0xd0, 0xd5, 0x60, 0x8a, 0xd2, 0x9d, 0x8d, 0xaa, 0x30, 0xd1, 0xc5,
		0xe1, 0xb9, 0xab, 0x96, 0x8d, 0x69, 0xf1, 0x8c, 0xbd, 0x07, 0xab, 0x3e, 0x8d, 0x32, 0xde, 0x99,
		0x46, 0x47, 0x90, 0x02, 0x93, 0x75, 0xd5, 0xbb, 0xf3, 0xf9, 0xe1, 0x0c, 0x59, 0x0e, 0x76, 0x5a,
		0x75, 0x97, 0x16, 0xbe, 0x92, 0xf7, 0xf4, 0xa0, 0x37, 0x77, 0xb9, 0x33, 0x55, 0x21, 0x33, 0xd1,
		0x75, 0x98, 0xb6, 0x6c, 0xe3, 0xa1, 0xe1, 0x3b, 0xda, 0x88, 0x94, 0xca, 0x44, 0x4a, 0x93, 0x01,
		0x41, 0x44, 0x48, 0x47, 0x60, 0xc4, 0xd0, 0xb1, 0xe9, 0x1a, 0xee, 0x2e, 0xa9, 0x28, 0x95, 0x94,
		0xce, 0x33, 0xba, 0x0c, 0x93, 0x9b, 0x86, 0xed, 0xb8, 0x71, 0x9e, 0xfb, 0x08, 0xe5, 0x01, 0xf2,
		0x36, 0xc2, 0x70, 0x19, 0x46, 0x6d, 0xec, 0xda, 0xbb, 0xb5, 0xa6, 0x55, 0x37, 0xb4, 0x5d, 0x5a,
		0x85, 0x99, 0xe1, 0x5c, 0x50, 0x5d, 0x7b, 0xf7, 0x2e, 0xa1, 0x53, 0xca, 0x76, 0xf7, 0x01, 0x4d,
		0x41, 0x51, 0x75, 0x5d, 0xdc, 0x68, 0xba, 0xa4, 0x62, 0x32, 0xac, 0x04, 0x8f, 0x68, 0x19, 0xf6,
		0xe3, 0x47, 0x4d, 0xc3, 0x57, 0x1c, 0xbf, 0xa8, 0x3f, 0x9e, 0x5a, 0xd4, 0x1f, 0xeb, 0x4e, 0x21,
		0x95, 0xfd, 0xd3, 0xb0, 0x4f, 0xb3, 0x3d, 0x6b, 0xa0, 0x15, 0x1d, 0x52, 0x71, 0x28, 0x29, 0xa3,
		0xde, 0x60, 0x50, 0xe5, 0x41, 0x9f, 0x80, 0xa3, 0xfe, 0xea, 0xc3, 0xd5, 0xaf, 0x0d, 0x55, 0xdb,
		0xb6, 0x36, 0x37, 0x69, 0x51, 0x20, 0x41, 0xa9, 0xa7, 0xc8, 0xec, 0xde, 0xc2, 0xd7, 0x4d, 0x7f,
		0x2a, 0xba, 0x00, 0x43, 0x0d, 0xdc, 0xb0, 0x68, 0x3a, 0x7f, 0x9a, 0x9d, 0xe8, 0xc3, 0x0d, 0x4b,
		0x21, 0x64, 0x48, 0x81, 0x89, 0x98, 0xc7, 0xa6, 0x39, 0xf9, 0xa7, 0xd9, 0x67, 0x63, 0xc4, 0xc3,
		0x2a, 0xe3, 0x4e, 0x64, 0x04, 0xdd, 0x87, 0xc9, 0xa6, 0x8d, 0x77, 0x6a, 0x6a, 0xcb, 0xb5, 0x3c,
		0xfd, 0xc3, 0x6e, 0xad, 0x69, 0x19, 0xa6, 0x1b, 0x64, 0xd9, 0x79, 0xfb, 0xe5, 0x60, 0xf7, 0x2e,
		0xa1, 0x53, 0x0e, 0x78, 0xf3, 0x97, 0x5a, 0xae, 0xd5, 0x33, 0x88, 0x2e, 0x43, 0x61, 0x0b, 0xab,
		0x3a, 0xb6, 0x69, 0xfa, 0xfb, 0x28, 0xbb, 0xa9, 0x83, 0x90, 0x28, 0x94, 0x54, 0x7e, 0x5b, 0x82,
		0x67, 0xc4, 0xa3, 0xfd, 0x2b, 0x50, 0xa0, 0xf6, 0x22, 0x09, 0xd8, 0x0b, 0xa5, 0x45, 0xab, 0x30,
		0x93, 0x5c, 0xee, 0x35, 0x74, 0xe2, 0xdd, 0xf3, 0xca, 0x31, 0x7e, 0xa5, 0xb6, 0xaa, 0xcb, 0x6f,
		0x49, 0x70, 0x56, 0x30, 0x68, 0xb8, 0x0a, 0xc5, 0xc0, 0x53, 0x48, 0x02, 0x9e, 0x22, 0x20, 0x1e,
		0x18, 0x54, 0x0b, 0x66, 0x85, 0x23, 0xe6, 0x65, 0x18, 0xa5, 0xce, 0xba, 0x7b, 0x70, 0x8e, 0x71,
		0x94, 0x80, 0xfa, 0x66, 0x72, 0x6e, 0x96, 0xdd, 0xee, 0x83, 0xfc, 0x07, 0x09, 0xce, 0x88, 0x34,
		0x0d, 0x84, 0x4f, 0x40, 0x29, 0xdb, 0x09, 0x78, 0x1b, 0x26, 0x39, 0xa7, 0x4c, 0x2e, 0xcd, 0x20,
		0x0f, 0x38, 0x8c, 0x13, 0xa6, 0xc7, 0xd3, 0xe4, 0x43, 0x9e, 0x46, 0x7e, 0x4d, 0x02, 0x39, 0xbd,
		0xdf, 0x00, 0xcd, 0x03, 0x8a, 0xd6, 0xa0, 0x3b, 0x5d, 0x48, 0xe3, 0x4e, 0x48, 0x04, 0x11, 0x77,
		0x9b, 0x8b, 0xb8, 0xdb, 0xe3, 0x00, 0x41, 0x42, 0xd0, 0xd0, 0x09, 0x9a, 0x92, 0x52, 0xa2, 0x23,
		0x55, 0x5d, 0xfe, 0x47, 0x44, 0xbc, 0x5c, 0x0b, 0xc9, 0x86, 0x68, 0x16, 0xc6, 0xc3, 0x79, 0x88,
		0x8e, 0x7a, 0x8d, 0x39, 0x3d, 0x2b, 0x8e, 0x60, 0xcf, 0x47, 0xb0, 0x9f, 0x83, 0xfd, 0x1b, 0x86,
		0xa9, 0xda, 0xbb, 0x35, 0x6d, 0x0b, 0x6b, 0xdb, 0x4e, 0xab, 0x41, 0x42, 0x94, 0x92, 0x32, 0xe6,
		0x0f, 0x2f, 0xd3, 0x51, 0x74, 0x1e, 0x26, 0xc2, 0xd9, 0x33, 0xfc, 0xc8, 0x0f, 0x3f, 0x46, 0x95,
		0x71, 0xdc, 0x9b, 0xd4, 0xc2, 0x8f, 0x5c, 0xf9, 0xd5, 0x3c, 0x9c, 0x16, 0x68, 0x65, 0x78, 0x6c,
		0x2b, 0x8e, 0x9a, 0x45, 0xbe, 0x0f, 0xb3, 0x40, 0x27, 0xa0, 0xbc, 0xa1, 0x3a, 0x38, 0x38, 0x3a,
		0x7d, 0xb1, 0x94, 0xbc, 0x21, 0xff, 0xc0, 0x3c, 0x06, 0x60, 0xe2, 0x76, 0xf0, 0x7a, 0xd8, 0x17,
		0xac, 0x89, 0xdb, 0xfe, 0xdb, 0x79, 0x40, 0x9b, 0x96, 0xbd, 0x4d, 0x91, 0x06, 0xfd, 0x68, 0x05,
		0x7f, 0x69, 0xde, 0x1b, 0x82, 0xf5, 0x01, 0x6d, 0x4c, 0x9b, 0xf4, 0x9c, 0xa3, 0xea, 0x58, 0x26,
		0x8d, 0x8d, 0xe8, 0x13, 0xba, 0x05, 0xc3, 0x9a, 0xda, 0x72, 0x30, 0x0d, 0x83, 0x2a, 0xc2, 0x4d,
		0x23, 0xcb, 0xde, 0x2c, 0xc5, 0x9f, 0x2c, 0xbf, 0x95, 0x87, 0x53, 0xa9, 0x8d, 0x1c, 0x8f, 0x6d,
		0x33, 0x6e, 0x06, 0x6b, 0xf0, 0x77, 0x61, 0x5e, 0xb0, 0xcf, 0xa4, 0x77, 0x05, 0xbd, 0x3e, 0x79,
		0x28, 0x8b, 0x4f, 0xee, 0x55, 0xfd, 0xe1, 0x88, 0xea, 0x47, 0xf6, 0xb7, 0x90, 0xbc, 0xbf, 0x45,
		0xa1, 0xfd, 0x1d, 0xe1, 0xec, 0x2f, 0xc3, 0xcc, 0x4a, 0x2c, 0x33, 0x93, 0xbf, 0x51, 0x80, 0x33,
		0x22, 0x3d, 0x2e, 0xe8, 0x24, 0x94, 0x3b, 0x85, 0x62, 0xba, 0x4d, 0x25, 0x05, 0x82, 0xa1, 0xaa,
		0xee, 0x5d, 0xaa, 0xba, 0x95, 0x64, 0xcf, 0x08, 0x72, 0x09, 0x97, 0xaa, 0xce, 0x27, 0xc9, 0xa5,
		0x4a, 0xed, 0x79, 0xf2, 0x54, 0x53, 0xb7, 0x1a, 0xaa, 0x61, 0x52, 0xdf, 0x41, 0x9f, 0xc2, 0x87,
		0xc1, 0x50, 0x9f, 0xd7, 0xa1, 0x82, 0xf8, 0x75, 0x68, 0x1d, 0xa6, 0x03, 0x25, 0x8c, 0x9f, 0x21,
		0xc5, 0xb4, 0x33, 0x64, 0x32, 0x98, 0x1b, 0x39, 0x46, 0x22, 0x5c, 0xe9, 0x11, 0x45, 0xb9, 0x8e,
		0x64, 0xe0, 0xea, 0xdf, 0x82, 0x28, 0x57, 0xfe, 0x61, 0x57, 0xea, 0xeb, 0xb0, 0x5b, 0x85, 0x89,
		0x2d, 0xac, 0xda, 0xee, 0x06, 0x56, 0xbb, 0xe8, 0x20, 0x8d, 0xd5, 0x78, 0x67, 0x4e, 0x97, 0x4f,
		0x7a, 0x88, 0x52, 0x4e, 0x0f, 0x51, 0x62, 0x77, 0x85, 0xd1, 0x7e, 0xee, 0x0a, 0xdd, 0x98, 0x73,
		0x9f, 0x78, 0xcc, 0xf9, 0x77, 0x09, 0xe4, 0xf4, 0x7e, 0xab, 0x0f, 0xec, 0x70, 0xef, 0x0d, 0x43,
		0x86, 0xc2, 0x17, 0x9e, 0x17, 0x61, 0x94, 0xdc, 0x17, 0x03, 0xbf, 0x35, 0x2c, 0xe0, 0xb7, 0xca,
		0xde, 0x0c, 0xfa, 0x20, 0xff, 0x49, 0x0a, 0xbb, 0x82, 0x01, 0x47, 0xd6, 0x6c, 0x11, 0xe5, 0x32,
		0xb8, 0xfb, 0x7c, 0x6a, 0xb4, 0x31, 0x14, 0x16, 0xa6, 0xfc, 0x47, 0x09, 0x4e, 0xa5, 0x37, 0xc1,
		0xf4, 0x1b, 0x80, 0x7f, 0x18, 0x2b, 0xfa, 0x45, 0x0e, 0x4e, 0x0b, 0xb4, 0x92, 0x79, 0x6b, 0xd2,
		0xb1, 0xab, 0x1a, 0x75, 0x47, 0x68, 0x93, 0x02, 0xe2, 0xc7, 0xb6, 0xa6, 0x68, 0x84, 0x34, 0xd4,
		0x4f, 0x84, 0xb4, 0x67, 0x15, 0xff, 0x8a, 0x04, 0x73, 0xe2, 0x1d, 0x60, 0x22, 0x67, 0xde, 0x60,
		0xae, 0x60, 0xef, 0x48, 0x90, 0xb1, 0xd7, 0x2b, 0x1d, 0xdb, 0xc1, 0x20, 0x0c, 0xf2, 0x3d, 0x0c,
		0x0d, 0x6c, 0x44, 0x10, 0xe7, 0x05, 0x10, 0xbf, 0x19, 0xd1, 0x43, 0x5e, 0x55, 0xa8, 0x5f, 0x3d,
		0x5c, 0x85, 0x99, 0xba, 0xea, 0xf6, 0xf4, 0x3c, 0x44, 0x3b, 0x00, 0xba, 0x92, 0xf5, 0xe9, 0x58,
		0x5b, 0xe9, 0x87, 0x4d, 0x0c, 0x7d, 0xce, 0x67, 0xd0, 0xe7, 0xa1, 0x54, 0x1b, 0x8d, 0x04, 0x7a,
		0xf2, 0xbb, 0x12, 0x1c, 0x4d, 0xe8, 0xb2, 0x44, 0xd3, 0x30, 0xe2, 0x77, 0x97, 0x75, 0xf6, 0xad,
		0x48, 0x9e, 0xab, 0x3a, 0x5a, 0x83, 0x43, 0x9d, 0x83, 0x7c, 0xd3, 0xb0, 0x33, 0x5c, 0x5a, 0x11,
		0x3d, 0xc7, 0x57, 0x0d, 0x1b, 0x67, 0x39, 0x7e, 0x45, 0x36, 0xfb, 0x33, 0x30, 0xcd, 0x6d, 0xdf,
		0x4c, 0x5a, 0x8d, 0x70, 0xcc, 0x2e, 0xff, 0x56, 0x82, 0x63, 0x49, 0x9d, 0x7b, 0x03, 0xf9, 0xca,
		0xa0, 0xe4, 0x91, 0xe8, 0xa0, 0x7f, 0x2a, 0xc1, 0x4c, 0x5a, 0x07, 0x60, 0xd2, 0x6a, 0x1e, 0xab,
		0xd9, 0x26, 0x22, 0xff, 0x77, 0x11, 0x32, 0x36, 0x9a, 0xa0, 0x05, 0x38, 0x48, 0x7a, 0x59, 0xa2,
		0x69, 0x5f, 0x7f, 0x4d, 0x13, 0x26, 0x6e, 0x47, 0x92, 0xbe, 0xb1, 0xca, 0x4b, 0xae, 0xbf, 0xca,
		0xcb, 0x93, 0xda, 0x88, 0x78, 0x6d, 0x44, 0x44, 0x77, 0x8a, 0x02, 0xba, 0x73, 0x07, 0x26, 0x69,
		0x4e, 0x9b, 0x62, 0x34, 0x4c, 0x17, 0xdb, 0x3b, 0x6a, 0x3d, 0xfd, 0xde, 0x72, 0x90, 0x4e, 0x24,
		0xf0, 0xaa, 0x74, 0x5a, 0xb8, 0xee, 0x52, 0xda, 0x53, 0xdd, 0xa5, 0x27, 0x84, 0x83, 0x2c, 0x21,
		0x1c, 0xbf, 0xc8, 0x52, 0xee, 0xbb, 0xc8, 0xd2, 0xbd, 0x67, 0x8c, 0x0a, 0xdf, 0x33, 0x3a, 0xa9,
		0xfe, 0x7d, 0x7b, 0x48, 0xf5, 0x8f, 0xed, 0x29, 0xd5, 0xef, 0xf9, 0xe0, 0x85, 0xac, 0xdd, 0x6e,
		0x1d, 0x6f, 0x25, 0xf5, 0x7a, 0xab, 0xa4, 0xfb, 0xcd, 0x06, 0x1c, 0xee, 0x54, 0xc8, 0x23, 0x55,
		0x53, 0xdf, 0x8e, 0xe7, 0x12, 0x6b, 0xe0, 0xe1, 0xba, 0xe9, 0x21, 0xcc, 0x1a, 0x96, 0xbf, 0x2f,
		0x31, 0x52, 0xda, 0xbc, 0x93, 0x45, 0xc4, 0x3c, 0x24, 0x01, 0xf3, 0xe8, 0x89, 0x74, 0x72, 0x19,
		0x22, 0x1d, 0xf9, 0x7d, 0x09, 0x8e, 0x27, 0x76, 0x6b, 0x7b, 0xa1, 0x1e, 0xed, 0x05, 0x37, 0xd5,
		0x46, 0x20, 0x6a, 0xf0, 0x87, 0x6e, 0xab, 0x0d, 0xdc, 0xef, 0xa7, 0x07, 0x76, 0xaa, 0x74, 0x35,
		0x7e, 0x48, 0xfc, 0x66, 0xfd, 0x35, 0xd6, 0x26, 0xf1, 0xba, 0x13, 0x4e, 0x42, 0x99, 0xf6, 0x87,
		0xf4, 0x8a, 0xc0, 0x1f, 0x22, 0x22, 0xe8, 0x38, 0xf5, 0x9c, 0xb8, 0x53, 0x4f, 0xc8, 0x53, 0xcb,
		0x5f, 0x95, 0x60, 0x2e, 0x43, 0x47, 0x4e, 0x37, 0x9f, 0x2a, 0x85, 0xf2, 0xa9, 0xfd, 0xee, 0x4c,
		0x12, 0xb4, 0x5f, 0xe5, 0xe0, 0x85, 0xbd, 0x75, 0x25, 0x0f, 0x4c, 0xe7, 0xbb, 0xb9, 0xba, 0x5c,
		0x28, 0x57, 0x77, 0x1f, 0x50, 0xbc, 0xfb, 0x85, 0xda, 0xf7, 0x59, 0xb1, 0x0e, 0x57, 0x65, 0x22,
		0xd6, 0xc2, 0x8a, 0xa6, 0xa0, 0xa8, 0x59, 0xa6, 0x6b, 0x5b, 0x75, 0xa2, 0x68, 0xa3, 0x4a, 0xf0,
		0x88, 0x2a, 0x70, 0x20, 0xd2, 0xc8, 0x65, 0x99, 0x75, 0x3f, 0x32, 0x1f, 0x51, 0x26, 0x42, 0xfd,
		0x55, 0x77, 0xcc, 0xfa, 0xae, 0xfc, 0x46, 0x1e, 0x6e, 0xec, 0xa1, 0xeb, 0x19, 0xdd, 0xef, 0xf5,
		0x7b, 0x63, 0x9c, 0xdf, 0x14, 0x08, 0x71, 0x0e, 0xa5, 0x9d, 0x07, 0x74, 0x9f, 0xe4, 0xe6, 0x50,
		0xd9, 0xfb, 0x32, 0xb4, 0xd7, 0x7d, 0x99, 0x07, 0x14, 0xed, 0x35, 0xa3, 0x15, 0x8a, 0xbc, 0x32,
		0x6e, 0x84, 0x94, 0xd0, 0x4f, 0x61, 0x05, 0xbb, 0x58, 0x08, 0xed, 0xa2, 0xfc, 0x67, 0x09, 0xae,
		0xf5, 0xd9, 0xb2, 0xcd, 0xc1, 0x20, 0x71, 0x30, 0x7c, 0xb0, 0x8a, 0x2b, 0x7f, 0x29, 0x0f, 0xd7,
		0xfa, 0x6c, 0xab, 0xfb, 0x5f, 0xb5, 0xd5, 0x88, 0xc7, 0x1e, 0xe2, 0x7b, 0xec, 0x61, 0x71, 0x8f,
		0xcd, 0x55, 0x1d, 0x9e, 0x03, 0x28, 0xf2, 0x1c, 0xc0, 0xab, 0x79, 0xb8, 0xd2, 0x4f, 0x6b, 0xa0,
		0x98, 0xe5, 0x0b, 0x71, 0x7e, 0x62, 0xf9, 0x5d, 0xcb, 0x7f, 0x4f, 0x82, 0x8b, 0x59, 0xdb, 0x1c,
		0xff, 0xab, 0x4d, 0x9e, 0x7f, 0x56, 0xc9, 0xbf, 0x97, 0xe0, 0x42, 0xa6, 0xd6, 0xc8, 0x81, 0xb9,
		0x00, 0xe6, 0xad, 0x21, 0xb7, 0xb7, 0x5b, 0xc3, 0x77, 0x46, 0xe0, 0x72, 0x1f, 0xbf, 0xf1, 0xe8,
		0xd9, 0x0e, 0x29, 0xb4, 0x1d, 0x27, 0xa1, 0xdc, 0xd9, 0x0e, 0xaa, 0xf3, 0x25, 0x05, 0x82, 0x21,
		0x56, 0x0a, 0x21, 0x3f, 0x80, 0x14, 0x42, 0xbf, 0xf5, 0xc4, 0xe1, 0xc1, 0xa6, 0x10, 0x0a, 0x8f,
		0x35, 0x85, 0x50, 0xec, 0x3b, 0x85, 0xf0, 0x00, 0x68, 0x87, 0x2a, 0xe5, 0x48, 0xcb, 0x70, 0x7e,
		0x93, 0xc0, 0xd9, 0x84, 0x36, 0x57, 0xc2, 0x85, 0x16, 0xe3, 0x26, 0x9a, 0xd1, 0xa1, 0x5e, 0x23,
		0x29, 0x85, 0xfd, 0xb9, 0x88, 0xca, 0x83, 0x80, 0xca, 0x6b, 0x30, 0xd5, 0xa3, 0x4e, 0x35, 0x1b,
		0xb7, 0xba, 0xf0, 0xcb, 0x04, 0xfe, 0x5c, 0xa2, 0xe2, 0x54, 0x75, 0xc5, 0x9b, 0x42, 0x97, 0x70,
		0xa8, 0xcd, 0x1a, 0x8e, 0x95, 0x27, 0xf7, 0xf5, 0x53, 0x9e, 0x8c, 0xf5, 0x1a, 0x8e, 0x31, 0x7a,
		0x0d, 0xbb, 0x37, 0xad, 0xfd, 0xd9, 0x73, 0x0b, 0xe3, 0x7b, 0xc8, 0x2d, 0x4c, 0xec, 0xcd, 0x4b,
		0xbc, 0x9e, 0x87, 0x8b, 0x59, 0x7f, 0x47, 0xf5, 0xe1, 0xbb, 0x88, 0xb5, 0xe0, 0xac, 0xf7, 0xab,
		0x55, 0x57, 0x33, 0xff, 0x08, 0x28, 0x74, 0xc4, 0xf7, 0x28, 0xfb, 0x70, 0x58, 0xd9, 0xd9, 0x07,
		0x59, 0x81, 0x73, 0x90, 0x0d, 0x28, 0x9f, 0x27, 0xff, 0x2e, 0x07, 0xf3, 0x59, 0x7e, 0x24, 0xc6,
		0xdd, 0x0f, 0xf6, 0x09, 0x9a, 0xdb, 0xeb, 0x09, 0x3a, 0xa8, 0x5d, 0x64, 0x4b, 0x77, 0x88, 0x23,
		0xdd, 0xae, 0x85, 0x0d, 0x8b, 0xe7, 0x32, 0xde, 0xcf, 0x41, 0xc6, 0x9f, 0xaf, 0x7d, 0x34, 0x84,
		0xc9, 0x2a, 0xcd, 0x0c, 0x33, 0x4b, 0x33, 0xdd, 0x9e, 0x82, 0x82, 0x78, 0x4f, 0x81, 0xfc, 0xcf,
		0x1c, 0x9c, 0x1f, 0x84, 0x47, 0xf9, 0x88, 0x0a, 0xbd, 0x27, 0x6b, 0x5e, 0xc8, 0x90, 0x35, 0x97,
		0xff, 0x95, 0x83, 0x0b, 0x99, 0x7e, 0x4d, 0xf8, 0x44, 0xf0, 0x31, 0xc1, 0x07, 0x69, 0xc1, 0x42,
		0x96, 0x5c, 0xf1, 0xe7, 0xf3, 0x3c, 0xc1, 0xf3, 0xfa, 0x40, 0x9e, 0x08, 0x3e, 0xb1, 0x0d, 0xa5,
		0xd0, 0x4f, 0xff, 0xfa, 0x2f, 0x73, 0xb0, 0x90, 0xf1, 0x57, 0x9e, 0x4f, 0xf6, 0x21, 0xb4, 0x0f,
		0x73, 0x2e, 0xec, 0x27, 0x7f, 0xae, 0x1a, 0x75, 0x17, 0xdb, 0xe4, 0x53, 0xc7, 0x61, 0x7a, 0xe5,
		0xc1, 0xca, 0xed, 0xf5, 0xda, 0x6a, 0x75, 0x6d, 0x7d, 0x45, 0xa9, 0xad, 0x7f, 0xf2, 0xee, 0x4a,
		0xad, 0x7a, 0xfb, 0xc1, 0xd2, 0x5a, 0xf5, 0xd6, 0xf8, 0x53, 0xe8, 0x24, 0x1c, 0x8d, 0xbf, 0x5e,
		0x5a, 0x5b, 0xab, 0x91, 0xd1, 0x71, 0x09, 0x9d, 0x82, 0xe3, 0x71, 0x82, 0xe5, 0xb5, 0x3b, 0xf7,
		0x56, 0x28, 0x49, 0xee, 0xe6, 0x03, 0x38, 0xac, 0x59, 0x0d, 0x96, 0x0c, 0x6e, 0x8e, 0x2c, 0x35,
		0x8d, 0xbb, 0xde, 0x85, 0xe8, 0xae, 0xf4, 0xa9, 0x85, 0x87, 0x86, 0xbb, 0xd5, 0xda, 0xa8, 0x68,
		0x56, 0x63, 0x21, 0xf4, 0xbf, 0x4a, 0x2b, 0x0f, 0xb1, 0xe9, 0xff, 0x77, 0x54, 0xfa, 0x6f, 0x4b,
		0x6f, 0xa8, 0x4d, 0x63, 0xe7, 0xd2, 0x46, 0x81, 0x8c, 0x5d, 0xfe, 0x4f, 0x00, 0x00, 0x00, 0xff,
		0xff, 0x52, 0xdc, 0x92, 0x14, 0x99, 0x55, 0x00, 0x00,
	},
	// uber/cadence/shared/v1/queue.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x52, 0x2a, 0x4d, 0x4a, 0x2d,
		0xd2, 0x4f, 0x4e, 0x4c, 0x49, 0xcd, 0x4b, 0x4e, 0xd5, 0x2f, 0xce, 0x48, 0x2c, 0x4a, 0x4d, 0xd1,
		0x2f, 0x33, 0xd4, 0x2f, 0x2c, 0x4d, 0x2d, 0x4d, 0xd5, 0x2b, 0x28, 0xca, 0x2f, 0xc9, 0x17, 0x12,
		0x03, 0xa9, 0xd1, 0x83, 0xaa, 0xd1, 0x83, 0xa8, 0xd1, 0x2b, 0x33, 0xd4, 0xca, 0xe4, 0xe2, 0x08,
		0x49, 0x2c, 0xce, 0x0e, 0xa9, 0x2c, 0x48, 0x15, 0x12, 0xe5, 0x12, 0x0c, 0x71, 0x0c, 0xf6, 0x8e,
		0x0f, 0x89, 0x0c, 0x70, 0x8d, 0xf7, 0xf4, 0x0b, 0x73, 0xf4, 0xf1, 0x74, 0x11, 0x60, 0x10, 0x12,
		0xe3, 0x12, 0x42, 0x08, 0x87, 0x04, 0x39, 0xfa, 0x05, 0xbb, 0xb9, 0x06, 0x09, 0x30, 0x0a, 0x09,
		0x73, 0xf1, 0x23, 0x89, 0x7b, 0xfa, 0xba, 0x06, 0x09, 0x30, 0x09, 0x49, 0x72, 0x89, 0x22, 0x04,
		0x83, 0x5c, 0x03, 0x7c, 0x3c, 0x9d, 0x1d, 0x43, 0x3c, 0xfd, 0xfd, 0x04, 0x98, 0x9d, 0xcc, 0xa3,
		0x4c, 0xd3, 0x33, 0x4b, 0x32, 0x4a, 0x93, 0xf4, 0x92, 0xf3, 0x73, 0xf5, 0x51, 0xdc, 0xac, 0x97,
		0x9e, 0x9a, 0xa7, 0x0f, 0x76, 0x28, 0xc2, 0xf9, 0xd6, 0x10, 0x56, 0x99, 0x61, 0x12, 0x1b, 0x58,
		0xc6, 0x18, 0x10, 0x00, 0x00, 0xff, 0xff, 0xe6, 0x91, 0x63, 0x5d, 0xe8, 0x00, 0x00, 0x00,
	},
	// uber/cadence/shared/v1/replication.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xc4, 0x58, 0x4d, 0x73, 0x1a, 0x47,
		0x13, 0xf6, 0x82, 0xf8, 0x50, 0x0b, 0x01, 0x1a, 0xe9, 0xb5, 0xb0, 0x64, 0xd5, 0x8b, 0x89, 0x6c,
		0xc9, 0x72, 0x0a, 0x6c, 0xb9, 0x9c, 0xcf, 0x4a, 0xb9, 0xd6, 0x02, 0x95, 0x36, 0xd6, 0x97, 0x87,
		0xb5, 0x5c, 0xca, 0x21, 0x5b, 0x2b, 0x76, 0x24, 0xb6, 0x04, 0xbb, 0xd4, 0xce, 0x80, 0xcc, 0x31,
		0xb9, 0xe7, 0x98, 0x5c, 0x72, 0xcc, 0xef, 0xc8, 0x35, 0x67, 0xff, 0xa4, 0xd4, 0xce, 0xcc, 0x02,
		0x0b, 0x0b, 0x96, 0xcb, 0x87, 0xdc, 0xb4, 0xdd, 0xcf, 0xd3, 0xdd, 0xd3, 0xdd, 0xd3, 0x3d, 0x02,
		0xb6, 0xbb, 0x17, 0xc4, 0xab, 0x34, 0x4c, 0x8b, 0x38, 0x0d, 0x52, 0xa1, 0x4d, 0xd3, 0x23, 0x56,
		0xa5, 0xf7, 0xac, 0xe2, 0x91, 0x4e, 0xcb, 0x6e, 0x98, 0xcc, 0x76, 0x9d, 0x72, 0xc7, 0x73, 0x99,
		0x8b, 0xee, 0xfa, 0xc8, 0xb2, 0x44, 0x96, 0x05, 0xb2, 0xdc, 0x7b, 0xb6, 0xf6, 0xff, 0x2b, 0xd7,
		0xbd, 0x6a, 0x91, 0x0a, 0x47, 0x5d, 0x74, 0x2f, 0x2b, 0xcc, 0x6e, 0x13, 0xca, 0xcc, 0x76, 0x47,
		0x10, 0xd7, 0x8a, 0x21, 0x17, 0x66, 0xc7, 0xf6, 0xed, 0x37, 0xdc, 0x76, 0x3b, 0x30, 0x1d, 0x8d,
		0xb0, 0xdc, 0xb6, 0x69, 0x07, 0x88, 0xcd, 0x29, 0x61, 0x36, 0x6d, 0xca, 0x5c, 0xaf, 0x2f, 0x50,
		0xa5, 0x3f, 0x62, 0xb0, 0x8c, 0x87, 0x81, 0x1f, 0x11, 0x4a, 0xcd, 0x2b, 0x42, 0x91, 0x0e, 0x4b,
		0x23, 0xe7, 0x31, 0x98, 0x49, 0xaf, 0x69, 0x41, 0x29, 0xc6, 0xb7, 0x17, 0x76, 0xb7, 0xca, 0xd1,
		0xc7, 0x2a, 0x8f, 0xd8, 0xd1, 0x4d, 0x7a, 0x8d, 0xf3, 0x5e, 0x58, 0x40, 0xd1, 0xb7, 0x70, 0xaf,
		0x65, 0x52, 0x66, 0x78, 0x84, 0x79, 0x36, 0xe9, 0x11, 0xcb, 0x68, 0x0b, 0x87, 0x86, 0x6d, 0x15,
		0x62, 0x45, 0x65, 0x3b, 0x8e, 0xef, 0xfa, 0x00, 0x1c, 0xe8, 0x65, 0x3c, 0x9a, 0x85, 0xee, 0x41,
		0xba, 0x69, 0x52, 0xa3, 0xed, 0x7a, 0xa4, 0x10, 0x2f, 0x2a, 0xdb, 0x69, 0x9c, 0x6a, 0x9a, 0xf4,
		0xc8, 0xf5, 0x08, 0xaa, 0xc3, 0x12, 0xed, 0x3b, 0x0d, 0xc3, 0x8f, 0xc4, 0x32, 0x28, 0x33, 0x59,
		0x97, 0x16, 0xe6, 0x8a, 0xca, 0xac, 0x58, 0xeb, 0x7d, 0xa7, 0x51, 0xf7, 0xf1, 0x75, 0x0e, 0xc7,
		0x39, 0x1a, 0x16, 0x94, 0x7e, 0x4f, 0x42, 0x6e, 0xec, 0x40, 0xe8, 0x00, 0xe6, 0xfd, 0x44, 0x18,
		0xac, 0xdf, 0x21, 0x05, 0xa5, 0xa8, 0x6c, 0x67, 0x77, 0x9f, 0xdc, 0x32, 0x19, 0x7a, 0xbf, 0x43,
		0x70, 0x9a, 0xc9, 0xbf, 0xd0, 0x26, 0x64, 0xa9, 0xdb, 0xf5, 0x1a, 0x84, 0x67, 0x76, 0x78, 0xfa,
		0x8c, 0x90, 0xfa, 0x0c, 0xcd, 0x42, 0x2f, 0x61, 0xb1, 0xe1, 0x11, 0x59, 0x01, 0xbb, 0x2d, 0x0e,
		0xbe, 0xb0, 0xbb, 0x56, 0x16, 0xfd, 0x53, 0x0e, 0xfa, 0xa7, 0xac, 0x07, 0xfd, 0x83, 0x33, 0x01,
		0xc1, 0x17, 0x21, 0x0b, 0xee, 0x8a, 0x9e, 0x10, 0x6e, 0x4c, 0xc6, 0x3c, 0xfb, 0xa2, 0xcb, 0x48,
		0x90, 0x9e, 0x2f, 0xa7, 0x45, 0x5f, 0xe5, 0x2c, 0x3f, 0x0c, 0x75, 0xc0, 0x39, 0xb8, 0x83, 0x57,
		0xac, 0x08, 0x39, 0xfa, 0x45, 0x81, 0x07, 0x13, 0x05, 0x98, 0xf0, 0x98, 0xe0, 0x1e, 0x5f, 0xdc,
		0xb2, 0x20, 0x13, 0xae, 0x37, 0xe8, 0x2c, 0x00, 0xba, 0x01, 0x0e, 0x30, 0xcc, 0x06, 0xb3, 0x7b,
		0x36, 0xeb, 0x4f, 0xb8, 0x4f, 0x72, 0xf7, 0xbb, 0xb3, 0xdc, 0xab, 0x92, 0x3b, 0xe1, 0x7b, 0x8d,
		0x4e, 0xd5, 0x22, 0x07, 0xd6, 0xe4, 0x8d, 0x12, 0x2e, 0x7b, 0xbb, 0xa3, 0x5e, 0x53, 0xdc, 0x6b,
		0x65, 0x9a, 0xd7, 0x03, 0xc1, 0xf4, 0x4d, 0x9e, 0xed, 0x86, 0x5c, 0xae, 0x36, 0xa3, 0x55, 0xa8,
		0x03, 0x6b, 0x97, 0xa6, 0xdd, 0x72, 0x7b, 0xc4, 0x33, 0xda, 0xa6, 0x77, 0x4d, 0xbc, 0x51, 0x7f,
		0x69, 0xee, 0xef, 0xe9, 0x34, 0x7f, 0xfb, 0x92, 0x79, 0xc4, 0x89, 0x21, 0x87, 0x85, 0xcb, 0x29,
		0xba, 0x57, 0x19, 0x80, 0xa1, 0x87, 0xd2, 0xdf, 0x31, 0x58, 0x89, 0xea, 0x0e, 0x84, 0x21, 0x2f,
		0x7b, 0xcd, 0xed, 0x10, 0x8f, 0xf7, 0xa0, 0xbc, 0x23, 0x5b, 0xb3, 0xbb, 0xec, 0x24, 0x80, 0xe3,
		0x9c, 0x15, 0x16, 0xa0, 0x2c, 0xc4, 0xe4, 0xd5, 0x98, 0xc7, 0x31, 0xdb, 0x42, 0xcf, 0x21, 0x29,
		0x20, 0xf2, 0x26, 0xac, 0x87, 0x2d, 0x9b, 0x1d, 0x7b, 0x68, 0x16, 0x4b, 0x28, 0x7a, 0x08, 0xd9,
		0x86, 0xeb, 0x5c, 0xda, 0x57, 0x46, 0x8f, 0x78, 0xd4, 0x0f, 0x6b, 0x8e, 0xdf, 0xb5, 0x45, 0x21,
		0x3d, 0x13, 0x42, 0xf4, 0x18, 0xf2, 0x83, 0xc4, 0x06, 0xc0, 0x04, 0x07, 0xe6, 0x02, 0x79, 0x00,
		0xfd, 0x0e, 0xee, 0x75, 0x3c, 0xd2, 0xb3, 0xdd, 0x2e, 0x35, 0x26, 0x38, 0x49, 0xce, 0x59, 0x0d,
		0x00, 0xfb, 0x61, 0x6e, 0xe9, 0x4f, 0x05, 0x36, 0x66, 0xf6, 0xba, 0x1f, 0xaf, 0x9c, 0x0d, 0x8d,
		0x56, 0x97, 0x32, 0xe2, 0xf1, 0x34, 0xce, 0xe3, 0x45, 0x21, 0xdd, 0x13, 0x42, 0x7f, 0x20, 0x8a,
		0xfb, 0x26, 0x33, 0x94, 0xc0, 0x29, 0xfe, 0xad, 0x59, 0xe8, 0x1b, 0x98, 0x1f, 0x6c, 0x94, 0x5b,
		0xcc, 0x8c, 0x21, 0xb8, 0xf4, 0x21, 0x01, 0x6b, 0xd3, 0xaf, 0x02, 0x5a, 0x87, 0x79, 0x59, 0x63,
		0xdb, 0x92, 0x51, 0xa5, 0x85, 0x40, 0xb3, 0xd0, 0x5b, 0x40, 0x37, 0xae, 0x77, 0x7d, 0xd9, 0x72,
		0x6f, 0x0c, 0xf2, 0x9e, 0x34, 0xba, 0xbc, 0x05, 0x62, 0xdc, 0xfd, 0xa3, 0xc8, 0x42, 0xbd, 0x93,
		0xf0, 0x5a, 0x80, 0xc6, 0x4b, 0x37, 0xe3, 0x22, 0x54, 0x80, 0x54, 0x90, 0xda, 0x38, 0x4f, 0x6d,
		0xf0, 0x89, 0x1e, 0x40, 0x86, 0x36, 0x9a, 0xc4, 0xea, 0xb6, 0x08, 0xcf, 0x82, 0x28, 0xeb, 0xc2,
		0x40, 0xa6, 0x59, 0x48, 0x85, 0xec, 0x10, 0xc2, 0x47, 0x68, 0xe2, 0xa3, 0xe9, 0x58, 0x1c, 0x30,
		0xf8, 0x0c, 0xdd, 0x00, 0xa0, 0xcc, 0xf4, 0x98, 0xf0, 0x21, 0xaa, 0x3b, 0x2f, 0x25, 0x9a, 0x85,
		0x7e, 0x80, 0x4c, 0xa0, 0xe6, 0xf6, 0x53, 0x1f, 0xb5, 0xbf, 0x20, 0xf1, 0xdc, 0xfa, 0x8f, 0xb0,
		0xcc, 0x37, 0x62, 0x93, 0x98, 0x1e, 0xbb, 0x20, 0x26, 0x13, 0x56, 0xd2, 0x1f, 0xb5, 0xb2, 0xe4,
		0xd3, 0x0e, 0x02, 0x16, 0xb7, 0xf5, 0x15, 0xa4, 0x2c, 0xc2, 0x4c, 0xbb, 0x45, 0x0b, 0xf3, 0x9c,
		0x7f, 0x3f, 0x32, 0xeb, 0xa7, 0x66, 0xbf, 0xe5, 0x9a, 0x16, 0x0e, 0xc0, 0x7e, 0x86, 0x4d, 0xc6,
		0x48, 0xbb, 0xc3, 0x0a, 0x20, 0x1a, 0x49, 0x7e, 0xa2, 0x97, 0x90, 0xe1, 0xd1, 0xf9, 0x4d, 0xde,
		0xf5, 0x48, 0x61, 0x61, 0x86, 0xd9, 0x7d, 0x81, 0xc1, 0x0b, 0x3e, 0x43, 0x7e, 0xa0, 0xa7, 0xb0,
		0xc2, 0x0d, 0xf8, 0x65, 0x25, 0x9e, 0x61, 0x5b, 0xc4, 0x61, 0x36, 0xeb, 0x17, 0x32, 0xbc, 0x77,
		0x90, 0xaf, 0x7b, 0xc7, 0x55, 0x9a, 0xd4, 0xa0, 0x13, 0xc8, 0xc9, 0xfa, 0x1a, 0x72, 0x04, 0x16,
		0x16, 0xa3, 0x5a, 0x68, 0x38, 0x45, 0xe4, 0xcd, 0x92, 0xb3, 0x14, 0x67, 0x7b, 0xa1, 0xef, 0xd2,
		0xaf, 0x71, 0x58, 0x9d, 0x32, 0x67, 0xd1, 0x2a, 0xa4, 0x82, 0xfd, 0xab, 0xf0, 0xc2, 0x26, 0x99,
		0xd8, 0xbc, 0xa1, 0x46, 0x8f, 0xdd, 0xaa, 0xd1, 0xe3, 0x9f, 0xdb, 0xe8, 0x3f, 0xc3, 0xff, 0xc6,
		0x4e, 0x6e, 0xd8, 0x8c, 0xb4, 0xfd, 0x5d, 0xed, 0x3f, 0xbb, 0x76, 0x6e, 0x77, 0x7e, 0x8d, 0x91,
		0x36, 0x5e, 0xee, 0x4d, 0xc8, 0x28, 0x7a, 0x01, 0x49, 0xd2, 0x23, 0x0e, 0x0b, 0x56, 0xf1, 0x46,
		0xf4, 0xf0, 0x34, 0x99, 0xf9, 0xaa, 0xe5, 0x5e, 0x60, 0x09, 0x46, 0x7b, 0x90, 0x75, 0xc8, 0x8d,
		0xe1, 0x75, 0x1d, 0x43, 0xd2, 0x93, 0xb7, 0xa1, 0x67, 0x1c, 0x72, 0x83, 0xbb, 0x4e, 0x8d, 0x53,
		0x4a, 0x7f, 0x29, 0x50, 0x98, 0xb6, 0x7c, 0x66, 0x4f, 0x95, 0xa8, 0xb1, 0x1c, 0x8b, 0x1e, 0xcb,
		0x9f, 0xfb, 0x5c, 0x2a, 0xfd, 0xa6, 0xc0, 0x72, 0x38, 0x4a, 0xdd, 0xbd, 0x26, 0x8e, 0x1f, 0x60,
		0x30, 0x6a, 0xc5, 0x23, 0x38, 0x81, 0xd3, 0x72, 0xd6, 0x52, 0x74, 0x0e, 0xb9, 0xb1, 0x85, 0x2c,
		0x67, 0xde, 0x27, 0x6f, 0x61, 0x9c, 0x0d, 0xef, 0xe0, 0xd2, 0x3f, 0xe1, 0xc7, 0x39, 0x7f, 0x15,
		0x3a, 0x97, 0xee, 0x7f, 0x32, 0x86, 0xd7, 0x47, 0xdf, 0xbe, 0x71, 0x3e, 0x26, 0x86, 0xcf, 0xd9,
		0x91, 0x7b, 0x34, 0x17, 0xba, 0x47, 0x23, 0xc3, 0x3b, 0x11, 0x1e, 0xde, 0x9b, 0x90, 0xbd, 0xb4,
		0x3d, 0xca, 0x44, 0x53, 0x0d, 0x47, 0x6b, 0x86, 0x4b, 0x79, 0xdb, 0x68, 0x16, 0x2a, 0xc1, 0xa2,
		0x43, 0xde, 0x8f, 0x80, 0x52, 0x62, 0xc6, 0xfb, 0xc2, 0x00, 0x33, 0xbe, 0x06, 0xd2, 0x13, 0x6b,
		0xc0, 0x6f, 0xbf, 0xfc, 0x68, 0x22, 0x79, 0x55, 0x47, 0x17, 0xa8, 0x12, 0x5e, 0xa0, 0x9f, 0xf1,
		0x7f, 0x4a, 0x40, 0xed, 0x78, 0x6e, 0x83, 0x50, 0x1a, 0xa6, 0xc6, 0x87, 0xd4, 0xd3, 0x40, 0x3f,
		0xa0, 0x96, 0x5e, 0x43, 0x6e, 0xec, 0x65, 0x10, 0xde, 0xe4, 0xca, 0x27, 0x6c, 0xf2, 0x9d, 0x0f,
		0x93, 0xbd, 0xc3, 0x4b, 0xf5, 0x00, 0x36, 0x70, 0xed, 0xf4, 0x50, 0xdb, 0x53, 0x75, 0xed, 0xe4,
		0xd8, 0xd0, 0xd5, 0xfa, 0x6b, 0x43, 0x3f, 0x3f, 0xad, 0x19, 0xda, 0xf1, 0x99, 0x7a, 0xa8, 0x55,
		0xf3, 0x77, 0x50, 0x11, 0xee, 0x47, 0x43, 0xaa, 0x27, 0x47, 0xaa, 0x76, 0x9c, 0x57, 0xa6, 0x1b,
		0x39, 0xd0, 0xea, 0xfa, 0x09, 0x3e, 0xcf, 0xc7, 0xd0, 0x13, 0xd8, 0x8a, 0x86, 0xd4, 0xcf, 0x8f,
		0xf7, 0x8c, 0xfa, 0x81, 0x8a, 0xab, 0x46, 0x5d, 0x57, 0xf5, 0xb7, 0xf5, 0x7c, 0x1c, 0x6d, 0xc1,
		0x17, 0x33, 0xc0, 0xea, 0x9e, 0xae, 0x9d, 0x69, 0xfa, 0x79, 0x7e, 0x0e, 0xed, 0xc0, 0xa3, 0x99,
		0x8e, 0x8d, 0xa3, 0x9a, 0xae, 0x56, 0x55, 0x5d, 0xcd, 0x27, 0xd0, 0x26, 0x14, 0x67, 0x63, 0xcf,
		0x76, 0xf3, 0x49, 0xf4, 0x18, 0x1e, 0x46, 0xa3, 0xf6, 0x55, 0xed, 0xf0, 0xe4, 0xac, 0x86, 0x8d,
		0x23, 0x15, 0xbf, 0xae, 0xe1, 0x7c, 0x6a, 0xc7, 0x86, 0xdc, 0xd8, 0x8b, 0x15, 0xdd, 0x87, 0x82,
		0x48, 0x8a, 0x71, 0x72, 0x5a, 0xc3, 0xc2, 0xc4, 0x30, 0x91, 0xeb, 0xb0, 0x3a, 0xa1, 0xdd, 0xc3,
		0x35, 0x55, 0xaf, 0xe5, 0x95, 0x48, 0xe5, 0xdb, 0xd3, 0xaa, 0xaf, 0x8c, 0xed, 0x1c, 0x43, 0xaa,
		0x7a, 0xf8, 0x86, 0x17, 0x6c, 0x05, 0xf2, 0xd5, 0xc3, 0x37, 0xe3, 0x35, 0x2a, 0xc0, 0xca, 0x40,
		0x3a, 0x12, 0x7f, 0x5e, 0x41, 0xcb, 0x90, 0x1b, 0x68, 0x64, 0xc1, 0x62, 0xaf, 0xbe, 0xfe, 0xe9,
		0xc5, 0x95, 0xcd, 0x9a, 0xdd, 0x8b, 0x72, 0xc3, 0x6d, 0x57, 0x42, 0xbf, 0x0c, 0x94, 0xaf, 0x88,
		0x23, 0x7e, 0x89, 0x18, 0xfe, 0x48, 0xf0, 0xbd, 0xf8, 0xab, 0xf7, 0xec, 0x22, 0xc9, 0x35, 0xcf,
		0xff, 0x0d, 0x00, 0x00, 0xff, 0xff, 0x7c, 0x50, 0xe1, 0x45, 0xf5, 0x10, 0x00, 0x00,
	},
	// uber/cadence/api/v1/domain.proto
	[]byte{
		0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x55, 0xdd, 0x72, 0xdb, 0x44,
		0x18, 0x45, 0x76, 0xea, 0x3a, 0x9f, 0x1c, 0xd7, 0x6c, 0x1b, 0xa2, 0x1a, 0x86, 0xa8, 0xe9, 0x30,
		0x63, 0x7a, 0x21, 0x13, 0xc3, 0x40, 0x0b, 0xc3, 0x85, 0x6d, 0x69, 0x8a, 0x99, 0x10, 0x3c, 0xb2,
		0x9b, 0x0b, 0xb8, 0xd0, 0xac, 0xa4, 0xb5, 0xbd, 0x53, 0x59, 0xab, 0x59, 0xfd, 0x84, 0xdc, 0x31,
		0x3c, 0x16, 0x0f, 0xc1, 0x33, 0x31, 0x5a, 0xad, 0x1c, 0xff, 0x68, 0x9a, 0xde, 0xed, 0x7e, 0x3f,
		0xe7, 0x3b, 0x3a, 0x3a, 0xbb, 0x0b, 0x7a, 0xea, 0x12, 0xde, 0xf7, 0xb0, 0x4f, 0x42, 0x8f, 0xf4,
		0x71, 0x44, 0xfb, 0xd9, 0x65, 0xdf, 0x67, 0x6b, 0x4c, 0x43, 0x23, 0xe2, 0x2c, 0x61, 0xe8, 0x69,
		0x5e, 0x61, 0xc8, 0x0a, 0x03, 0x47, 0xd4, 0xc8, 0x2e, 0xbb, 0x5f, 0x2e, 0x19, 0x5b, 0x06, 0xa4,
		0x2f, 0x4a, 0xdc, 0x74, 0xd1, 0xf7, 0x53, 0x8e, 0x13, 0xca, 0x64, 0x53, 0xf7, 0x7c, 0x3f, 0x9f,
		0xd0, 0x35, 0x89, 0x13, 0xbc, 0x8e, 0x8a, 0x82, 0x8b, 0xff, 0x1e, 0x43, 0xc3, 0x14, 0x63, 0x50,
		0x1b, 0x6a, 0xd4, 0xd7, 0x14, 0x5d, 0xe9, 0x1d, 0xdb, 0x35, 0xea, 0x23, 0x04, 0x47, 0x21, 0x5e,
		0x13, 0xad, 0x26, 0x22, 0x62, 0x8d, 0xde, 0x40, 0x23, 0x4e, 0x70, 0x92, 0xc6, 0x5a, 0x5d, 0x57,
		0x7a, 0xed, 0xc1, 0x0b, 0xa3, 0x82, 0x95, 0x51, 0x00, 0xce, 0x44, 0xa1, 0x2d, 0x1b, 0x90, 0x0e,
		0xaa, 0x4f, 0x62, 0x8f, 0xd3, 0x28, 0xe7, 0xa7, 0x1d, 0x09, 0xd4, 0xed, 0x10, 0x3a, 0x07, 0x95,
		0xdd, 0x86, 0x84, 0x3b, 0x64, 0x8d, 0x69, 0xa0, 0x3d, 0x12, 0x15, 0x20, 0x42, 0x56, 0x1e, 0x41,
		0x6f, 0xe0, 0xc8, 0xc7, 0x09, 0xd6, 0x1a, 0x7a, 0xbd, 0xa7, 0x0e, 0xbe, 0xfa, 0xc0, 0x6c, 0xc3,
		0xc4, 0x09, 0xb6, 0xc2, 0x84, 0xdf, 0xd9, 0xa2, 0x05, 0xad, 0xe0, 0xe5, 0x2d, 0xe3, 0xef, 0x17,
		0x01, 0xbb, 0x75, 0xc8, 0x5f, 0xc4, 0x4b, 0xf3, 0x89, 0x0e, 0x27, 0x09, 0x09, 0xc5, 0x2a, 0x22,
		0x9c, 0x32, 0x5f, 0x7b, 0xac, 0x2b, 0x3d, 0x75, 0xf0, 0xdc, 0x28, 0x64, 0x33, 0x4a, 0xd9, 0x0c,
		0x53, 0xca, 0x6a, 0xeb, 0x25, 0x8a, 0x55, 0x82, 0xd8, 0x25, 0xc6, 0x54, 0x40, 0xa0, 0x31, 0xb4,
		0x5c, 0xec, 0x3b, 0x2e, 0x0d, 0x31, 0xa7, 0x24, 0xd6, 0x9a, 0x02, 0x52, 0xaf, 0x24, 0x3b, 0xc2,
		0xfe, 0x48, 0xd6, 0xd9, 0xaa, 0x7b, 0xbf, 0x41, 0x7f, 0xc2, 0xd9, 0x8a, 0xc6, 0x09, 0xe3, 0x77,
		0x0e, 0xe6, 0xde, 0x8a, 0x66, 0x38, 0x70, 0xa4, 0xf0, 0xc7, 0x42, 0xf8, 0x97, 0x95, 0x78, 0x43,
		0x59, 0x2b, 0xa5, 0x3f, 0x95, 0x18, 0xbb, 0x61, 0xf4, 0x0d, 0x3c, 0x3b, 0x00, 0x4f, 0x39, 0xd5,
		0x40, 0x08, 0x8e, 0xf6, 0x9a, 0xde, 0x71, 0x8a, 0x30, 0x74, 0x33, 0x1a, 0x53, 0x97, 0x06, 0x34,
		0x39, 0x64, 0xa4, 0x7e, 0x3c, 0x23, 0xed, 0x1e, 0x66, 0x8f, 0xd4, 0xf7, 0x70, 0x56, 0x35, 0x22,
		0xe7, 0xd5, 0x12, 0xbc, 0x4e, 0x0f, 0x5b, 0x73, 0x6a, 0x06, 0x3c, 0xc5, 0x5e, 0x42, 0x33, 0xe2,
		0x78, 0x41, 0x1a, 0x27, 0x84, 0x3b, 0xc2, 0xb4, 0x27, 0xa2, 0xe7, 0xd3, 0x22, 0x35, 0x2e, 0x32,
		0xd7, 0xb9, 0x83, 0xa7, 0xd0, 0x94, 0x85, 0xb1, 0xd6, 0x16, 0x3e, 0xfa, 0xae, 0x92, 0xb8, 0xec,
		0xb1, 0x49, 0x14, 0x50, 0x4f, 0xfc, 0xfb, 0x31, 0x0b, 0x17, 0x74, 0x59, 0x1a, 0x61, 0x83, 0x82,
		0xbe, 0x86, 0xce, 0x02, 0xd3, 0x80, 0x65, 0x84, 0x3b, 0x19, 0xe1, 0x71, 0xee, 0xee, 0x27, 0xba,
		0xd2, 0xab, 0xdb, 0x4f, 0xca, 0xf8, 0x4d, 0x11, 0x46, 0x3d, 0xe8, 0xd0, 0xd8, 0x59, 0x06, 0xcc,
		0xc5, 0x81, 0x53, 0x9c, 0x6e, 0xad, 0xa3, 0x2b, 0xbd, 0xa6, 0xdd, 0xa6, 0xf1, 0x5b, 0x11, 0x2e,
		0xfc, 0xdb, 0xfd, 0x01, 0x8e, 0x37, 0x16, 0x46, 0x1d, 0xa8, 0xbf, 0x27, 0x77, 0xf2, 0x68, 0xe6,
		0x4b, 0xf4, 0x0c, 0x1e, 0x65, 0x38, 0x48, 0xcb, 0xc3, 0x59, 0x6c, 0x7e, 0xac, 0xbd, 0x56, 0x2e,
		0x4c, 0x38, 0x7f, 0x80, 0x3a, 0x7a, 0x01, 0xad, 0x1d, 0xad, 0x0a, 0x5c, 0xd5, 0xbb, 0x57, 0xe9,
		0xe2, 0x5f, 0x05, 0xd4, 0x2d, 0x73, 0xa2, 0x5f, 0xa1, 0xb9, 0x31, 0xb4, 0x22, 0x54, 0x33, 0x1e,
		0x32, 0xb4, 0x51, 0x2e, 0x8a, 0x63, 0xb8, 0xe9, 0xef, 0x3a, 0x70, 0xb2, 0x93, 0xaa, 0xf8, 0xbc,
		0xd7, 0xdb, 0x9f, 0xa7, 0x0e, 0x2e, 0x3e, 0x38, 0xeb, 0x6e, 0x12, 0x2e, 0xd8, 0xb6, 0x04, 0xff,
		0x28, 0x70, 0xb2, 0x93, 0x44, 0x9f, 0x41, 0x83, 0x13, 0x1c, 0xb3, 0x50, 0x0e, 0x91, 0x3b, 0xd4,
		0x85, 0x26, 0x8b, 0x08, 0xc7, 0x09, 0xe3, 0x52, 0xc9, 0xcd, 0x1e, 0xfd, 0x0c, 0x2d, 0x8f, 0x13,
		0x9c, 0x10, 0xdf, 0xc9, 0x2f, 0x4d, 0x71, 0xe1, 0xa9, 0x83, 0xee, 0xc1, 0xd5, 0x30, 0x2f, 0x6f,
		0x54, 0x5b, 0x95, 0xf5, 0x79, 0xe4, 0xd5, 0xdf, 0x0a, 0xb4, 0xb6, 0xef, 0x41, 0xf4, 0x1c, 0x4e,
		0xcd, 0xdf, 0x7f, 0x1b, 0x4e, 0xae, 0x9d, 0xd9, 0x7c, 0x38, 0x7f, 0x37, 0x73, 0x26, 0xd7, 0x37,
		0xc3, 0xab, 0x89, 0xd9, 0xf9, 0x04, 0x7d, 0x01, 0xda, 0x6e, 0xca, 0xb6, 0xde, 0x4e, 0x66, 0x73,
		0xcb, 0xb6, 0xcc, 0x8e, 0x72, 0x98, 0x35, 0xad, 0xa9, 0x6d, 0x8d, 0x87, 0x73, 0xcb, 0xec, 0xd4,
		0x0e, 0x61, 0x4d, 0xeb, 0xca, 0xca, 0x53, 0xf5, 0x57, 0x2b, 0x68, 0xef, 0x1d, 0xb2, 0xcf, 0xe1,
		0x6c, 0x68, 0x8f, 0x7f, 0x99, 0xdc, 0x0c, 0xaf, 0x2a, 0x59, 0xec, 0x27, 0xcd, 0xc9, 0x6c, 0x38,
		0xba, 0x12, 0x2c, 0x2a, 0x5a, 0xad, 0xeb, 0x22, 0x59, 0x1b, 0xdd, 0xc0, 0x99, 0xc7, 0xd6, 0x55,
		0x7f, 0x69, 0xd4, 0x1c, 0x46, 0x74, 0x9a, 0x6b, 0x35, 0x55, 0xfe, 0xe8, 0x2f, 0x69, 0xb2, 0x4a,
		0x5d, 0xc3, 0x63, 0xeb, 0xfe, 0xce, 0x7b, 0x67, 0x2c, 0x49, 0x58, 0xbc, 0x51, 0xf2, 0xe9, 0xfb,
		0x09, 0x47, 0x34, 0xbb, 0x74, 0x1b, 0x22, 0xf6, 0xed, 0xff, 0x01, 0x00, 0x00, 0xff, 0xff, 0xd4,
		0x52, 0xa7, 0xe0, 0x1e, 0x07, 0x00, 0x00,
	},
}

func init() {
	yarpc.RegisterClientBuilder(
		func(clientConfig transport.ClientConfig, structField reflect.StructField) AdminAPIYARPCClient {
			return NewAdminAPIYARPCClient(clientConfig, protobuf.ClientBuilderOptions(clientConfig, structField)...)
		},
	)
}
